/* A Bison parser, made by GNU Bison 3.7.6.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015, 2018-2021 Free Software Foundation,
   Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <https://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* DO NOT RELY ON FEATURES THAT ARE NOT DOCUMENTED in the manual,
   especially those whose name start with YY_ or yy_.  They are
   private implementation details that can be changed or removed.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output, and Bison version.  */
#define YYBISON 30706

/* Bison version string.  */
#define YYBISON_VERSION "3.7.6"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1




/* First part of user prologue.  */
#line 86 "src/parse.yy"


#include "ispc.h"
#include "type.h"
#include "module.h"
#include "decl.h"
#include "expr.h"
#include "sym.h"
#include "stmt.h"
#include "util.h"

#include <stdio.h>
#include <llvm/IR/Constants.h>

using namespace ispc;

#define UNIMPLEMENTED \
        Error(yylloc, "Unimplemented parser functionality %s:%d", \
        __FILE__, __LINE__);

union YYSTYPE;
extern int yylex();

extern char *yytext;

void yyerror(const char *s);

static int lYYTNameErr(char *yyres, const char *yystr);

static void lSuggestBuiltinAlternates();
static void lSuggestParamListAlternates();

static void lAddDeclaration(DeclSpecs *ds, Declarator *decl);
static void lAddFunctionParams(Declarator *decl);
static void lAddMaskToSymbolTable(SourcePos pos);
static void lAddThreadIndexCountToSymbolTable(SourcePos pos);
static std::string lGetAlternates(std::vector<std::string> &alternates);
static const char *lGetStorageClassString(StorageClass sc);
static bool lGetConstantInt(Expr *expr, int *value, SourcePos pos, const char *usage);
static EnumType *lCreateEnumType(const char *name, std::vector<Symbol *> *enums,
                                 SourcePos pos);
static void lFinalizeEnumeratorSymbols(std::vector<Symbol *> &enums,
                                       const EnumType *enumType);

static const char *lBuiltinTokens[] = {
    "assert", "bool", "break", "case", "cdo",
    "cfor", "cif", "cwhile", "const", "continue", "default",
    "do", "delete", "double", "else", "enum", "export", "extern", "false",
    "float16", "float", "for", "foreach", "foreach_active", "foreach_tiled",
    "foreach_unique", "goto", "if", "in", "inline",
    "int", "int8", "int16", "int32", "int64", "launch", "new", "NULL",
    "print", "return", "signed", "sizeof", "static", "struct", "switch",
    "sync", "task", "true", "typedef", "uniform", "unmasked", "unsigned",
    "varying", "void", "while", NULL
};

static const char *lParamListTokens[] = {
    "bool", "const", "double", "enum", "false", "float16", "float", "int",
    "int8", "int16", "int32", "int64", "signed", "struct", "true",
    "uniform", "unsigned", "varying", "void", NULL
};

struct ForeachDimension {
    ForeachDimension(Symbol *s = NULL, Expr *b = NULL, Expr *e = NULL) {
        sym = s;
        beginExpr = b;
        endExpr = e;
    }
    Symbol *sym;
    Expr *beginExpr, *endExpr;
};


#line 145 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"

# ifndef YY_CAST
#  ifdef __cplusplus
#   define YY_CAST(Type, Val) static_cast<Type> (Val)
#   define YY_REINTERPRET_CAST(Type, Val) reinterpret_cast<Type> (Val)
#  else
#   define YY_CAST(Type, Val) ((Type) (Val))
#   define YY_REINTERPRET_CAST(Type, Val) ((Type) (Val))
#  endif
# endif
# ifndef YY_NULLPTR
#  if defined __cplusplus
#   if 201103L <= __cplusplus
#    define YY_NULLPTR nullptr
#   else
#    define YY_NULLPTR 0
#   endif
#  else
#   define YY_NULLPTR ((void*)0)
#  endif
# endif

#include "parse.hh"
/* Symbol kind.  */
enum yysymbol_kind_t
{
  YYSYMBOL_YYEMPTY = -2,
  YYSYMBOL_YYEOF = 0,                      /* "end of file"  */
  YYSYMBOL_YYerror = 1,                    /* error  */
  YYSYMBOL_YYUNDEF = 2,                    /* "invalid token"  */
  YYSYMBOL_TOKEN_INT8_CONSTANT = 3,        /* TOKEN_INT8_CONSTANT  */
  YYSYMBOL_TOKEN_UINT8_CONSTANT = 4,       /* TOKEN_UINT8_CONSTANT  */
  YYSYMBOL_TOKEN_INT16_CONSTANT = 5,       /* TOKEN_INT16_CONSTANT  */
  YYSYMBOL_TOKEN_UINT16_CONSTANT = 6,      /* TOKEN_UINT16_CONSTANT  */
  YYSYMBOL_TOKEN_INT32_CONSTANT = 7,       /* TOKEN_INT32_CONSTANT  */
  YYSYMBOL_TOKEN_UINT32_CONSTANT = 8,      /* TOKEN_UINT32_CONSTANT  */
  YYSYMBOL_TOKEN_INT64_CONSTANT = 9,       /* TOKEN_INT64_CONSTANT  */
  YYSYMBOL_TOKEN_UINT64_CONSTANT = 10,     /* TOKEN_UINT64_CONSTANT  */
  YYSYMBOL_TOKEN_INT32DOTDOTDOT_CONSTANT = 11, /* TOKEN_INT32DOTDOTDOT_CONSTANT  */
  YYSYMBOL_TOKEN_UINT32DOTDOTDOT_CONSTANT = 12, /* TOKEN_UINT32DOTDOTDOT_CONSTANT  */
  YYSYMBOL_TOKEN_INT64DOTDOTDOT_CONSTANT = 13, /* TOKEN_INT64DOTDOTDOT_CONSTANT  */
  YYSYMBOL_TOKEN_UINT64DOTDOTDOT_CONSTANT = 14, /* TOKEN_UINT64DOTDOTDOT_CONSTANT  */
  YYSYMBOL_TOKEN_FLOAT16_CONSTANT = 15,    /* TOKEN_FLOAT16_CONSTANT  */
  YYSYMBOL_TOKEN_FLOAT_CONSTANT = 16,      /* TOKEN_FLOAT_CONSTANT  */
  YYSYMBOL_TOKEN_DOUBLE_CONSTANT = 17,     /* TOKEN_DOUBLE_CONSTANT  */
  YYSYMBOL_TOKEN_STRING_C_LITERAL = 18,    /* TOKEN_STRING_C_LITERAL  */
  YYSYMBOL_TOKEN_IDENTIFIER = 19,          /* TOKEN_IDENTIFIER  */
  YYSYMBOL_TOKEN_STRING_LITERAL = 20,      /* TOKEN_STRING_LITERAL  */
  YYSYMBOL_TOKEN_TYPE_NAME = 21,           /* TOKEN_TYPE_NAME  */
  YYSYMBOL_TOKEN_PRAGMA = 22,              /* TOKEN_PRAGMA  */
  YYSYMBOL_TOKEN_NULL = 23,                /* TOKEN_NULL  */
  YYSYMBOL_TOKEN_PTR_OP = 24,              /* TOKEN_PTR_OP  */
  YYSYMBOL_TOKEN_INC_OP = 25,              /* TOKEN_INC_OP  */
  YYSYMBOL_TOKEN_DEC_OP = 26,              /* TOKEN_DEC_OP  */
  YYSYMBOL_TOKEN_LEFT_OP = 27,             /* TOKEN_LEFT_OP  */
  YYSYMBOL_TOKEN_RIGHT_OP = 28,            /* TOKEN_RIGHT_OP  */
  YYSYMBOL_TOKEN_LE_OP = 29,               /* TOKEN_LE_OP  */
  YYSYMBOL_TOKEN_GE_OP = 30,               /* TOKEN_GE_OP  */
  YYSYMBOL_TOKEN_EQ_OP = 31,               /* TOKEN_EQ_OP  */
  YYSYMBOL_TOKEN_NE_OP = 32,               /* TOKEN_NE_OP  */
  YYSYMBOL_TOKEN_AND_OP = 33,              /* TOKEN_AND_OP  */
  YYSYMBOL_TOKEN_OR_OP = 34,               /* TOKEN_OR_OP  */
  YYSYMBOL_TOKEN_MUL_ASSIGN = 35,          /* TOKEN_MUL_ASSIGN  */
  YYSYMBOL_TOKEN_DIV_ASSIGN = 36,          /* TOKEN_DIV_ASSIGN  */
  YYSYMBOL_TOKEN_MOD_ASSIGN = 37,          /* TOKEN_MOD_ASSIGN  */
  YYSYMBOL_TOKEN_ADD_ASSIGN = 38,          /* TOKEN_ADD_ASSIGN  */
  YYSYMBOL_TOKEN_SUB_ASSIGN = 39,          /* TOKEN_SUB_ASSIGN  */
  YYSYMBOL_TOKEN_LEFT_ASSIGN = 40,         /* TOKEN_LEFT_ASSIGN  */
  YYSYMBOL_TOKEN_RIGHT_ASSIGN = 41,        /* TOKEN_RIGHT_ASSIGN  */
  YYSYMBOL_TOKEN_AND_ASSIGN = 42,          /* TOKEN_AND_ASSIGN  */
  YYSYMBOL_TOKEN_OR_ASSIGN = 43,           /* TOKEN_OR_ASSIGN  */
  YYSYMBOL_TOKEN_XOR_ASSIGN = 44,          /* TOKEN_XOR_ASSIGN  */
  YYSYMBOL_TOKEN_SIZEOF = 45,              /* TOKEN_SIZEOF  */
  YYSYMBOL_TOKEN_NEW = 46,                 /* TOKEN_NEW  */
  YYSYMBOL_TOKEN_DELETE = 47,              /* TOKEN_DELETE  */
  YYSYMBOL_TOKEN_IN = 48,                  /* TOKEN_IN  */
  YYSYMBOL_TOKEN_INTRINSIC_CALL = 49,      /* TOKEN_INTRINSIC_CALL  */
  YYSYMBOL_TOKEN_ALLOCA = 50,              /* TOKEN_ALLOCA  */
  YYSYMBOL_TOKEN_EXTERN = 51,              /* TOKEN_EXTERN  */
  YYSYMBOL_TOKEN_EXPORT = 52,              /* TOKEN_EXPORT  */
  YYSYMBOL_TOKEN_STATIC = 53,              /* TOKEN_STATIC  */
  YYSYMBOL_TOKEN_INLINE = 54,              /* TOKEN_INLINE  */
  YYSYMBOL_TOKEN_NOINLINE = 55,            /* TOKEN_NOINLINE  */
  YYSYMBOL_TOKEN_VECTORCALL = 56,          /* TOKEN_VECTORCALL  */
  YYSYMBOL_TOKEN_TASK = 57,                /* TOKEN_TASK  */
  YYSYMBOL_TOKEN_DECLSPEC = 58,            /* TOKEN_DECLSPEC  */
  YYSYMBOL_TOKEN_UNIFORM = 59,             /* TOKEN_UNIFORM  */
  YYSYMBOL_TOKEN_VARYING = 60,             /* TOKEN_VARYING  */
  YYSYMBOL_TOKEN_TYPEDEF = 61,             /* TOKEN_TYPEDEF  */
  YYSYMBOL_TOKEN_SOA = 62,                 /* TOKEN_SOA  */
  YYSYMBOL_TOKEN_UNMASKED = 63,            /* TOKEN_UNMASKED  */
  YYSYMBOL_TOKEN_CHAR = 64,                /* TOKEN_CHAR  */
  YYSYMBOL_TOKEN_INT = 65,                 /* TOKEN_INT  */
  YYSYMBOL_TOKEN_SIGNED = 66,              /* TOKEN_SIGNED  */
  YYSYMBOL_TOKEN_UNSIGNED = 67,            /* TOKEN_UNSIGNED  */
  YYSYMBOL_TOKEN_FLOAT16 = 68,             /* TOKEN_FLOAT16  */
  YYSYMBOL_TOKEN_FLOAT = 69,               /* TOKEN_FLOAT  */
  YYSYMBOL_TOKEN_DOUBLE = 70,              /* TOKEN_DOUBLE  */
  YYSYMBOL_TOKEN_INT8 = 71,                /* TOKEN_INT8  */
  YYSYMBOL_TOKEN_INT16 = 72,               /* TOKEN_INT16  */
  YYSYMBOL_TOKEN_INT64 = 73,               /* TOKEN_INT64  */
  YYSYMBOL_TOKEN_CONST = 74,               /* TOKEN_CONST  */
  YYSYMBOL_TOKEN_VOID = 75,                /* TOKEN_VOID  */
  YYSYMBOL_TOKEN_BOOL = 76,                /* TOKEN_BOOL  */
  YYSYMBOL_TOKEN_UINT8 = 77,               /* TOKEN_UINT8  */
  YYSYMBOL_TOKEN_UINT16 = 78,              /* TOKEN_UINT16  */
  YYSYMBOL_TOKEN_UINT = 79,                /* TOKEN_UINT  */
  YYSYMBOL_TOKEN_UINT64 = 80,              /* TOKEN_UINT64  */
  YYSYMBOL_TOKEN_ENUM = 81,                /* TOKEN_ENUM  */
  YYSYMBOL_TOKEN_STRUCT = 82,              /* TOKEN_STRUCT  */
  YYSYMBOL_TOKEN_TRUE = 83,                /* TOKEN_TRUE  */
  YYSYMBOL_TOKEN_FALSE = 84,               /* TOKEN_FALSE  */
  YYSYMBOL_TOKEN_CASE = 85,                /* TOKEN_CASE  */
  YYSYMBOL_TOKEN_DEFAULT = 86,             /* TOKEN_DEFAULT  */
  YYSYMBOL_TOKEN_IF = 87,                  /* TOKEN_IF  */
  YYSYMBOL_TOKEN_ELSE = 88,                /* TOKEN_ELSE  */
  YYSYMBOL_TOKEN_SWITCH = 89,              /* TOKEN_SWITCH  */
  YYSYMBOL_TOKEN_WHILE = 90,               /* TOKEN_WHILE  */
  YYSYMBOL_TOKEN_DO = 91,                  /* TOKEN_DO  */
  YYSYMBOL_TOKEN_LAUNCH = 92,              /* TOKEN_LAUNCH  */
  YYSYMBOL_TOKEN_FOREACH = 93,             /* TOKEN_FOREACH  */
  YYSYMBOL_TOKEN_FOREACH_TILED = 94,       /* TOKEN_FOREACH_TILED  */
  YYSYMBOL_TOKEN_FOREACH_UNIQUE = 95,      /* TOKEN_FOREACH_UNIQUE  */
  YYSYMBOL_TOKEN_FOREACH_ACTIVE = 96,      /* TOKEN_FOREACH_ACTIVE  */
  YYSYMBOL_TOKEN_DOTDOTDOT = 97,           /* TOKEN_DOTDOTDOT  */
  YYSYMBOL_TOKEN_FOR = 98,                 /* TOKEN_FOR  */
  YYSYMBOL_TOKEN_GOTO = 99,                /* TOKEN_GOTO  */
  YYSYMBOL_TOKEN_CONTINUE = 100,           /* TOKEN_CONTINUE  */
  YYSYMBOL_TOKEN_BREAK = 101,              /* TOKEN_BREAK  */
  YYSYMBOL_TOKEN_RETURN = 102,             /* TOKEN_RETURN  */
  YYSYMBOL_TOKEN_CIF = 103,                /* TOKEN_CIF  */
  YYSYMBOL_TOKEN_CDO = 104,                /* TOKEN_CDO  */
  YYSYMBOL_TOKEN_CFOR = 105,               /* TOKEN_CFOR  */
  YYSYMBOL_TOKEN_CWHILE = 106,             /* TOKEN_CWHILE  */
  YYSYMBOL_TOKEN_SYNC = 107,               /* TOKEN_SYNC  */
  YYSYMBOL_TOKEN_PRINT = 108,              /* TOKEN_PRINT  */
  YYSYMBOL_TOKEN_ASSERT = 109,             /* TOKEN_ASSERT  */
  YYSYMBOL_110_ = 110,                     /* '('  */
  YYSYMBOL_111_ = 111,                     /* ')'  */
  YYSYMBOL_112_ = 112,                     /* '['  */
  YYSYMBOL_113_ = 113,                     /* ']'  */
  YYSYMBOL_114_ = 114,                     /* ','  */
  YYSYMBOL_115_ = 115,                     /* '<'  */
  YYSYMBOL_116_ = 116,                     /* '>'  */
  YYSYMBOL_117_ = 117,                     /* '.'  */
  YYSYMBOL_118_ = 118,                     /* '&'  */
  YYSYMBOL_119_ = 119,                     /* '*'  */
  YYSYMBOL_120_ = 120,                     /* '+'  */
  YYSYMBOL_121_ = 121,                     /* '-'  */
  YYSYMBOL_122_ = 122,                     /* '~'  */
  YYSYMBOL_123_ = 123,                     /* '!'  */
  YYSYMBOL_124_ = 124,                     /* '/'  */
  YYSYMBOL_125_ = 125,                     /* '%'  */
  YYSYMBOL_126_ = 126,                     /* '^'  */
  YYSYMBOL_127_ = 127,                     /* '|'  */
  YYSYMBOL_128_ = 128,                     /* '?'  */
  YYSYMBOL_129_ = 129,                     /* ':'  */
  YYSYMBOL_130_ = 130,                     /* '='  */
  YYSYMBOL_131_ = 131,                     /* ';'  */
  YYSYMBOL_132_ = 132,                     /* '{'  */
  YYSYMBOL_133_ = 133,                     /* '}'  */
  YYSYMBOL_YYACCEPT = 134,                 /* $accept  */
  YYSYMBOL_string_constant = 135,          /* string_constant  */
  YYSYMBOL_primary_expression = 136,       /* primary_expression  */
  YYSYMBOL_launch_expression = 137,        /* launch_expression  */
  YYSYMBOL_postfix_expression = 138,       /* postfix_expression  */
  YYSYMBOL_intrinsic_name = 139,           /* intrinsic_name  */
  YYSYMBOL_intrincall_expression = 140,    /* intrincall_expression  */
  YYSYMBOL_funcall_expression = 141,       /* funcall_expression  */
  YYSYMBOL_argument_expression_list = 142, /* argument_expression_list  */
  YYSYMBOL_unary_expression = 143,         /* unary_expression  */
  YYSYMBOL_cast_expression = 144,          /* cast_expression  */
  YYSYMBOL_multiplicative_expression = 145, /* multiplicative_expression  */
  YYSYMBOL_additive_expression = 146,      /* additive_expression  */
  YYSYMBOL_shift_expression = 147,         /* shift_expression  */
  YYSYMBOL_relational_expression = 148,    /* relational_expression  */
  YYSYMBOL_equality_expression = 149,      /* equality_expression  */
  YYSYMBOL_and_expression = 150,           /* and_expression  */
  YYSYMBOL_exclusive_or_expression = 151,  /* exclusive_or_expression  */
  YYSYMBOL_inclusive_or_expression = 152,  /* inclusive_or_expression  */
  YYSYMBOL_logical_and_expression = 153,   /* logical_and_expression  */
  YYSYMBOL_logical_or_expression = 154,    /* logical_or_expression  */
  YYSYMBOL_conditional_expression = 155,   /* conditional_expression  */
  YYSYMBOL_rate_qualified_new = 156,       /* rate_qualified_new  */
  YYSYMBOL_rate_qualified_type_specifier = 157, /* rate_qualified_type_specifier  */
  YYSYMBOL_new_expression = 158,           /* new_expression  */
  YYSYMBOL_assignment_expression = 159,    /* assignment_expression  */
  YYSYMBOL_expression = 160,               /* expression  */
  YYSYMBOL_constant_expression = 161,      /* constant_expression  */
  YYSYMBOL_declaration_statement = 162,    /* declaration_statement  */
  YYSYMBOL_declaration = 163,              /* declaration  */
  YYSYMBOL_soa_width_specifier = 164,      /* soa_width_specifier  */
  YYSYMBOL_declspec_item = 165,            /* declspec_item  */
  YYSYMBOL_declspec_list = 166,            /* declspec_list  */
  YYSYMBOL_declspec_specifier = 167,       /* declspec_specifier  */
  YYSYMBOL_declaration_specifiers = 168,   /* declaration_specifiers  */
  YYSYMBOL_init_declarator_list = 169,     /* init_declarator_list  */
  YYSYMBOL_init_declarator = 170,          /* init_declarator  */
  YYSYMBOL_storage_class_specifier = 171,  /* storage_class_specifier  */
  YYSYMBOL_type_specifier = 172,           /* type_specifier  */
  YYSYMBOL_type_specifier_list = 173,      /* type_specifier_list  */
  YYSYMBOL_atomic_var_type_specifier = 174, /* atomic_var_type_specifier  */
  YYSYMBOL_short_vec_specifier = 175,      /* short_vec_specifier  */
  YYSYMBOL_struct_or_union_name = 176,     /* struct_or_union_name  */
  YYSYMBOL_struct_or_union_and_name = 177, /* struct_or_union_and_name  */
  YYSYMBOL_struct_or_union_specifier = 178, /* struct_or_union_specifier  */
  YYSYMBOL_struct_or_union = 179,          /* struct_or_union  */
  YYSYMBOL_struct_declaration_list = 180,  /* struct_declaration_list  */
  YYSYMBOL_struct_declaration = 181,       /* struct_declaration  */
  YYSYMBOL_specifier_qualifier_list = 182, /* specifier_qualifier_list  */
  YYSYMBOL_struct_declarator_list = 183,   /* struct_declarator_list  */
  YYSYMBOL_struct_declarator = 184,        /* struct_declarator  */
  YYSYMBOL_enum_identifier = 185,          /* enum_identifier  */
  YYSYMBOL_enum_specifier = 186,           /* enum_specifier  */
  YYSYMBOL_enumerator_list = 187,          /* enumerator_list  */
  YYSYMBOL_enumerator = 188,               /* enumerator  */
  YYSYMBOL_type_qualifier = 189,           /* type_qualifier  */
  YYSYMBOL_type_qualifier_list = 190,      /* type_qualifier_list  */
  YYSYMBOL_declarator = 191,               /* declarator  */
  YYSYMBOL_int_constant = 192,             /* int_constant  */
  YYSYMBOL_direct_declarator = 193,        /* direct_declarator  */
  YYSYMBOL_pointer = 194,                  /* pointer  */
  YYSYMBOL_reference = 195,                /* reference  */
  YYSYMBOL_parameter_type_list = 196,      /* parameter_type_list  */
  YYSYMBOL_parameter_list = 197,           /* parameter_list  */
  YYSYMBOL_parameter_declaration = 198,    /* parameter_declaration  */
  YYSYMBOL_type_name = 199,                /* type_name  */
  YYSYMBOL_abstract_declarator = 200,      /* abstract_declarator  */
  YYSYMBOL_direct_abstract_declarator = 201, /* direct_abstract_declarator  */
  YYSYMBOL_initializer = 202,              /* initializer  */
  YYSYMBOL_initializer_list = 203,         /* initializer_list  */
  YYSYMBOL_pragma = 204,                   /* pragma  */
  YYSYMBOL_attributed_statement = 205,     /* attributed_statement  */
  YYSYMBOL_statement = 206,                /* statement  */
  YYSYMBOL_labeled_statement = 207,        /* labeled_statement  */
  YYSYMBOL_start_scope = 208,              /* start_scope  */
  YYSYMBOL_end_scope = 209,                /* end_scope  */
  YYSYMBOL_compound_statement = 210,       /* compound_statement  */
  YYSYMBOL_statement_list = 211,           /* statement_list  */
  YYSYMBOL_expression_statement = 212,     /* expression_statement  */
  YYSYMBOL_selection_statement = 213,      /* selection_statement  */
  YYSYMBOL_for_test = 214,                 /* for_test  */
  YYSYMBOL_for_init_statement = 215,       /* for_init_statement  */
  YYSYMBOL_for_scope = 216,                /* for_scope  */
  YYSYMBOL_cfor_scope = 217,               /* cfor_scope  */
  YYSYMBOL_foreach_scope = 218,            /* foreach_scope  */
  YYSYMBOL_foreach_tiled_scope = 219,      /* foreach_tiled_scope  */
  YYSYMBOL_foreach_identifier = 220,       /* foreach_identifier  */
  YYSYMBOL_foreach_active_scope = 221,     /* foreach_active_scope  */
  YYSYMBOL_foreach_active_identifier = 222, /* foreach_active_identifier  */
  YYSYMBOL_integer_dotdotdot = 223,        /* integer_dotdotdot  */
  YYSYMBOL_foreach_dimension_specifier = 224, /* foreach_dimension_specifier  */
  YYSYMBOL_foreach_dimension_list = 225,   /* foreach_dimension_list  */
  YYSYMBOL_foreach_unique_scope = 226,     /* foreach_unique_scope  */
  YYSYMBOL_foreach_unique_identifier = 227, /* foreach_unique_identifier  */
  YYSYMBOL_iteration_statement = 228,      /* iteration_statement  */
  YYSYMBOL_229_1 = 229,                    /* $@1  */
  YYSYMBOL_230_2 = 230,                    /* $@2  */
  YYSYMBOL_231_3 = 231,                    /* $@3  */
  YYSYMBOL_232_4 = 232,                    /* $@4  */
  YYSYMBOL_goto_identifier = 233,          /* goto_identifier  */
  YYSYMBOL_jump_statement = 234,           /* jump_statement  */
  YYSYMBOL_sync_statement = 235,           /* sync_statement  */
  YYSYMBOL_delete_statement = 236,         /* delete_statement  */
  YYSYMBOL_unmasked_statement = 237,       /* unmasked_statement  */
  YYSYMBOL_print_statement = 238,          /* print_statement  */
  YYSYMBOL_assert_statement = 239,         /* assert_statement  */
  YYSYMBOL_translation_unit = 240,         /* translation_unit  */
  YYSYMBOL_external_declaration = 241,     /* external_declaration  */
  YYSYMBOL_function_definition = 242,      /* function_definition  */
  YYSYMBOL_243_5 = 243                     /* $@5  */
};
typedef enum yysymbol_kind_t yysymbol_kind_t;




#ifdef short
# undef short
#endif

/* On compilers that do not define __PTRDIFF_MAX__ etc., make sure
   <limits.h> and (if available) <stdint.h> are included
   so that the code can choose integer types of a good width.  */

#ifndef __PTRDIFF_MAX__
# include <limits.h> /* INFRINGES ON USER NAME SPACE */
# if defined __STDC_VERSION__ && 199901 <= __STDC_VERSION__
#  include <stdint.h> /* INFRINGES ON USER NAME SPACE */
#  define YY_STDINT_H
# endif
#endif

/* Narrow types that promote to a signed type and that can represent a
   signed or unsigned integer of at least N bits.  In tables they can
   save space and decrease cache pressure.  Promoting to a signed type
   helps avoid bugs in integer arithmetic.  */

#ifdef __INT_LEAST8_MAX__
typedef __INT_LEAST8_TYPE__ yytype_int8;
#elif defined YY_STDINT_H
typedef int_least8_t yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef __INT_LEAST16_MAX__
typedef __INT_LEAST16_TYPE__ yytype_int16;
#elif defined YY_STDINT_H
typedef int_least16_t yytype_int16;
#else
typedef short yytype_int16;
#endif

/* Work around bug in HP-UX 11.23, which defines these macros
   incorrectly for preprocessor constants.  This workaround can likely
   be removed in 2023, as HPE has promised support for HP-UX 11.23
   (aka HP-UX 11i v2) only through the end of 2022; see Table 2 of
   <https://h20195.www2.hpe.com/V2/getpdf.aspx/4AA4-7673ENW.pdf>.  */
#ifdef __hpux
# undef UINT_LEAST8_MAX
# undef UINT_LEAST16_MAX
# define UINT_LEAST8_MAX 255
# define UINT_LEAST16_MAX 65535
#endif

#if defined __UINT_LEAST8_MAX__ && __UINT_LEAST8_MAX__ <= __INT_MAX__
typedef __UINT_LEAST8_TYPE__ yytype_uint8;
#elif (!defined __UINT_LEAST8_MAX__ && defined YY_STDINT_H \
       && UINT_LEAST8_MAX <= INT_MAX)
typedef uint_least8_t yytype_uint8;
#elif !defined __UINT_LEAST8_MAX__ && UCHAR_MAX <= INT_MAX
typedef unsigned char yytype_uint8;
#else
typedef short yytype_uint8;
#endif

#if defined __UINT_LEAST16_MAX__ && __UINT_LEAST16_MAX__ <= __INT_MAX__
typedef __UINT_LEAST16_TYPE__ yytype_uint16;
#elif (!defined __UINT_LEAST16_MAX__ && defined YY_STDINT_H \
       && UINT_LEAST16_MAX <= INT_MAX)
typedef uint_least16_t yytype_uint16;
#elif !defined __UINT_LEAST16_MAX__ && USHRT_MAX <= INT_MAX
typedef unsigned short yytype_uint16;
#else
typedef int yytype_uint16;
#endif

#ifndef YYPTRDIFF_T
# if defined __PTRDIFF_TYPE__ && defined __PTRDIFF_MAX__
#  define YYPTRDIFF_T __PTRDIFF_TYPE__
#  define YYPTRDIFF_MAXIMUM __PTRDIFF_MAX__
# elif defined PTRDIFF_MAX
#  ifndef ptrdiff_t
#   include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  endif
#  define YYPTRDIFF_T ptrdiff_t
#  define YYPTRDIFF_MAXIMUM PTRDIFF_MAX
# else
#  define YYPTRDIFF_T long
#  define YYPTRDIFF_MAXIMUM LONG_MAX
# endif
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif defined __STDC_VERSION__ && 199901 <= __STDC_VERSION__
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned
# endif
#endif

#define YYSIZE_MAXIMUM                                  \
  YY_CAST (YYPTRDIFF_T,                                 \
           (YYPTRDIFF_MAXIMUM < YY_CAST (YYSIZE_T, -1)  \
            ? YYPTRDIFF_MAXIMUM                         \
            : YY_CAST (YYSIZE_T, -1)))

#define YYSIZEOF(X) YY_CAST (YYPTRDIFF_T, sizeof (X))


/* Stored state numbers (used for stacks). */
typedef yytype_int16 yy_state_t;

/* State numbers in computations.  */
typedef int yy_state_fast_t;

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif


#ifndef YY_ATTRIBUTE_PURE
# if defined __GNUC__ && 2 < __GNUC__ + (96 <= __GNUC_MINOR__)
#  define YY_ATTRIBUTE_PURE __attribute__ ((__pure__))
# else
#  define YY_ATTRIBUTE_PURE
# endif
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# if defined __GNUC__ && 2 < __GNUC__ + (7 <= __GNUC_MINOR__)
#  define YY_ATTRIBUTE_UNUSED __attribute__ ((__unused__))
# else
#  define YY_ATTRIBUTE_UNUSED
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YY_USE(E) ((void) (E))
#else
# define YY_USE(E) /* empty */
#endif

#if defined __GNUC__ && ! defined __ICC && 407 <= __GNUC__ * 100 + __GNUC_MINOR__
/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN                            \
    _Pragma ("GCC diagnostic push")                                     \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")              \
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# define YY_IGNORE_MAYBE_UNINITIALIZED_END      \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif

#if defined __cplusplus && defined __GNUC__ && ! defined __ICC && 6 <= __GNUC__
# define YY_IGNORE_USELESS_CAST_BEGIN                          \
    _Pragma ("GCC diagnostic push")                            \
    _Pragma ("GCC diagnostic ignored \"-Wuseless-cast\"")
# define YY_IGNORE_USELESS_CAST_END            \
    _Pragma ("GCC diagnostic pop")
#endif
#ifndef YY_IGNORE_USELESS_CAST_BEGIN
# define YY_IGNORE_USELESS_CAST_BEGIN
# define YY_IGNORE_USELESS_CAST_END
#endif


#define YY_ASSERT(E) ((void) (0 && (E)))

#if 1

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* 1 */

#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
             && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yy_state_t yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (YYSIZEOF (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (YYSIZEOF (yy_state_t) + YYSIZEOF (YYSTYPE) \
             + YYSIZEOF (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYPTRDIFF_T yynewbytes;                                         \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * YYSIZEOF (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / YYSIZEOF (*yyptr);                        \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, YY_CAST (YYSIZE_T, (Count)) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYPTRDIFF_T yyi;                      \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  82
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   3786

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  134
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  110
/* YYNRULES -- Number of rules.  */
#define YYNRULES  352
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  663

/* YYMAXUTOK -- Last valid token kind.  */
#define YYMAXUTOK   364


/* YYTRANSLATE(TOKEN-NUM) -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, with out-of-bounds checking.  */
#define YYTRANSLATE(YYX)                                \
  (0 <= (YYX) && (YYX) <= YYMAXUTOK                     \
   ? YY_CAST (yysymbol_kind_t, yytranslate[YYX])        \
   : YYSYMBOL_YYUNDEF)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex.  */
static const yytype_uint8 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,   123,     2,     2,     2,   125,   118,     2,
     110,   111,   119,   120,   114,   121,   117,   124,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   129,   131,
     115,   130,   116,   128,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   112,     2,   113,   126,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,   132,   127,   133,   122,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109
};

#if YYDEBUG
  /* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_int16 yyrline[] =
{
       0,   281,   281,   282,   291,   310,   314,   318,   322,   326,
     330,   334,   338,   342,   350,   355,   360,   363,   366,   371,
     372,   376,   382,   389,   395,   402,   408,   414,   420,   427,
     432,   437,   442,   449,   455,   461,   467,   476,   477,   479,
     481,   482,   484,   486,   488,   493,   500,   516,   517,   519,
     521,   526,   527,   541,   542,   543,   545,   547,   549,   551,
     553,   555,   557,   559,   561,   563,   570,   571,   578,   579,
     581,   583,   588,   589,   591,   596,   597,   599,   604,   605,
     607,   609,   611,   616,   617,   619,   624,   625,   630,   631,
     636,   637,   642,   643,   648,   649,   654,   655,   660,   661,
     662,   666,   667,   678,   689,   713,   714,   718,   722,   729,
     730,   732,   734,   736,   738,   740,   742,   744,   746,   748,
     750,   755,   756,   761,   765,   791,   795,   802,   807,   817,
     822,   831,   838,   842,   856,   862,   872,   878,   889,   893,
     899,   917,   921,   931,   938,   952,   953,   962,   963,   964,
     965,   969,   970,   975,   976,   980,   991,  1002,  1003,  1004,
    1005,  1006,  1007,  1008,  1009,  1010,  1011,  1012,  1013,  1014,
    1018,  1025,  1026,  1030,  1052,  1053,  1073,  1087,  1095,  1112,
    1116,  1123,  1137,  1142,  1143,  1144,  1145,  1226,  1233,  1247,
    1255,  1258,  1262,  1266,  1270,  1274,  1297,  1307,  1321,  1325,
    1341,  1342,  1343,  1344,  1345,  1346,  1347,  1348,  1349,  1350,
    1351,  1355,  1359,  1366,  1378,  1390,  1394,  1395,  1396,  1397,
    1401,  1407,  1411,  1429,  1440,  1444,  1456,  1466,  1474,  1478,
    1484,  1490,  1501,  1509,  1513,  1520,  1529,  1537,  1541,  1550,
    1557,  1574,  1575,  1587,  1591,  1592,  1602,  1606,  1619,  1621,
    1627,  1644,  1655,  1673,  1675,  1681,  1691,  1705,  1706,  1707,
    1711,  1713,  1727,  1734,  1742,  1746,  1747,  1748,  1749,  1750,
    1751,  1752,  1753,  1754,  1755,  1756,  1757,  1758,  1766,  1770,
    1780,  1785,  1789,  1793,  1794,  1798,  1804,  1817,  1818,  1822,
    1824,  1826,  1828,  1830,  1835,  1837,  1842,  1843,  1847,  1851,
    1855,  1859,  1863,  1870,  1874,  1881,  1885,  1889,  1893,  1900,
    1904,  1911,  1916,  1930,  1934,  1938,  1940,  1942,  1944,  1946,
    1950,  1954,  1958,  1963,  1962,  1991,  1990,  2020,  2019,  2031,
    2029,  2050,  2054,  2056,  2058,  2060,  2062,  2067,  2072,  2079,
    2086,  2090,  2097,  2104,  2105,  2106,  2110,  2111,  2112,  2117,
    2123,  2128,  2127
};
#endif

/** Accessing symbol of state STATE.  */
#define YY_ACCESSING_SYMBOL(State) YY_CAST (yysymbol_kind_t, yystos[State])

#if 1
/* The user-facing name of the symbol whose (internal) number is
   YYSYMBOL.  No bounds checking.  */
static const char *yysymbol_name (yysymbol_kind_t yysymbol) YY_ATTRIBUTE_UNUSED;

/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "\"end of file\"", "error", "\"invalid token\"", "TOKEN_INT8_CONSTANT",
  "TOKEN_UINT8_CONSTANT", "TOKEN_INT16_CONSTANT", "TOKEN_UINT16_CONSTANT",
  "TOKEN_INT32_CONSTANT", "TOKEN_UINT32_CONSTANT", "TOKEN_INT64_CONSTANT",
  "TOKEN_UINT64_CONSTANT", "TOKEN_INT32DOTDOTDOT_CONSTANT",
  "TOKEN_UINT32DOTDOTDOT_CONSTANT", "TOKEN_INT64DOTDOTDOT_CONSTANT",
  "TOKEN_UINT64DOTDOTDOT_CONSTANT", "TOKEN_FLOAT16_CONSTANT",
  "TOKEN_FLOAT_CONSTANT", "TOKEN_DOUBLE_CONSTANT",
  "TOKEN_STRING_C_LITERAL", "TOKEN_IDENTIFIER", "TOKEN_STRING_LITERAL",
  "TOKEN_TYPE_NAME", "TOKEN_PRAGMA", "TOKEN_NULL", "TOKEN_PTR_OP",
  "TOKEN_INC_OP", "TOKEN_DEC_OP", "TOKEN_LEFT_OP", "TOKEN_RIGHT_OP",
  "TOKEN_LE_OP", "TOKEN_GE_OP", "TOKEN_EQ_OP", "TOKEN_NE_OP",
  "TOKEN_AND_OP", "TOKEN_OR_OP", "TOKEN_MUL_ASSIGN", "TOKEN_DIV_ASSIGN",
  "TOKEN_MOD_ASSIGN", "TOKEN_ADD_ASSIGN", "TOKEN_SUB_ASSIGN",
  "TOKEN_LEFT_ASSIGN", "TOKEN_RIGHT_ASSIGN", "TOKEN_AND_ASSIGN",
  "TOKEN_OR_ASSIGN", "TOKEN_XOR_ASSIGN", "TOKEN_SIZEOF", "TOKEN_NEW",
  "TOKEN_DELETE", "TOKEN_IN", "TOKEN_INTRINSIC_CALL", "TOKEN_ALLOCA",
  "TOKEN_EXTERN", "TOKEN_EXPORT", "TOKEN_STATIC", "TOKEN_INLINE",
  "TOKEN_NOINLINE", "TOKEN_VECTORCALL", "TOKEN_TASK", "TOKEN_DECLSPEC",
  "TOKEN_UNIFORM", "TOKEN_VARYING", "TOKEN_TYPEDEF", "TOKEN_SOA",
  "TOKEN_UNMASKED", "TOKEN_CHAR", "TOKEN_INT", "TOKEN_SIGNED",
  "TOKEN_UNSIGNED", "TOKEN_FLOAT16", "TOKEN_FLOAT", "TOKEN_DOUBLE",
  "TOKEN_INT8", "TOKEN_INT16", "TOKEN_INT64", "TOKEN_CONST", "TOKEN_VOID",
  "TOKEN_BOOL", "TOKEN_UINT8", "TOKEN_UINT16", "TOKEN_UINT",
  "TOKEN_UINT64", "TOKEN_ENUM", "TOKEN_STRUCT", "TOKEN_TRUE",
  "TOKEN_FALSE", "TOKEN_CASE", "TOKEN_DEFAULT", "TOKEN_IF", "TOKEN_ELSE",
  "TOKEN_SWITCH", "TOKEN_WHILE", "TOKEN_DO", "TOKEN_LAUNCH",
  "TOKEN_FOREACH", "TOKEN_FOREACH_TILED", "TOKEN_FOREACH_UNIQUE",
  "TOKEN_FOREACH_ACTIVE", "TOKEN_DOTDOTDOT", "TOKEN_FOR", "TOKEN_GOTO",
  "TOKEN_CONTINUE", "TOKEN_BREAK", "TOKEN_RETURN", "TOKEN_CIF",
  "TOKEN_CDO", "TOKEN_CFOR", "TOKEN_CWHILE", "TOKEN_SYNC", "TOKEN_PRINT",
  "TOKEN_ASSERT", "'('", "')'", "'['", "']'", "','", "'<'", "'>'", "'.'",
  "'&'", "'*'", "'+'", "'-'", "'~'", "'!'", "'/'", "'%'", "'^'", "'|'",
  "'?'", "':'", "'='", "';'", "'{'", "'}'", "$accept", "string_constant",
  "primary_expression", "launch_expression", "postfix_expression",
  "intrinsic_name", "intrincall_expression", "funcall_expression",
  "argument_expression_list", "unary_expression", "cast_expression",
  "multiplicative_expression", "additive_expression", "shift_expression",
  "relational_expression", "equality_expression", "and_expression",
  "exclusive_or_expression", "inclusive_or_expression",
  "logical_and_expression", "logical_or_expression",
  "conditional_expression", "rate_qualified_new",
  "rate_qualified_type_specifier", "new_expression",
  "assignment_expression", "expression", "constant_expression",
  "declaration_statement", "declaration", "soa_width_specifier",
  "declspec_item", "declspec_list", "declspec_specifier",
  "declaration_specifiers", "init_declarator_list", "init_declarator",
  "storage_class_specifier", "type_specifier", "type_specifier_list",
  "atomic_var_type_specifier", "short_vec_specifier",
  "struct_or_union_name", "struct_or_union_and_name",
  "struct_or_union_specifier", "struct_or_union",
  "struct_declaration_list", "struct_declaration",
  "specifier_qualifier_list", "struct_declarator_list",
  "struct_declarator", "enum_identifier", "enum_specifier",
  "enumerator_list", "enumerator", "type_qualifier", "type_qualifier_list",
  "declarator", "int_constant", "direct_declarator", "pointer",
  "reference", "parameter_type_list", "parameter_list",
  "parameter_declaration", "type_name", "abstract_declarator",
  "direct_abstract_declarator", "initializer", "initializer_list",
  "pragma", "attributed_statement", "statement", "labeled_statement",
  "start_scope", "end_scope", "compound_statement", "statement_list",
  "expression_statement", "selection_statement", "for_test",
  "for_init_statement", "for_scope", "cfor_scope", "foreach_scope",
  "foreach_tiled_scope", "foreach_identifier", "foreach_active_scope",
  "foreach_active_identifier", "integer_dotdotdot",
  "foreach_dimension_specifier", "foreach_dimension_list",
  "foreach_unique_scope", "foreach_unique_identifier",
  "iteration_statement", "$@1", "$@2", "$@3", "$@4", "goto_identifier",
  "jump_statement", "sync_statement", "delete_statement",
  "unmasked_statement", "print_statement", "assert_statement",
  "translation_unit", "external_declaration", "function_definition", "$@5", YY_NULLPTR
};

static const char *
yysymbol_name (yysymbol_kind_t yysymbol)
{
  return yytname[yysymbol];
}
#endif

#ifdef YYPRINT
/* YYTOKNUM[NUM] -- (External) token number corresponding to the
   (internal) symbol number NUM (which must be that of a token).  */
static const yytype_int16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
      40,    41,    91,    93,    44,    60,    62,    46,    38,    42,
      43,    45,   126,    33,    47,    37,    94,   124,    63,    58,
      61,    59,   123,   125
};
#endif

#define YYPACT_NINF (-262)

#define yypact_value_is_default(Yyn) \
  ((Yyn) == YYPACT_NINF)

#define YYTABLE_NINF (-352)

#define yytable_value_is_error(Yyn) \
  0

  /* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
     STATE-NUM.  */
static const yytype_int16 yypact[] =
{
     981,   -78,  -262,    94,   -33,  -262,  -262,  -262,  -262,  -262,
      12,  -262,  -262,  -262,    71,  -262,  -262,  -262,  -262,  -262,
    -262,  -262,  -262,  -262,  -262,  -262,  -262,  -262,  -262,  -262,
    -262,  -262,    15,  -262,  -262,  -262,  3704,  3704,    62,  3704,
    3639,  -262,    66,  -262,     2,  -262,  3704,   938,  -262,  -262,
    -262,    83,   652,   204,   300,  -262,   206,   134,   272,  -262,
    -262,  -262,  -262,    33,  -262,   471,  -262,  -104,  -262,   -97,
      87,     7,     7,  -262,   300,  -262,  3330,  -262,  -262,  3362,
    -262,  -262,  -262,  -262,  3704,  -262,   -75,  -262,  -262,    80,
    -262,  -262,  -262,  -262,   179,   174,   -72,  -262,   206,  -262,
     199,  -262,   471,  -262,    33,  -262,  1158,   190,  3514,  1850,
      87,    87,   213,  -262,  3471,   218,  -262,  3399,  -262,    33,
    3471,  -262,  3431,   208,    62,   652,   245,  -262,   204,  -262,
    2968,     0,  -262,   -55,  -262,  -262,  -262,  -262,   265,  -262,
    -262,  -262,  -262,  -262,  -262,  -262,  -262,  -262,  -262,  -262,
    -262,  -262,  3016,  3016,  3106,  -262,  -262,   241,   386,   398,
    -262,  -262,   400,  1518,  3016,  3016,  2968,  2968,  2968,  2968,
    1158,  -262,  -262,    59,   352,  -262,  -262,   169,  -262,   -30,
     306,   421,   102,   445,   349,   347,   360,   438,    20,  -262,
    1601,  -262,  -262,  -262,   366,   826,  -262,    81,  -262,    -8,
     371,   394,  -262,   389,  -262,  -262,  -262,   396,  -262,  -262,
     300,  -262,  -262,   -68,  -262,  -262,  -262,  -262,  -262,  -262,
    -262,  -262,  -262,  -262,  -262,     9,  -262,  1698,  -262,  -262,
    1518,  -262,  2709,  -262,  -262,  2709,  1397,    72,   402,   386,
     398,  -262,   113,   118,   403,  -262,  -262,  -262,  -262,  -262,
    -262,  -262,   -54,   497,  -262,  -262,  1608,  1788,   501,  2709,
    2709,  2709,  2709,  2709,  2709,  2709,  2709,  2709,  2709,  2709,
    2709,  2968,  2968,  2968,  2968,  2968,  2968,  2968,  2968,  2968,
    2968,  2968,  2968,  2968,  2968,  2968,  2968,  2968,  2968,  2709,
     652,   652,   247,   652,  -262,  -262,   390,   395,  -262,  2709,
     397,  2968,   404,   422,   426,   429,   826,  -262,  -262,  -262,
    -262,  -262,   521,   411,   412,  1338,   434,   826,  -262,   436,
     417,   439,   440,  -262,   -45,  -262,  -262,   826,  -262,  -262,
    -262,  -262,   560,  -262,  -262,   441,   443,   444,   446,   447,
     448,  -262,   430,  -262,  -262,  -262,  -262,  -262,  -262,  -262,
    -262,  3180,  2799,   425,    63,    63,  -262,   255,  -262,  3704,
    -262,  -262,   455,    33,  -262,  -262,   449,   451,   365,   176,
    2019,  -262,  -262,  2709,  3262,   310,   310,  -262,  2968,  1068,
    -262,  -262,   461,  -262,   120,  -262,   460,   367,  -262,   124,
    -262,  -262,  -262,  -262,  -262,  -262,  -262,  -262,  -262,  -262,
    -262,  -262,  -262,  -262,   -30,   -30,   306,   306,   421,   421,
     421,   421,   102,   102,   445,   349,   347,   360,   438,    56,
    -262,  -262,  1158,  2709,  -262,  -262,   -38,   826,   458,   826,
    2709,  2709,  2709,   484,  -262,   453,  -262,  -262,  -262,   -26,
    2709,   488,  2709,  -262,   568,   568,  -262,  -262,  -262,  -262,
    -262,  1248,  1248,   561,   561,   570,   572,   826,   478,  -262,
     482,   483,  -262,   485,  1158,   255,   255,  3577,  2847,  -262,
    -262,  -262,  -262,  -262,  2992,  2709,  2109,  -262,   160,  -262,
    -262,  -262,  -262,  -262,  -262,  2709,  -262,  -262,  -262,  2968,
     164,   372,  -262,   693,   826,  -262,   165,   183,   203,   486,
    -262,  -262,   224,   487,   228,  -262,    16,    30,  -262,  -262,
    1428,  1428,  -262,   465,  -262,   229,   236,  -262,   489,  -262,
     551,  -262,  -262,  -262,  -262,  -262,  -262,   492,  -262,   495,
    2709,  1397,   196,   377,   508,   263,  -262,  -262,  -262,  -262,
    1158,  -262,  -262,  -262,   826,   826,   826,  2709,   826,  2709,
     826,  -262,   517,  2709,  2709,  -262,   -24,  2157,  2247,  1971,
    -262,   561,  -262,  -262,  2709,  -262,  -262,   544,   215,  2295,
    1397,  2709,  -262,   555,   584,  -262,  -262,   269,   586,   271,
    -262,  -262,   278,   280,  -262,   826,   286,   826,   307,  -262,
    -262,  -262,  -262,   578,  2709,   826,  -262,   826,   826,   329,
    1127,  2385,  -262,   343,   244,   563,  -262,   826,   546,   826,
     553,   554,   556,  -262,   826,  -262,   826,  2709,  -262,  -262,
    -262,  -262,  -262,  2709,   256,   573,   344,  -262,  2433,  1397,
    -262,  -262,  -262,  -262,  -262,  -262,  -262,  -262,  -262,   826,
     575,  2523,  -262,   574,  -262,   345,   276,  -262,  1397,  -262,
     350,  -262,  -262,  2571,   388,  -262,  -262,   355,  2661,  -262,
    -262,   361,  -262
};

  /* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
     Performed when YYTABLE does not specify something else to do.  Zero
     means the default is an error.  */
static const yytype_int16 yydefact[] =
{
       0,     0,   152,   148,   205,   150,   206,   207,   208,   203,
       0,   201,   202,   147,     0,   204,   163,   209,   210,   165,
     166,   167,   159,   161,   168,   200,   157,   158,   160,   162,
     164,   169,     0,   179,   350,   349,   136,   134,     0,   132,
     138,   151,   174,   153,     0,   154,   141,     0,   343,   346,
     345,   149,     0,     0,     0,   190,     0,   195,   148,   205,
     137,   135,   220,     0,   232,   228,   125,     0,   143,   145,
     215,     0,     0,   133,     0,   140,     0,   171,   172,     0,
     173,   142,     1,   344,     0,   155,     0,   128,   129,     0,
     216,   217,   218,   219,     0,   198,     0,   196,     0,   149,
       0,   211,   229,   230,     0,   126,     0,     0,     0,     0,
     213,   214,     0,   178,   184,   151,   185,     0,   180,     0,
       0,   177,     0,     0,     0,     0,     0,   131,     0,   127,
       0,     0,   191,     0,   221,   212,   231,   144,   145,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    14,    15,
       4,    18,     0,     0,     0,    98,    45,     0,     0,     0,
      16,    17,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    37,    40,    47,     0,    54,    53,    66,    68,    72,
      75,    78,    83,    86,    88,    90,    92,    94,    96,   105,
       0,   109,   257,   146,   281,     0,   352,     0,   226,   240,
       0,   233,   234,     0,   223,    66,   123,     0,   139,   183,
       0,   175,   181,     0,   187,   189,   186,   176,   347,   156,
     348,   130,   199,   193,   197,     0,   192,     0,    55,    56,
       0,    63,     0,    99,   100,     0,     0,     0,     0,   201,
     202,   121,     0,   241,     0,    57,    58,    59,    60,    61,
      62,   260,     0,     0,    43,    44,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   106,     0,   101,   283,     0,     4,   262,     0,
     204,     0,     0,     0,     0,     0,     0,   300,   301,   313,
     303,   298,     0,     0,     0,     0,     0,     0,   299,     0,
       0,     0,     0,   287,     0,   271,   124,     0,   285,   264,
     265,   266,     0,   267,   268,     0,     0,     0,     0,     0,
       0,   269,     0,   270,   274,   275,   276,   272,   273,   227,
     236,     0,     0,   237,   243,   246,   239,   244,   225,     0,
     224,   222,     0,     0,   182,   194,     0,     0,     0,     0,
       0,    20,    19,     0,     0,   243,   246,   242,     0,     0,
     258,    42,     0,    48,     0,    51,     0,     0,    41,     0,
     111,   112,   113,   114,   115,   116,   117,   118,   120,   119,
     110,    69,    70,    71,    73,    74,    76,    77,    81,    82,
      79,    80,    84,    85,    87,    89,    91,    93,    95,     0,
     102,   103,     0,     0,   104,   277,     0,     0,     0,     0,
       0,     0,     0,     0,   331,     0,   333,   334,   335,     0,
       0,     0,     0,   337,     0,     0,   288,   263,   282,   286,
     284,     0,     0,     0,     0,     0,     0,     0,     0,   253,
       0,     0,   249,     0,     0,   245,   247,     0,     0,   235,
     170,   188,    64,    65,     0,     0,     0,    22,     0,   122,
      67,   259,   261,    50,    49,     0,    39,    38,    46,     0,
       0,     0,   338,     0,     0,   280,     0,     0,     0,     0,
     332,   336,     0,     0,     0,     2,     0,     0,   297,   296,
       0,     0,   302,     0,   311,     0,     0,   304,     0,   314,
       0,   278,   254,   248,   250,   238,   255,     0,   251,     0,
       0,     0,     0,     0,     0,     0,    21,    52,    97,   107,
       0,   108,   339,   279,     0,     0,     0,     0,     0,     0,
       0,     3,     0,     0,     0,   294,     0,     0,     0,     0,
     323,     0,   325,   327,     0,   256,   252,     0,     0,     0,
       0,     0,    34,     0,   289,   293,   315,     0,   291,     0,
     316,   340,     0,     0,   295,     0,     0,     0,     0,   305,
     306,   307,   308,     0,     0,     0,   312,     0,     0,     0,
       0,     0,    24,     0,     0,     0,    33,     0,     0,     0,
       0,     0,     0,   319,     0,   321,     0,     0,   310,   324,
     326,   328,   329,     0,     0,     0,     0,    23,     0,     0,
     290,   317,   292,   318,   341,   342,   320,   322,   309,     0,
       0,     0,    36,     0,    26,     0,     0,   330,     0,    28,
       0,    35,    25,     0,     0,    27,    30,     0,     0,    29,
      32,     0,    31
};

  /* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
    -262,   250,  -262,  -262,  -159,  -262,  -262,  -262,  -257,   -29,
    -152,   219,   220,   -18,   221,   420,   401,   419,   424,   418,
    -262,   -87,  -262,  -262,  -262,  -106,  -112,  -123,    55,    44,
     523,   579,  -262,  -262,     1,  -262,   622,  -262,   311,  -262,
     -14,  -262,  -262,  -262,  -262,  -262,   656,    57,   -89,  -262,
     373,   705,  -262,   643,  -111,   -47,  -262,   -32,   -44,   -63,
     -53,  -186,  -103,  -262,   431,   527,  -175,    75,  -102,   359,
    -262,  -261,  -262,  -262,  -262,  -262,   697,   378,    67,  -262,
     295,   356,  -262,  -262,  -262,  -262,  -262,  -262,  -262,  -262,
     246,   363,  -262,  -262,  -262,  -262,  -262,  -262,  -262,   498,
    -262,  -262,  -262,  -262,  -262,  -262,  -262,   762,  -262,  -262
};

  /* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
       0,   506,   171,   172,   173,   174,   175,   176,   384,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,   187,
     188,   189,   190,   292,   191,   241,   324,   207,   325,   326,
      36,    88,    89,    37,   124,    67,    68,    39,    40,    86,
      41,   116,    80,    42,    43,    44,   117,   118,   119,   213,
     214,    95,    45,    96,    97,    46,   102,   100,    94,    70,
      71,    72,   460,   201,   202,   244,   461,   357,   251,   252,
     327,   328,   329,   330,   195,   450,   331,   332,   333,   334,
     557,   510,   335,   336,   337,   338,   513,   339,   518,   594,
     514,   515,   340,   520,   341,   595,   597,   598,   639,   342,
     343,   344,   345,   346,   347,   348,    47,    48,    49,   107
};

  /* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
     positive, shift that token.  If negative, reduce the rule whose
     number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
     192,    38,   389,   237,   193,   200,    69,   222,   110,   111,
     104,    62,   103,   355,   247,   248,   249,   250,   101,    55,
     224,    77,   206,    78,   356,   209,    62,   105,    55,   120,
     112,   216,   120,   106,    55,  -351,   551,    60,    61,   125,
      73,    75,   131,   206,    35,   433,   363,    81,    38,   136,
     551,   242,    62,    50,   288,   135,   441,   376,   126,   225,
     379,   132,   115,   364,   192,   115,   447,   120,   377,   373,
     120,   449,   138,   120,   243,   120,   373,   369,   226,   380,
     205,    62,    62,   253,   254,   255,   446,   215,   373,   271,
     373,    35,   138,   492,   272,   273,   253,   254,   255,    52,
     115,   205,   351,   115,   352,   501,   115,   584,   115,   199,
      64,    65,    51,   478,   224,   242,   120,    63,   242,   401,
     402,   403,    53,   228,   229,   231,   367,   552,   123,   368,
     553,   278,   279,   223,    79,   245,   246,   205,   205,   205,
     205,   243,   365,    63,   554,   387,   354,    56,   289,   115,
     385,    64,    65,   385,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   355,   362,   353,   495,   256,
     373,   257,    63,   351,   212,   352,   258,   419,   428,   212,
      64,    65,   370,   120,   257,   489,    54,   426,   376,   258,
     375,   127,   349,    66,   128,   350,   521,   108,    76,   109,
     253,   254,   255,   439,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   206,    84,   115,   280,   281,   535,
     253,   254,   255,    87,   372,    55,   480,   373,   374,   463,
     352,   484,   449,   543,   485,   488,    64,    65,   485,   253,
     254,   255,   205,   205,   205,   205,   205,   205,   205,   205,
     205,   205,   205,   205,   205,   205,   205,   205,   205,   205,
     408,   409,   410,   411,   385,   206,    98,   479,   253,   254,
     255,   536,   205,   192,   485,   539,   544,   482,   540,   373,
     253,   254,   255,   574,   575,   576,   476,   578,   257,   580,
      99,   110,   111,   258,   545,   129,   582,   373,   354,   270,
     253,   254,   255,    90,   130,    91,   569,    92,   257,    93,
     134,   491,   603,   258,   546,   532,   192,   373,   496,   497,
     498,   375,   194,   205,   613,   601,   615,   257,   502,   208,
     504,   215,   258,   210,   619,   548,   620,   621,   373,   550,
     560,   218,   373,   561,   626,   529,   630,   562,   632,   205,
     561,   232,   199,   636,   628,   637,   257,   422,   192,   423,
     199,   258,   525,    85,   527,   467,   641,   468,   257,   533,
     385,   645,   568,   258,   573,   199,   220,   485,   647,   537,
     608,   206,   610,   373,   650,   373,   653,   114,   257,   611,
     114,   612,   485,   258,   373,   106,   657,   614,   556,   556,
     373,   661,   538,   139,   140,   141,   142,   143,   144,   145,
     146,   604,   253,   254,   255,   147,   148,   149,   616,   150,
     374,   373,   352,   151,   567,   114,   274,   275,   114,   465,
     466,   114,   233,   114,   192,   577,   219,   579,   482,   205,
     622,   624,   583,   373,   234,   586,   588,   385,   276,   277,
     465,   466,   599,   593,   627,   643,   652,   485,   485,   485,
     205,   655,   259,   385,   485,   605,   659,   284,   199,   485,
     646,   287,   662,   285,   114,   485,   282,   283,   474,   475,
     487,   373,   358,   160,   161,   541,   373,   286,   618,   654,
     570,   571,   162,   404,   405,   385,   406,   407,   658,   295,
     257,   294,   360,   412,   413,   258,   508,   508,   359,   361,
     227,   638,   235,   371,   378,   236,   381,   640,   509,   509,
     388,   425,   385,    59,  -331,     6,     7,     8,     9,   427,
      11,    12,   430,   429,    15,   385,   431,    17,    18,   432,
     434,   114,   436,   437,   440,    25,   442,   385,   443,   444,
     445,   451,   385,   452,   453,   464,   454,   455,   456,   457,
     472,   296,   473,   139,   140,   141,   142,   143,   144,   145,
     146,   470,   483,   486,   499,   147,   148,   149,   503,   297,
     512,     2,   298,   151,   500,   152,   153,   494,   505,   517,
      65,   519,   350,   522,   523,   559,   547,   549,   524,   564,
     563,   420,   421,   565,   424,   154,   155,   299,   566,   156,
     157,    58,    59,     5,     6,     7,     8,     9,    10,   239,
     240,    13,    14,   300,   572,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    30,
      31,    32,    33,   160,   161,   301,   302,   303,   581,   304,
     305,   306,   162,   307,   308,   309,   310,   600,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     163,   606,   607,     2,   609,   617,   629,   631,   164,   165,
     166,   167,   168,   169,   633,   634,   415,   635,   648,   642,
     651,   323,   194,   448,   296,   507,   139,   140,   141,   142,
     143,   144,   145,   146,   414,   416,   418,   221,   147,   148,
     149,   417,   297,   293,     2,   298,   151,    16,   152,   153,
      19,    20,    21,    22,    23,    24,   137,    26,    27,    28,
      29,    30,    31,    32,    33,   122,   471,    57,   154,   155,
     299,   133,   156,   157,    58,    59,     5,     6,     7,     8,
       9,    10,   239,   240,    13,    14,   300,   366,    16,    17,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    30,    31,    32,    33,   160,   161,   301,   302,
     303,   490,   304,   305,   306,   162,   307,   308,   309,   310,
     469,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   163,   196,   493,   558,   596,   511,    83,
     435,   164,   165,   166,   167,   168,   169,   516,     0,     0,
       0,     0,     0,     0,   323,   194,   542,   296,     0,   139,
     140,   141,   142,   143,   144,   145,   146,     0,     0,     0,
       0,   147,   148,   149,     0,   297,     0,     2,   298,   151,
       0,   152,   153,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   154,   155,   299,     0,   156,   157,    58,    59,     5,
       6,     7,     8,     9,    10,   239,   240,    13,    14,   300,
       0,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,   160,
     161,   301,   302,   303,     0,   304,   305,   306,   162,   307,
     308,   309,   310,     0,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   163,     0,    82,     0,
       0,     0,     0,     0,   164,   165,   166,   167,   168,   169,
       0,     0,     0,     0,     0,     0,     0,   323,   194,     2,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     1,     0,     0,     0,     0,     0,     0,     3,
       4,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      14,    15,     2,    16,    17,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    32,
      33,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     3,     4,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    14,    15,     0,    16,    17,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      30,    31,    32,    33,     0,     0,     0,     0,     0,    34,
       0,   139,   140,   141,   142,   143,   144,   145,   146,     0,
       0,     0,     0,   147,   148,   149,     0,   150,     0,     0,
       0,   151,     0,   152,   153,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    34,   154,   155,     0,     0,   156,   157,     0,
       0,     0,     0,     0,     0,     0,     0,   158,   159,     0,
     139,   140,   141,   142,   143,   144,   145,   146,     0,     0,
       0,     0,   147,   148,   149,     0,   150,     0,     0,     0,
     151,   160,   161,     0,     0,     0,     0,     0,     0,     0,
     162,   139,   140,   141,   142,   143,   144,   145,   146,     0,
       0,     0,     0,   147,   148,   149,     0,   150,   163,     0,
       0,   151,     0,   152,   153,     0,   164,   165,   166,   167,
     168,   169,     0,     0,     0,     0,     0,     0,     0,     0,
     170,   481,     0,   154,   155,     0,     0,   156,   157,     0,
     160,   161,     0,     0,     0,     0,     0,   158,   159,   162,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   227,     0,   623,
       0,   160,   161,     0,     0,     0,     0,     0,     0,     0,
     162,   139,   140,   141,   142,   143,   144,   145,   146,     0,
       0,     0,     0,   147,   148,   149,     0,   150,   163,     2,
       0,   151,     0,   152,   153,     0,   164,   165,   166,   167,
     168,   169,     0,     0,     0,     0,     0,     0,     0,     0,
     170,     0,     0,   154,   155,     0,     0,   156,   157,    58,
      59,     5,     6,     7,     8,     9,    10,   239,   240,    13,
      14,    15,     0,    16,    17,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    32,
      33,   160,   161,     0,     0,     0,     0,     0,     0,     0,
     162,   139,   140,   141,   142,   143,   144,   145,   146,     0,
       0,     0,     0,   147,   148,   149,     0,   150,   163,     0,
       0,   151,     0,   152,   153,     0,   164,   165,   166,   167,
     168,   169,     0,     0,     0,     0,     0,     0,     0,   323,
       0,     0,     0,   154,   155,     0,     0,   156,   157,     0,
       0,     0,     0,     0,     0,     0,     0,   158,   159,     0,
     139,   140,   141,   142,   143,   144,   145,   146,     0,     0,
       0,     0,   147,   148,   149,     0,   150,     0,     0,     0,
     151,   160,   161,     0,     0,     0,     0,     0,     0,     0,
     162,   139,   140,   141,   142,   143,   144,   145,   146,     0,
       0,     0,     0,   147,   148,   149,     0,   150,   163,     0,
       0,   151,     0,   152,   153,     0,   164,   165,   166,   167,
     168,   169,     0,     0,     0,     0,     0,     0,     0,   438,
       0,     0,     0,   154,   155,     0,     0,   156,   157,     0,
     160,   161,     0,     0,     0,     0,     0,   158,   159,   162,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   227,     0,     0,
       0,   160,   161,     0,     0,     0,     0,     0,     0,   238,
     162,   139,   140,   141,   142,   143,   144,   145,   146,     0,
       0,     0,     0,   147,   148,   149,     0,   150,   163,     2,
       0,   151,     0,   152,   153,     0,   164,   165,   166,   167,
     168,   169,     0,     0,     0,     0,     0,     0,     0,   555,
       0,     0,     0,   154,   155,     0,     0,   156,   157,     0,
      59,     0,     6,     7,     8,     9,     0,   239,   240,     0,
       0,    15,     0,    16,    17,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    32,
      33,   160,   161,     0,     0,     0,     0,     0,     0,   382,
     162,   139,   140,   141,   142,   143,   144,   145,   146,     0,
       0,     0,     2,   147,   148,   149,     0,   150,   163,     0,
       0,   151,     0,   152,   153,     0,   164,   165,   166,   167,
     168,   169,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   154,   155,     0,     0,   156,   157,     0,
     290,   291,     0,    14,     0,     0,    16,   158,   159,    19,
      20,    21,    22,    23,    24,     0,    26,    27,    28,    29,
      30,    31,    32,    33,     0,     0,     0,     0,     0,     0,
       0,   160,   161,     0,     0,     0,     0,     0,     0,   238,
     162,   139,   140,   141,   142,   143,   144,   145,   146,     0,
       0,     0,     0,   147,   148,   149,     0,   150,   163,   383,
       0,   151,     0,   152,   153,     0,   164,   165,   166,   167,
     168,   169,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   154,   155,     0,     0,   156,   157,     0,
       0,     0,     0,     0,     0,     0,     0,   158,   159,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   160,   161,     0,     0,     0,     0,     0,     0,   386,
     162,   139,   140,   141,   142,   143,   144,   145,   146,     0,
       0,     0,     0,   147,   148,   149,     0,   150,   163,     0,
       0,   151,     0,   152,   153,     0,   164,   165,   166,   167,
     168,   169,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   154,   155,     0,     0,   156,   157,     0,
       0,     0,     0,     0,     0,     0,     0,   158,   159,     0,
       0,   203,     0,   139,   140,   141,   142,   143,   144,   145,
     146,     0,     0,     0,     0,   147,   148,   149,     0,   150,
       0,   160,   161,   151,     0,   152,   153,     0,     0,     0,
     162,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   154,     0,     0,   163,   156,
     157,     0,     0,     0,     0,     0,   164,   165,   166,   167,
     168,   169,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   160,   161,     0,     0,     0,     0,     0,
       0,     0,   162,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     163,     0,     0,   204,     0,     0,     0,     0,   164,   165,
     166,   167,   168,   169,   139,   140,   141,   142,   143,   144,
     145,   146,   589,   590,   591,   592,   147,   148,   149,     0,
     150,     0,     0,     0,   151,     0,   152,   153,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   154,   155,     0,     0,
     156,   157,   139,   140,   141,   142,   143,   144,   145,   146,
     158,   159,     0,     0,   147,   148,   149,     0,   150,     0,
       0,     0,   151,     0,   152,   153,     0,     0,     0,     0,
       0,     0,     0,     0,   160,   161,     0,     0,     0,     0,
       0,     0,     0,   162,   154,   155,     0,     0,   156,   157,
       0,     0,     0,     0,     0,     0,     0,     0,   158,   159,
       0,   163,     0,     0,     0,     0,     0,     0,     0,   164,
     165,   166,   167,   168,   169,     0,     0,     0,     0,     0,
       0,     0,   160,   161,     0,     0,     0,     0,     0,     0,
       0,   162,   139,   140,   141,   142,   143,   144,   145,   146,
       0,     0,     0,     0,   147,   148,   149,     0,   150,   163,
     477,     0,   151,     0,   152,   153,     0,   164,   165,   166,
     167,   168,   169,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   154,   155,     0,     0,   156,   157,
     139,   140,   141,   142,   143,   144,   145,   146,   158,   159,
       0,     0,   147,   148,   149,     0,   150,     0,     0,     0,
     151,     0,   152,   153,     0,     0,     0,     0,     0,     0,
       0,     0,   160,   161,     0,     0,     0,     0,     0,     0,
       0,   162,   154,   155,     0,     0,   156,   157,     0,     0,
       0,     0,     0,     0,     0,     0,   158,   159,     0,   163,
     534,     0,     0,     0,     0,     0,     0,   164,   165,   166,
     167,   168,   169,     0,     0,     0,     0,     0,     0,     0,
     160,   161,     0,     0,     0,     0,     0,     0,     0,   162,
     139,   140,   141,   142,   143,   144,   145,   146,     0,     0,
       0,     0,   147,   148,   149,     0,   150,   163,   585,     0,
     151,     0,   152,   153,     0,   164,   165,   166,   167,   168,
     169,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   154,   155,     0,     0,   156,   157,   139,   140,
     141,   142,   143,   144,   145,   146,   158,   159,     0,     0,
     147,   148,   149,     0,   150,     0,     0,     0,   151,     0,
     152,   153,     0,     0,     0,     0,     0,     0,     0,     0,
     160,   161,     0,     0,     0,     0,     0,     0,     0,   162,
     154,   155,     0,     0,   156,   157,     0,     0,     0,     0,
       0,     0,     0,     0,   158,   159,     0,   163,   587,     0,
       0,     0,     0,     0,     0,   164,   165,   166,   167,   168,
     169,     0,     0,     0,     0,     0,     0,     0,   160,   161,
       0,     0,     0,     0,     0,     0,     0,   162,   139,   140,
     141,   142,   143,   144,   145,   146,     0,     0,     0,     0,
     147,   148,   149,     0,   150,   163,   602,     0,   151,     0,
     152,   153,     0,   164,   165,   166,   167,   168,   169,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     154,   155,     0,     0,   156,   157,   139,   140,   141,   142,
     143,   144,   145,   146,   158,   159,     0,     0,   147,   148,
     149,     0,   150,     0,     0,     0,   151,     0,   152,   153,
       0,     0,     0,     0,     0,     0,     0,     0,   160,   161,
       0,     0,     0,     0,     0,     0,     0,   162,   154,   155,
       0,     0,   156,   157,     0,     0,     0,     0,     0,     0,
       0,     0,   158,   159,     0,   163,   625,     0,     0,     0,
       0,     0,     0,   164,   165,   166,   167,   168,   169,     0,
       0,     0,     0,     0,     0,     0,   160,   161,     0,     0,
       0,     0,     0,     0,     0,   162,   139,   140,   141,   142,
     143,   144,   145,   146,     0,     0,     0,     0,   147,   148,
     149,     0,   150,   163,   644,     0,   151,     0,   152,   153,
       0,   164,   165,   166,   167,   168,   169,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   154,   155,
       0,     0,   156,   157,   139,   140,   141,   142,   143,   144,
     145,   146,   158,   159,     0,     0,   147,   148,   149,     0,
     150,     0,     0,     0,   151,     0,   152,   153,     0,     0,
       0,     0,     0,     0,     0,     0,   160,   161,     0,     0,
       0,     0,     0,     0,     0,   162,   154,   155,     0,     0,
     156,   157,     0,     0,     0,     0,     0,     0,     0,     0,
     158,   159,     0,   163,   649,     0,     0,     0,     0,     0,
       0,   164,   165,   166,   167,   168,   169,     0,     0,     0,
       0,     0,     0,     0,   160,   161,     0,     0,     0,     0,
       0,     0,     0,   162,   139,   140,   141,   142,   143,   144,
     145,   146,     0,     0,     0,     0,   147,   148,   149,     0,
     150,   163,   656,     0,   151,     0,   152,   153,     0,   164,
     165,   166,   167,   168,   169,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   154,   155,     0,     0,
     156,   157,   139,   140,   141,   142,   143,   144,   145,   146,
     158,   159,     0,     0,   147,   148,   149,     0,   150,     0,
       0,     0,   151,     0,   152,   153,     0,     0,     0,     0,
       0,     0,     0,     0,   160,   161,     0,     0,     0,     0,
       0,     0,     0,   162,   154,   155,     0,     0,   156,   157,
       0,     0,     0,     0,     0,     0,     0,     0,   158,   159,
       0,   163,   660,     0,     0,     0,     0,     0,     0,   164,
     165,   166,   167,   168,   169,     0,     0,     0,     0,     0,
       0,     0,   160,   161,     0,     0,     0,     0,     0,     0,
       0,   162,   139,   140,   141,   142,   143,   144,   145,   146,
       0,     0,     0,     0,   147,   148,   149,     0,   150,   163,
       0,     0,   151,     0,   152,   153,     0,   164,   165,   166,
     167,   168,   169,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   154,     0,     0,     0,   156,   157,
     139,   140,   141,   142,   143,   144,   145,   146,     0,     0,
       0,     0,   147,   148,   149,     0,   150,     0,     0,     0,
     151,     0,   152,   153,     0,     0,     0,     0,     0,     0,
       0,     0,   160,   161,     0,     0,     0,     0,     0,     0,
       0,   162,   154,     0,     0,     0,   156,   157,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   163,
       0,     0,   462,     0,     0,     0,     0,   164,   165,   166,
     167,   168,   169,     0,     0,     0,     0,     0,     0,     0,
     160,   161,     0,     0,     0,     0,     0,     0,     0,   162,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   163,     0,     0,
     528,     0,     0,     0,     0,   164,   165,   166,   167,   168,
     169,   139,   140,   141,   142,   143,   144,   145,   146,     0,
       0,     0,     0,   147,   148,   149,     0,   150,     0,     0,
       0,   151,     0,   152,   153,   139,   140,   141,   142,   143,
     144,   145,   146,     0,     0,     0,     0,   147,   148,   149,
       0,   150,     0,   154,     0,   151,     0,   156,   157,   139,
     140,   141,   142,   143,   144,   145,   146,     0,     0,     0,
       0,   147,   148,   149,     0,   150,     0,     0,     0,   151,
       0,   152,   153,     0,     0,     0,     0,     0,     0,     0,
       0,   160,   161,     0,     0,     0,     0,     0,     0,     0,
     162,   154,     0,     0,     0,   156,   157,     0,     0,     0,
       0,     0,     0,     0,     0,   160,   161,     0,   163,     0,
       0,     0,     0,     0,   162,     0,   164,   165,   166,   167,
     168,   169,     0,     0,     0,     0,     0,     0,     0,   160,
     161,     0,   227,     0,   530,     0,     0,   531,   162,   139,
     140,   141,   142,   143,   144,   145,   146,     0,     0,     0,
       0,   147,   148,   149,     0,   150,   227,     0,     0,   151,
       0,   152,   153,     0,   164,   165,   166,   167,   168,   169,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   154,     0,     0,     0,   156,   157,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   458,     0,     0,     0,     0,     0,     0,     0,   160,
     161,     0,     0,     0,     0,     0,     0,     0,   162,    62,
       0,     2,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   230,     0,     0,     0,
       0,     0,     0,     0,   164,   165,   166,   167,   168,   169,
       0,    58,    59,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    14,    15,     0,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    30,
      31,    32,    33,   458,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     2,     0,     0,     0,     0,     0,     0,
     351,   459,   352,     0,     0,     0,     0,     0,    64,    65,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    58,    59,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    14,    15,     0,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    32,    33,     0,     0,     0,     0,     0,
       0,     2,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   374,   459,   352,     0,     0,     0,     0,     0,
      64,    65,    59,     2,     6,     7,     8,     9,     0,    11,
      12,     0,     0,    15,     0,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    30,
      31,    32,    33,     0,    59,     0,     6,     7,     8,     9,
       2,    11,    12,     0,     0,    15,     0,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    32,    33,     0,     0,     0,     0,     0,
       0,    59,     2,     6,     7,     8,     9,     0,    11,    12,
       0,     0,    15,   113,    16,    17,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    33,     0,    59,     0,     6,     7,     8,     9,     0,
      11,    12,     2,     0,    15,   121,    16,    17,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      30,    31,    32,    33,     0,   197,     0,     0,     0,     0,
       0,     0,     0,    59,     0,     6,     7,     8,     9,     0,
      11,    12,   211,     0,    15,     2,    16,    17,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      30,    31,    32,    33,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   217,    58,    59,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    14,    15,   458,    16,
      17,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    30,    31,    32,    33,     0,     2,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   198,     0,     0,    58,    59,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,     0,    16,    17,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    30,    31,    32,    33,
       2,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   526,     0,
      58,    59,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    14,    15,     0,    16,    17,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    33,     0,     0,     0,     2,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    74,    58,    59,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    14,    15,     0,    16,
      17,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    30,    31,    32,    33
};

static const yytype_int16 yycheck[] =
{
     106,     0,   259,   162,   106,   108,    38,   130,    71,    72,
     114,    19,    65,   199,   166,   167,   168,   169,    65,    19,
     131,    19,   109,    21,   199,   114,    19,   131,    19,    76,
      74,   120,    79,   130,    19,   132,    20,    36,    37,   114,
      39,    40,   114,   130,     0,   306,   114,    46,    47,   102,
      20,   163,    19,   131,    34,   102,   317,   243,   133,   114,
     114,   133,    76,   131,   170,    79,   327,   114,   243,   114,
     117,   332,   104,   120,   163,   122,   114,   236,   133,   133,
     109,    19,    19,    24,    25,    26,   131,   119,   114,   119,
     114,    47,   124,   131,   124,   125,    24,    25,    26,   132,
     114,   130,   110,   117,   112,   131,   120,   131,   122,   108,
     118,   119,    18,   370,   225,   227,   163,   110,   230,   271,
     272,   273,   110,   152,   153,   154,   232,   111,    84,   235,
     114,    29,    30,   133,   132,   164,   165,   166,   167,   168,
     169,   230,   133,   110,   114,   257,   199,   132,   128,   163,
     256,   118,   119,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   351,   210,   199,   429,   110,
     114,   112,   110,   110,   117,   112,   117,   289,   301,   122,
     118,   119,   110,   230,   112,   129,   115,   299,   374,   117,
     243,   111,   111,   131,   114,   114,   457,   110,   132,   112,
      24,    25,    26,   315,    35,    36,    37,    38,    39,    40,
      41,    42,    43,    44,   301,   132,   230,   115,   116,   476,
      24,    25,    26,    19,   111,    19,   378,   114,   110,   352,
     112,   111,   493,   494,   114,   111,   118,   119,   114,    24,
      25,    26,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     278,   279,   280,   281,   370,   352,   132,   373,    24,    25,
      26,   111,   301,   379,   114,   111,   111,   379,   114,   114,
      24,    25,    26,   544,   545,   546,   110,   548,   112,   550,
      18,   354,   355,   117,   111,   116,   553,   114,   351,   130,
      24,    25,    26,     3,   130,     5,   110,     7,   112,     9,
     111,   423,   569,   117,   111,   474,   422,   114,   430,   431,
     432,   374,   132,   352,   585,   110,   587,   112,   440,   116,
     442,   363,   117,   115,   595,   111,   597,   598,   114,   111,
     111,   133,   114,   114,   601,   468,   607,   111,   609,   378,
     114,   110,   351,   614,   110,   616,   112,   110,   464,   112,
     359,   117,   464,    52,   467,   110,   110,   112,   112,   475,
     476,   628,   531,   117,   111,   374,   131,   114,   639,   485,
     111,   468,   111,   114,   641,   114,   110,    76,   112,   111,
      79,   111,   114,   117,   114,   130,   653,   111,   510,   511,
     114,   658,   489,     3,     4,     5,     6,     7,     8,     9,
      10,   570,    24,    25,    26,    15,    16,    17,   111,    19,
     110,   114,   112,    23,   530,   114,   120,   121,   117,   354,
     355,   120,    46,   122,   540,   547,   125,   549,   540,   468,
     111,   600,   554,   114,    46,   557,   558,   553,    27,    28,
     375,   376,   564,   559,   111,   111,   111,   114,   114,   114,
     489,   111,   110,   569,   114,   571,   111,   118,   467,   114,
     629,    33,   111,   126,   163,   114,    31,    32,   113,   114,
     113,   114,   111,    83,    84,   113,   114,   127,   594,   648,
     113,   114,    92,   274,   275,   601,   276,   277,   110,   133,
     112,   190,   113,   282,   283,   117,   451,   452,   114,   113,
     110,   617,   112,   111,   111,   115,    19,   623,   451,   452,
      19,   131,   628,    52,   129,    54,    55,    56,    57,   132,
      59,    60,   110,   129,    63,   641,   110,    66,    67,   110,
      19,   230,   131,   131,   110,    74,   110,   653,   131,   110,
     110,   110,   658,   110,   110,   130,   110,   110,   110,   129,
     111,     1,   111,     3,     4,     5,     6,     7,     8,     9,
      10,   116,   111,   113,    90,    15,    16,    17,    90,    19,
      19,    21,    22,    23,   131,    25,    26,   129,    20,    19,
     119,    19,   114,   111,   111,   130,   110,   110,   113,    48,
     111,   290,   291,   111,   293,    45,    46,    47,   113,    49,
      50,    51,    52,    53,    54,    55,    56,    57,    58,    59,
      60,    61,    62,    63,   116,    65,    66,    67,    68,    69,
      70,    71,    72,    73,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    87,   131,    89,
      90,    91,    92,    93,    94,    95,    96,   113,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   116,    88,    21,    88,    97,   113,   131,   118,   119,
     120,   121,   122,   123,   131,   131,   285,   131,   113,   116,
     116,   131,   132,   133,     1,   445,     3,     4,     5,     6,
       7,     8,     9,    10,   284,   286,   288,   128,    15,    16,
      17,   287,    19,   190,    21,    22,    23,    65,    25,    26,
      68,    69,    70,    71,    72,    73,   104,    75,    76,    77,
      78,    79,    80,    81,    82,    79,   363,    32,    45,    46,
      47,    98,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,   230,    65,    66,
      67,    68,    69,    70,    71,    72,    73,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      87,   422,    89,    90,    91,    92,    93,    94,    95,    96,
     359,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   107,   427,   511,   561,   452,    47,
     312,   118,   119,   120,   121,   122,   123,   454,    -1,    -1,
      -1,    -1,    -1,    -1,   131,   132,   133,     1,    -1,     3,
       4,     5,     6,     7,     8,     9,    10,    -1,    -1,    -1,
      -1,    15,    16,    17,    -1,    19,    -1,    21,    22,    23,
      -1,    25,    26,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      -1,    65,    66,    67,    68,    69,    70,    71,    72,    73,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    87,    -1,    89,    90,    91,    92,    93,
      94,    95,    96,    -1,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,    -1,     0,    -1,
      -1,    -1,    -1,    -1,   118,   119,   120,   121,   122,   123,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   131,   132,    21,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,     1,    -1,    -1,    -1,    -1,    -1,    -1,    51,
      52,    53,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    21,    65,    66,    67,    68,    69,    70,    71,
      72,    73,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    -1,    65,    66,    67,    68,
      69,    70,    71,    72,    73,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    -1,    -1,    -1,    -1,    -1,   131,
      -1,     3,     4,     5,     6,     7,     8,     9,    10,    -1,
      -1,    -1,    -1,    15,    16,    17,    -1,    19,    -1,    -1,
      -1,    23,    -1,    25,    26,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   131,    45,    46,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    59,    60,    -1,
       3,     4,     5,     6,     7,     8,     9,    10,    -1,    -1,
      -1,    -1,    15,    16,    17,    -1,    19,    -1,    -1,    -1,
      23,    83,    84,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      92,     3,     4,     5,     6,     7,     8,     9,    10,    -1,
      -1,    -1,    -1,    15,    16,    17,    -1,    19,   110,    -1,
      -1,    23,    -1,    25,    26,    -1,   118,   119,   120,   121,
     122,   123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     132,   133,    -1,    45,    46,    -1,    -1,    49,    50,    -1,
      83,    84,    -1,    -1,    -1,    -1,    -1,    59,    60,    92,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,    -1,   112,
      -1,    83,    84,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      92,     3,     4,     5,     6,     7,     8,     9,    10,    -1,
      -1,    -1,    -1,    15,    16,    17,    -1,    19,   110,    21,
      -1,    23,    -1,    25,    26,    -1,   118,   119,   120,   121,
     122,   123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     132,    -1,    -1,    45,    46,    -1,    -1,    49,    50,    51,
      52,    53,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    -1,    65,    66,    67,    68,    69,    70,    71,
      72,    73,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      92,     3,     4,     5,     6,     7,     8,     9,    10,    -1,
      -1,    -1,    -1,    15,    16,    17,    -1,    19,   110,    -1,
      -1,    23,    -1,    25,    26,    -1,   118,   119,   120,   121,
     122,   123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   131,
      -1,    -1,    -1,    45,    46,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    59,    60,    -1,
       3,     4,     5,     6,     7,     8,     9,    10,    -1,    -1,
      -1,    -1,    15,    16,    17,    -1,    19,    -1,    -1,    -1,
      23,    83,    84,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      92,     3,     4,     5,     6,     7,     8,     9,    10,    -1,
      -1,    -1,    -1,    15,    16,    17,    -1,    19,   110,    -1,
      -1,    23,    -1,    25,    26,    -1,   118,   119,   120,   121,
     122,   123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   131,
      -1,    -1,    -1,    45,    46,    -1,    -1,    49,    50,    -1,
      83,    84,    -1,    -1,    -1,    -1,    -1,    59,    60,    92,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,    -1,    -1,
      -1,    83,    84,    -1,    -1,    -1,    -1,    -1,    -1,     1,
      92,     3,     4,     5,     6,     7,     8,     9,    10,    -1,
      -1,    -1,    -1,    15,    16,    17,    -1,    19,   110,    21,
      -1,    23,    -1,    25,    26,    -1,   118,   119,   120,   121,
     122,   123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   131,
      -1,    -1,    -1,    45,    46,    -1,    -1,    49,    50,    -1,
      52,    -1,    54,    55,    56,    57,    -1,    59,    60,    -1,
      -1,    63,    -1,    65,    66,    67,    68,    69,    70,    71,
      72,    73,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    -1,    -1,    -1,    -1,    -1,    -1,     1,
      92,     3,     4,     5,     6,     7,     8,     9,    10,    -1,
      -1,    -1,    21,    15,    16,    17,    -1,    19,   110,    -1,
      -1,    23,    -1,    25,    26,    -1,   118,   119,   120,   121,
     122,   123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    45,    46,    -1,    -1,    49,    50,    -1,
      59,    60,    -1,    62,    -1,    -1,    65,    59,    60,    68,
      69,    70,    71,    72,    73,    -1,    75,    76,    77,    78,
      79,    80,    81,    82,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    83,    84,    -1,    -1,    -1,    -1,    -1,    -1,     1,
      92,     3,     4,     5,     6,     7,     8,     9,    10,    -1,
      -1,    -1,    -1,    15,    16,    17,    -1,    19,   110,   111,
      -1,    23,    -1,    25,    26,    -1,   118,   119,   120,   121,
     122,   123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    45,    46,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    59,    60,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    83,    84,    -1,    -1,    -1,    -1,    -1,    -1,     1,
      92,     3,     4,     5,     6,     7,     8,     9,    10,    -1,
      -1,    -1,    -1,    15,    16,    17,    -1,    19,   110,    -1,
      -1,    23,    -1,    25,    26,    -1,   118,   119,   120,   121,
     122,   123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    45,    46,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    59,    60,    -1,
      -1,     1,    -1,     3,     4,     5,     6,     7,     8,     9,
      10,    -1,    -1,    -1,    -1,    15,    16,    17,    -1,    19,
      -1,    83,    84,    23,    -1,    25,    26,    -1,    -1,    -1,
      92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    45,    -1,    -1,   110,    49,
      50,    -1,    -1,    -1,    -1,    -1,   118,   119,   120,   121,
     122,   123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    83,    84,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,    -1,    -1,   113,    -1,    -1,    -1,    -1,   118,   119,
     120,   121,   122,   123,     3,     4,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    14,    15,    16,    17,    -1,
      19,    -1,    -1,    -1,    23,    -1,    25,    26,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    45,    46,    -1,    -1,
      49,    50,     3,     4,     5,     6,     7,     8,     9,    10,
      59,    60,    -1,    -1,    15,    16,    17,    -1,    19,    -1,
      -1,    -1,    23,    -1,    25,    26,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    83,    84,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    92,    45,    46,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    59,    60,
      -1,   110,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   118,
     119,   120,   121,   122,   123,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    83,    84,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    92,     3,     4,     5,     6,     7,     8,     9,    10,
      -1,    -1,    -1,    -1,    15,    16,    17,    -1,    19,   110,
     111,    -1,    23,    -1,    25,    26,    -1,   118,   119,   120,
     121,   122,   123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    45,    46,    -1,    -1,    49,    50,
       3,     4,     5,     6,     7,     8,     9,    10,    59,    60,
      -1,    -1,    15,    16,    17,    -1,    19,    -1,    -1,    -1,
      23,    -1,    25,    26,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    83,    84,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    92,    45,    46,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    59,    60,    -1,   110,
     111,    -1,    -1,    -1,    -1,    -1,    -1,   118,   119,   120,
     121,   122,   123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      83,    84,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    92,
       3,     4,     5,     6,     7,     8,     9,    10,    -1,    -1,
      -1,    -1,    15,    16,    17,    -1,    19,   110,   111,    -1,
      23,    -1,    25,    26,    -1,   118,   119,   120,   121,   122,
     123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    45,    46,    -1,    -1,    49,    50,     3,     4,
       5,     6,     7,     8,     9,    10,    59,    60,    -1,    -1,
      15,    16,    17,    -1,    19,    -1,    -1,    -1,    23,    -1,
      25,    26,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      83,    84,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    92,
      45,    46,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    59,    60,    -1,   110,   111,    -1,
      -1,    -1,    -1,    -1,    -1,   118,   119,   120,   121,   122,
     123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    83,    84,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    92,     3,     4,
       5,     6,     7,     8,     9,    10,    -1,    -1,    -1,    -1,
      15,    16,    17,    -1,    19,   110,   111,    -1,    23,    -1,
      25,    26,    -1,   118,   119,   120,   121,   122,   123,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      45,    46,    -1,    -1,    49,    50,     3,     4,     5,     6,
       7,     8,     9,    10,    59,    60,    -1,    -1,    15,    16,
      17,    -1,    19,    -1,    -1,    -1,    23,    -1,    25,    26,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    83,    84,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    92,    45,    46,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    59,    60,    -1,   110,   111,    -1,    -1,    -1,
      -1,    -1,    -1,   118,   119,   120,   121,   122,   123,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    83,    84,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    92,     3,     4,     5,     6,
       7,     8,     9,    10,    -1,    -1,    -1,    -1,    15,    16,
      17,    -1,    19,   110,   111,    -1,    23,    -1,    25,    26,
      -1,   118,   119,   120,   121,   122,   123,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    45,    46,
      -1,    -1,    49,    50,     3,     4,     5,     6,     7,     8,
       9,    10,    59,    60,    -1,    -1,    15,    16,    17,    -1,
      19,    -1,    -1,    -1,    23,    -1,    25,    26,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    83,    84,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    92,    45,    46,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      59,    60,    -1,   110,   111,    -1,    -1,    -1,    -1,    -1,
      -1,   118,   119,   120,   121,   122,   123,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    83,    84,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    92,     3,     4,     5,     6,     7,     8,
       9,    10,    -1,    -1,    -1,    -1,    15,    16,    17,    -1,
      19,   110,   111,    -1,    23,    -1,    25,    26,    -1,   118,
     119,   120,   121,   122,   123,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    45,    46,    -1,    -1,
      49,    50,     3,     4,     5,     6,     7,     8,     9,    10,
      59,    60,    -1,    -1,    15,    16,    17,    -1,    19,    -1,
      -1,    -1,    23,    -1,    25,    26,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    83,    84,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    92,    45,    46,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    59,    60,
      -1,   110,   111,    -1,    -1,    -1,    -1,    -1,    -1,   118,
     119,   120,   121,   122,   123,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    83,    84,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    92,     3,     4,     5,     6,     7,     8,     9,    10,
      -1,    -1,    -1,    -1,    15,    16,    17,    -1,    19,   110,
      -1,    -1,    23,    -1,    25,    26,    -1,   118,   119,   120,
     121,   122,   123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    45,    -1,    -1,    -1,    49,    50,
       3,     4,     5,     6,     7,     8,     9,    10,    -1,    -1,
      -1,    -1,    15,    16,    17,    -1,    19,    -1,    -1,    -1,
      23,    -1,    25,    26,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    83,    84,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    92,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
      -1,    -1,   113,    -1,    -1,    -1,    -1,   118,   119,   120,
     121,   122,   123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      83,    84,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    92,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,    -1,    -1,
     113,    -1,    -1,    -1,    -1,   118,   119,   120,   121,   122,
     123,     3,     4,     5,     6,     7,     8,     9,    10,    -1,
      -1,    -1,    -1,    15,    16,    17,    -1,    19,    -1,    -1,
      -1,    23,    -1,    25,    26,     3,     4,     5,     6,     7,
       8,     9,    10,    -1,    -1,    -1,    -1,    15,    16,    17,
      -1,    19,    -1,    45,    -1,    23,    -1,    49,    50,     3,
       4,     5,     6,     7,     8,     9,    10,    -1,    -1,    -1,
      -1,    15,    16,    17,    -1,    19,    -1,    -1,    -1,    23,
      -1,    25,    26,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    83,    84,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      92,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    83,    84,    -1,   110,    -1,
      -1,    -1,    -1,    -1,    92,    -1,   118,   119,   120,   121,
     122,   123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    83,
      84,    -1,   110,    -1,   112,    -1,    -1,   115,    92,     3,
       4,     5,     6,     7,     8,     9,    10,    -1,    -1,    -1,
      -1,    15,    16,    17,    -1,    19,   110,    -1,    -1,    23,
      -1,    25,    26,    -1,   118,   119,   120,   121,   122,   123,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,     1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    83,
      84,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    92,    19,
      -1,    21,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   118,   119,   120,   121,   122,   123,
      -1,    51,    52,    53,    54,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    -1,    65,    66,    67,    68,    69,
      70,    71,    72,    73,    74,    75,    76,    77,    78,    79,
      80,    81,    82,     1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    21,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,   112,    -1,    -1,    -1,    -1,    -1,   118,   119,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    -1,    65,    66,    67,
      68,    69,    70,    71,    72,    73,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    -1,    -1,    -1,    -1,    -1,
      -1,    21,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,   112,    -1,    -1,    -1,    -1,    -1,
     118,   119,    52,    21,    54,    55,    56,    57,    -1,    59,
      60,    -1,    -1,    63,    -1,    65,    66,    67,    68,    69,
      70,    71,    72,    73,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    -1,    52,    -1,    54,    55,    56,    57,
      21,    59,    60,    -1,    -1,    63,    -1,    65,    66,    67,
      68,    69,    70,    71,    72,    73,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    -1,    -1,    -1,    -1,    -1,
      -1,    52,    21,    54,    55,    56,    57,    -1,    59,    60,
      -1,    -1,    63,   133,    65,    66,    67,    68,    69,    70,
      71,    72,    73,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    -1,    52,    -1,    54,    55,    56,    57,    -1,
      59,    60,    21,    -1,    63,   133,    65,    66,    67,    68,
      69,    70,    71,    72,    73,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    -1,     1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    52,    -1,    54,    55,    56,    57,    -1,
      59,    60,   133,    -1,    63,    21,    65,    66,    67,    68,
      69,    70,    71,    72,    73,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   133,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,     1,    65,
      66,    67,    68,    69,    70,    71,    72,    73,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    -1,    21,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   111,    -1,    -1,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    -1,    65,    66,    67,    68,    69,    70,    71,    72,
      73,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      21,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,    -1,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    -1,    65,    66,    67,    68,    69,    70,
      71,    72,    73,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    -1,    -1,    -1,    21,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   115,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    -1,    65,
      66,    67,    68,    69,    70,    71,    72,    73,    74,    75,
      76,    77,    78,    79,    80,    81,    82
};

  /* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
     symbol of state STATE-NUM.  */
static const yytype_uint8 yystos[] =
{
       0,     1,    21,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    65,    66,    67,    68,
      69,    70,    71,    72,    73,    74,    75,    76,    77,    78,
      79,    80,    81,    82,   131,   163,   164,   167,   168,   171,
     172,   174,   177,   178,   179,   186,   189,   240,   241,   242,
     131,    18,   132,   110,   115,    19,   132,   185,    51,    52,
     168,   168,    19,   110,   118,   119,   131,   169,   170,   191,
     193,   194,   195,   168,   115,   168,   132,    19,    21,   132,
     176,   168,     0,   241,   132,   172,   173,    19,   165,   166,
       3,     5,     7,     9,   192,   185,   187,   188,   132,    18,
     191,   189,   190,   194,   114,   131,   130,   243,   110,   112,
     193,   193,   192,   133,   172,   174,   175,   180,   181,   182,
     189,   133,   180,   163,   168,   114,   133,   111,   114,   116,
     130,   114,   133,   187,   111,   189,   194,   170,   191,     3,
       4,     5,     6,     7,     8,     9,    10,    15,    16,    17,
      19,    23,    25,    26,    45,    46,    49,    50,    59,    60,
      83,    84,    92,   110,   118,   119,   120,   121,   122,   123,
     132,   136,   137,   138,   139,   140,   141,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,   154,   155,
     156,   158,   159,   202,   132,   208,   210,     1,   111,   168,
     196,   197,   198,     1,   113,   143,   155,   161,   116,   182,
     115,   133,   181,   183,   184,   191,   182,   133,   133,   172,
     131,   165,   161,   133,   188,   114,   133,   110,   143,   143,
     110,   143,   110,    46,    46,   112,   115,   138,     1,    59,
      60,   159,   160,   182,   199,   143,   143,   144,   144,   144,
     144,   202,   203,    24,    25,    26,   110,   112,   117,   110,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
     130,   119,   124,   125,   120,   121,    27,    28,    29,    30,
     115,   116,    31,    32,   118,   126,   127,    33,    34,   128,
      59,    60,   157,   164,   172,   133,     1,    19,    22,    47,
      63,    85,    86,    87,    89,    90,    91,    93,    94,    95,
      96,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   131,   160,   162,   163,   204,   205,   206,
     207,   210,   211,   212,   213,   216,   217,   218,   219,   221,
     226,   228,   233,   234,   235,   236,   237,   238,   239,   111,
     114,   110,   112,   191,   194,   195,   200,   201,   111,   114,
     113,   113,   192,   114,   131,   133,   199,   159,   159,   138,
     110,   111,   111,   114,   110,   194,   195,   200,   111,   114,
     133,    19,     1,   111,   142,   159,     1,   160,    19,   142,
     159,   159,   159,   159,   159,   159,   159,   159,   159,   159,
     159,   144,   144,   144,   145,   145,   146,   146,   147,   147,
     147,   147,   148,   148,   149,   150,   151,   152,   153,   160,
     172,   172,   110,   112,   172,   131,   160,   132,   161,   129,
     110,   110,   110,   205,    19,   233,   131,   131,   131,   160,
     110,   205,   110,   131,   110,   110,   131,   205,   133,   205,
     209,   110,   110,   110,   110,   110,   110,   129,     1,   111,
     196,   200,   113,   161,   130,   201,   201,   110,   112,   198,
     116,   184,   111,   111,   113,   114,   110,   111,   142,   159,
     144,   133,   202,   111,   111,   114,   113,   113,   111,   129,
     203,   160,   131,   211,   129,   205,   160,   160,   160,    90,
     131,   131,   160,    90,   160,    20,   135,   135,   162,   212,
     215,   215,    19,   220,   224,   225,   225,    19,   222,    19,
     227,   205,   111,   111,   113,   202,   111,   196,   113,   161,
     112,   115,   138,   159,   111,   142,   111,   159,   155,   111,
     114,   113,   133,   205,   111,   111,   111,   110,   111,   110,
     111,    20,   111,   114,   114,   131,   160,   214,   214,   130,
     111,   114,   111,   111,    48,   111,   113,   159,   138,   110,
     113,   114,   116,   111,   205,   205,   205,   160,   205,   160,
     205,   131,   142,   160,   131,   111,   160,   111,   160,    11,
      12,    13,    14,   159,   223,   229,   224,   230,   231,   160,
     113,   110,   111,   142,   138,   159,   116,    88,   111,    88,
     111,   111,   111,   205,   111,   205,   111,    97,   159,   205,
     205,   205,   111,   112,   138,   111,   142,   111,   110,   113,
     205,   131,   205,   131,   131,   131,   205,   205,   159,   232,
     159,   110,   116,   111,   111,   142,   138,   205,   113,   111,
     142,   116,   111,   110,   138,   111,   111,   142,   110,   111,
     111,   142,   111
};

  /* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint8 yyr1[] =
{
       0,   134,   135,   135,   136,   136,   136,   136,   136,   136,
     136,   136,   136,   136,   136,   136,   136,   136,   136,   136,
     136,   137,   137,   137,   137,   137,   137,   137,   137,   137,
     137,   137,   137,   137,   137,   137,   137,   138,   138,   138,
     138,   138,   138,   138,   138,   139,   140,   141,   141,   141,
     141,   142,   142,   143,   143,   143,   143,   143,   143,   143,
     143,   143,   143,   143,   143,   143,   144,   144,   145,   145,
     145,   145,   146,   146,   146,   147,   147,   147,   148,   148,
     148,   148,   148,   149,   149,   149,   150,   150,   151,   151,
     152,   152,   153,   153,   154,   154,   155,   155,   156,   156,
     156,   157,   157,   157,   157,   158,   158,   158,   158,   159,
     159,   159,   159,   159,   159,   159,   159,   159,   159,   159,
     159,   160,   160,   161,   162,   163,   163,   164,   165,   166,
     166,   167,   168,   168,   168,   168,   168,   168,   168,   168,
     168,   168,   168,   169,   169,   170,   170,   171,   171,   171,
     171,   172,   172,   172,   172,   173,   173,   174,   174,   174,
     174,   174,   174,   174,   174,   174,   174,   174,   174,   174,
     175,   176,   176,   177,   178,   178,   178,   178,   178,   179,
     180,   180,   181,   182,   182,   182,   182,   183,   183,   184,
     185,   186,   186,   186,   186,   186,   187,   187,   188,   188,
     189,   189,   189,   189,   189,   189,   189,   189,   189,   189,
     189,   190,   190,   191,   191,   191,   192,   192,   192,   192,
     193,   193,   193,   193,   193,   193,   193,   193,   194,   194,
     194,   194,   195,   196,   197,   197,   197,   198,   198,   198,
     198,   199,   199,   200,   200,   200,   200,   200,   201,   201,
     201,   201,   201,   201,   201,   201,   201,   202,   202,   202,
     203,   203,   204,   205,   205,   206,   206,   206,   206,   206,
     206,   206,   206,   206,   206,   206,   206,   206,   207,   207,
     207,   208,   209,   210,   210,   211,   211,   212,   212,   213,
     213,   213,   213,   213,   214,   214,   215,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   223,   223,   223,   224,
     224,   225,   225,   226,   227,   228,   228,   228,   228,   228,
     228,   228,   228,   229,   228,   230,   228,   231,   228,   232,
     228,   233,   234,   234,   234,   234,   234,   235,   236,   237,
     238,   238,   239,   240,   240,   240,   241,   241,   241,   241,
     241,   243,   242
};

  /* YYR2[YYN] -- Number of symbols on the right hand side of rule YYN.  */
static const yytype_int8 yyr2[] =
{
       0,     2,     1,     2,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     3,
       3,     5,     4,     8,     7,    10,     9,    11,    10,    12,
      11,    14,    13,     7,     6,    10,     9,     1,     4,     4,
       1,     3,     3,     2,     2,     1,     4,     1,     3,     4,
       4,     1,     3,     1,     1,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     4,     4,     1,     4,     1,     3,
       3,     3,     1,     3,     3,     1,     3,     3,     1,     3,
       3,     3,     3,     1,     3,     3,     1,     3,     1,     3,
       1,     3,     1,     3,     1,     3,     1,     5,     1,     2,
       2,     1,     2,     2,     2,     1,     2,     5,     5,     1,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     1,     3,     1,     1,     2,     3,     4,     1,     1,
       3,     4,     1,     2,     1,     2,     1,     2,     1,     4,
       2,     1,     2,     1,     3,     1,     3,     1,     1,     2,
       1,     1,     1,     1,     1,     1,     3,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       4,     1,     1,     2,     1,     4,     4,     3,     3,     1,
       1,     2,     3,     2,     1,     1,     2,     1,     3,     1,
       1,     4,     5,     5,     6,     2,     1,     3,     1,     3,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     2,     2,     2,     1,     1,     1,     1,     1,
       1,     3,     4,     3,     4,     4,     3,     4,     1,     2,
       2,     3,     1,     1,     1,     3,     2,     2,     4,     2,
       1,     1,     2,     1,     1,     2,     1,     2,     3,     2,
       3,     3,     4,     2,     3,     3,     4,     1,     3,     4,
       1,     3,     1,     2,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     2,     3,     4,
       3,     1,     1,     2,     3,     1,     2,     1,     2,     5,
       7,     5,     7,     5,     1,     2,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     5,
       4,     1,     3,     1,     1,     5,     5,     7,     7,     6,
       7,     6,     7,     0,     6,     0,     6,     0,     6,     0,
       8,     1,     3,     2,     2,     2,     3,     2,     3,     4,
       5,     7,     7,     1,     2,     2,     1,     5,     5,     1,
       1,     0,     4
};


enum { YYENOMEM = -2 };

#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                    \
  do                                                              \
    if (yychar == YYEMPTY)                                        \
      {                                                           \
        yychar = (Token);                                         \
        yylval = (Value);                                         \
        YYPOPSTACK (yylen);                                       \
        yystate = *yyssp;                                         \
        goto yybackup;                                            \
      }                                                           \
    else                                                          \
      {                                                           \
        yyerror (YY_("syntax error: cannot back up")); \
        YYERROR;                                                  \
      }                                                           \
  while (0)

/* Backward compatibility with an undocumented macro.
   Use YYerror or YYUNDEF. */
#define YYERRCODE YYUNDEF

/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)                                \
    do                                                                  \
      if (N)                                                            \
        {                                                               \
          (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;        \
          (Current).first_column = YYRHSLOC (Rhs, 1).first_column;      \
          (Current).last_line    = YYRHSLOC (Rhs, N).last_line;         \
          (Current).last_column  = YYRHSLOC (Rhs, N).last_column;       \
        }                                                               \
      else                                                              \
        {                                                               \
          (Current).first_line   = (Current).last_line   =              \
            YYRHSLOC (Rhs, 0).last_line;                                \
          (Current).first_column = (Current).last_column =              \
            YYRHSLOC (Rhs, 0).last_column;                              \
        }                                                               \
    while (0)
#endif

#define YYRHSLOC(Rhs, K) ((Rhs)[K])


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

# ifndef YY_LOCATION_PRINT
#  if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL

/* Print *YYLOCP on YYO.  Private, do not rely on its existence. */

YY_ATTRIBUTE_UNUSED
static int
yy_location_print_ (FILE *yyo, YYLTYPE const * const yylocp)
{
  int res = 0;
  int end_col = 0 != yylocp->last_column ? yylocp->last_column - 1 : 0;
  if (0 <= yylocp->first_line)
    {
      res += YYFPRINTF (yyo, "%d", yylocp->first_line);
      if (0 <= yylocp->first_column)
        res += YYFPRINTF (yyo, ".%d", yylocp->first_column);
    }
  if (0 <= yylocp->last_line)
    {
      if (yylocp->first_line < yylocp->last_line)
        {
          res += YYFPRINTF (yyo, "-%d", yylocp->last_line);
          if (0 <= end_col)
            res += YYFPRINTF (yyo, ".%d", end_col);
        }
      else if (0 <= end_col && yylocp->first_column < end_col)
        res += YYFPRINTF (yyo, "-%d", end_col);
    }
  return res;
 }

#   define YY_LOCATION_PRINT(File, Loc)          \
  yy_location_print_ (File, &(Loc))

#  else
#   define YY_LOCATION_PRINT(File, Loc) ((void) 0)
#  endif
# endif /* !defined YY_LOCATION_PRINT */


# define YY_SYMBOL_PRINT(Title, Kind, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Kind, Value, Location); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*-----------------------------------.
| Print this symbol's value on YYO.  |
`-----------------------------------*/

static void
yy_symbol_value_print (FILE *yyo,
                       yysymbol_kind_t yykind, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
{
  FILE *yyoutput = yyo;
  YY_USE (yyoutput);
  YY_USE (yylocationp);
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yykind < YYNTOKENS)
    YYPRINT (yyo, yytoknum[yykind], *yyvaluep);
# endif
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YY_USE (yykind);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}


/*---------------------------.
| Print this symbol on YYO.  |
`---------------------------*/

static void
yy_symbol_print (FILE *yyo,
                 yysymbol_kind_t yykind, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
{
  YYFPRINTF (yyo, "%s %s (",
             yykind < YYNTOKENS ? "token" : "nterm", yysymbol_name (yykind));

  YY_LOCATION_PRINT (yyo, *yylocationp);
  YYFPRINTF (yyo, ": ");
  yy_symbol_value_print (yyo, yykind, yyvaluep, yylocationp);
  YYFPRINTF (yyo, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yy_state_t *yybottom, yy_state_t *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yy_state_t *yyssp, YYSTYPE *yyvsp, YYLTYPE *yylsp,
                 int yyrule)
{
  int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %d):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       YY_ACCESSING_SYMBOL (+yyssp[yyi + 1 - yynrhs]),
                       &yyvsp[(yyi + 1) - (yynrhs)],
                       &(yylsp[(yyi + 1) - (yynrhs)]));
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, yylsp, Rule); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args) ((void) 0)
# define YY_SYMBOL_PRINT(Title, Kind, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


/* Context of a parse error.  */
typedef struct
{
  yy_state_t *yyssp;
  yysymbol_kind_t yytoken;
  YYLTYPE *yylloc;
} yypcontext_t;

/* Put in YYARG at most YYARGN of the expected tokens given the
   current YYCTX, and return the number of tokens stored in YYARG.  If
   YYARG is null, return the number of expected tokens (guaranteed to
   be less than YYNTOKENS).  Return YYENOMEM on memory exhaustion.
   Return 0 if there are more than YYARGN expected tokens, yet fill
   YYARG up to YYARGN. */
static int
yypcontext_expected_tokens (const yypcontext_t *yyctx,
                            yysymbol_kind_t yyarg[], int yyargn)
{
  /* Actual size of YYARG. */
  int yycount = 0;
  int yyn = yypact[+*yyctx->yyssp];
  if (!yypact_value_is_default (yyn))
    {
      /* Start YYX at -YYN if negative to avoid negative indexes in
         YYCHECK.  In other words, skip the first -YYN actions for
         this state because they are default actions.  */
      int yyxbegin = yyn < 0 ? -yyn : 0;
      /* Stay within bounds of both yycheck and yytname.  */
      int yychecklim = YYLAST - yyn + 1;
      int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
      int yyx;
      for (yyx = yyxbegin; yyx < yyxend; ++yyx)
        if (yycheck[yyx + yyn] == yyx && yyx != YYSYMBOL_YYerror
            && !yytable_value_is_error (yytable[yyx + yyn]))
          {
            if (!yyarg)
              ++yycount;
            else if (yycount == yyargn)
              return 0;
            else
              yyarg[yycount++] = YY_CAST (yysymbol_kind_t, yyx);
          }
    }
  if (yyarg && yycount == 0 && 0 < yyargn)
    yyarg[0] = YYSYMBOL_YYEMPTY;
  return yycount;
}




#ifndef yystrlen
# if defined __GLIBC__ && defined _STRING_H
#  define yystrlen(S) (YY_CAST (YYPTRDIFF_T, strlen (S)))
# else
/* Return the length of YYSTR.  */
static YYPTRDIFF_T
yystrlen (const char *yystr)
{
  YYPTRDIFF_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
# endif
#endif

#ifndef yystpcpy
# if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#  define yystpcpy stpcpy
# else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
# endif
#endif

#ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYPTRDIFF_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYPTRDIFF_T yyn = 0;
      char const *yyp = yystr;
      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            else
              goto append;

          append:
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (yyres)
    return yystpcpy (yyres, yystr) - yyres;
  else
    return yystrlen (yystr);
}
#endif


static int
yy_syntax_error_arguments (const yypcontext_t *yyctx,
                           yysymbol_kind_t yyarg[], int yyargn)
{
  /* Actual size of YYARG. */
  int yycount = 0;
  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yyctx->yytoken != YYSYMBOL_YYEMPTY)
    {
      int yyn;
      if (yyarg)
        yyarg[yycount] = yyctx->yytoken;
      ++yycount;
      yyn = yypcontext_expected_tokens (yyctx,
                                        yyarg ? yyarg + 1 : yyarg, yyargn - 1);
      if (yyn == YYENOMEM)
        return YYENOMEM;
      else
        yycount += yyn;
    }
  return yycount;
}

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return -1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return YYENOMEM if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYPTRDIFF_T *yymsg_alloc, char **yymsg,
                const yypcontext_t *yyctx)
{
  enum { YYARGS_MAX = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat: reported tokens (one for the "unexpected",
     one per "expected"). */
  yysymbol_kind_t yyarg[YYARGS_MAX];
  /* Cumulated lengths of YYARG.  */
  YYPTRDIFF_T yysize = 0;

  /* Actual size of YYARG. */
  int yycount = yy_syntax_error_arguments (yyctx, yyarg, YYARGS_MAX);
  if (yycount == YYENOMEM)
    return YYENOMEM;

  switch (yycount)
    {
#define YYCASE_(N, S)                       \
      case N:                               \
        yyformat = S;                       \
        break
    default: /* Avoid compiler warnings. */
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
#undef YYCASE_
    }

  /* Compute error message size.  Don't count the "%s"s, but reserve
     room for the terminator.  */
  yysize = yystrlen (yyformat) - 2 * yycount + 1;
  {
    int yyi;
    for (yyi = 0; yyi < yycount; ++yyi)
      {
        YYPTRDIFF_T yysize1
          = yysize + yytnamerr (YY_NULLPTR, yytname[yyarg[yyi]]);
        if (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM)
          yysize = yysize1;
        else
          return YYENOMEM;
      }
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return -1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yytname[yyarg[yyi++]]);
          yyformat += 2;
        }
      else
        {
          ++yyp;
          ++yyformat;
        }
  }
  return 0;
}


/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg,
            yysymbol_kind_t yykind, YYSTYPE *yyvaluep, YYLTYPE *yylocationp)
{
  YY_USE (yyvaluep);
  YY_USE (yylocationp);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yykind, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YY_USE (yykind);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}


/* Lookahead token kind.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;
/* Location data for the lookahead symbol.  */
YYLTYPE yylloc
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
  = { 1, 1, 1, 1 }
# endif
;
/* Number of syntax errors so far.  */
int yynerrs;




/*----------.
| yyparse.  |
`----------*/

int
yyparse (void)
{
    yy_state_fast_t yystate = 0;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus = 0;

    /* Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* Their size.  */
    YYPTRDIFF_T yystacksize = YYINITDEPTH;

    /* The state stack: array, bottom, top.  */
    yy_state_t yyssa[YYINITDEPTH];
    yy_state_t *yyss = yyssa;
    yy_state_t *yyssp = yyss;

    /* The semantic value stack: array, bottom, top.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs = yyvsa;
    YYSTYPE *yyvsp = yyvs;

    /* The location stack: array, bottom, top.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls = yylsa;
    YYLTYPE *yylsp = yyls;

  int yyn;
  /* The return value of yyparse.  */
  int yyresult;
  /* Lookahead symbol kind.  */
  yysymbol_kind_t yytoken = YYSYMBOL_YYEMPTY;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

  /* The locations where the error started and ended.  */
  YYLTYPE yyerror_range[3];

  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYPTRDIFF_T yymsg_alloc = sizeof yymsgbuf;

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yychar = YYEMPTY; /* Cause a token to be read.  */
  yylsp[0] = yylloc;
  goto yysetstate;


/*------------------------------------------------------------.
| yynewstate -- push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;


/*--------------------------------------------------------------------.
| yysetstate -- set current state (the top of the stack) to yystate.  |
`--------------------------------------------------------------------*/
yysetstate:
  YYDPRINTF ((stderr, "Entering state %d\n", yystate));
  YY_ASSERT (0 <= yystate && yystate < YYNSTATES);
  YY_IGNORE_USELESS_CAST_BEGIN
  *yyssp = YY_CAST (yy_state_t, yystate);
  YY_IGNORE_USELESS_CAST_END
  YY_STACK_PRINT (yyss, yyssp);

  if (yyss + yystacksize - 1 <= yyssp)
#if !defined yyoverflow && !defined YYSTACK_RELOCATE
    goto yyexhaustedlab;
#else
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYPTRDIFF_T yysize = yyssp - yyss + 1;

# if defined yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        yy_state_t *yyss1 = yyss;
        YYSTYPE *yyvs1 = yyvs;
        YYLTYPE *yyls1 = yyls;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * YYSIZEOF (*yyssp),
                    &yyvs1, yysize * YYSIZEOF (*yyvsp),
                    &yyls1, yysize * YYSIZEOF (*yylsp),
                    &yystacksize);
        yyss = yyss1;
        yyvs = yyvs1;
        yyls = yyls1;
      }
# else /* defined YYSTACK_RELOCATE */
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yy_state_t *yyss1 = yyss;
        union yyalloc *yyptr =
          YY_CAST (union yyalloc *,
                   YYSTACK_ALLOC (YY_CAST (YYSIZE_T, YYSTACK_BYTES (yystacksize))));
        if (! yyptr)
          goto yyexhaustedlab;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
        YYSTACK_RELOCATE (yyls_alloc, yyls);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YY_IGNORE_USELESS_CAST_BEGIN
      YYDPRINTF ((stderr, "Stack size increased to %ld\n",
                  YY_CAST (long, yystacksize)));
      YY_IGNORE_USELESS_CAST_END

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }
#endif /* !defined yyoverflow && !defined YYSTACK_RELOCATE */

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;


/*-----------.
| yybackup.  |
`-----------*/
yybackup:
  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either empty, or end-of-input, or a valid lookahead.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token\n"));
      yychar = yylex ();
    }

  if (yychar <= YYEOF)
    {
      yychar = YYEOF;
      yytoken = YYSYMBOL_YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else if (yychar == YYerror)
    {
      /* The scanner already issued an error message, process directly
         to error recovery.  But do not keep the error token as
         lookahead, it is too special and may lead us to an endless
         loop in error recovery. */
      yychar = YYUNDEF;
      yytoken = YYSYMBOL_YYerror;
      yyerror_range[1] = yylloc;
      goto yyerrlab1;
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);
  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END
  *++yylsp = yylloc;

  /* Discard the shifted token.  */
  yychar = YYEMPTY;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location. */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  yyerror_range[1] = yyloc;
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
  case 2: /* string_constant: TOKEN_STRING_LITERAL  */
#line 281 "src/parse.yy"
                           { (yyval.stringVal) = new std::string(*yylval.stringVal); }
#line 2908 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 3: /* string_constant: string_constant TOKEN_STRING_LITERAL  */
#line 283 "src/parse.yy"
    {
        std::string s = *((std::string *)(yyvsp[-1].stringVal));
        s += *yylval.stringVal;
        (yyval.stringVal) = new std::string(s);
    }
#line 2918 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 4: /* primary_expression: TOKEN_IDENTIFIER  */
#line 291 "src/parse.yy"
                       {
        const char *name = yylval.stringVal->c_str();
        Symbol *s = m->symbolTable->LookupVariable(name);
        (yyval.expr) = NULL;
        if (s)
            (yyval.expr) = new SymbolExpr(s, (yylsp[0]));
        else {
            std::vector<Symbol *> funs;
            m->symbolTable->LookupFunction(name, &funs);
            if (funs.size() > 0)
                (yyval.expr) = new FunctionSymbolExpr(name, funs, (yylsp[0]));
        }
        if ((yyval.expr) == NULL) {
            std::vector<std::string> alternates =
                m->symbolTable->ClosestVariableOrFunctionMatch(name);
            std::string alts = lGetAlternates(alternates);
            Error((yylsp[0]), "Undeclared symbol \"%s\".%s", name, alts.c_str());
        }
    }
#line 2942 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 5: /* primary_expression: TOKEN_INT8_CONSTANT  */
#line 310 "src/parse.yy"
                          {
        (yyval.expr) = new ConstExpr(AtomicType::UniformInt8->GetAsConstType(),
                           (int8_t)yylval.intVal, (yylsp[0]));
    }
#line 2951 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 6: /* primary_expression: TOKEN_UINT8_CONSTANT  */
#line 314 "src/parse.yy"
                           {
        (yyval.expr) = new ConstExpr(AtomicType::UniformUInt8->GetAsConstType(),
                           (uint8_t)yylval.intVal, (yylsp[0]));
    }
#line 2960 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 7: /* primary_expression: TOKEN_INT16_CONSTANT  */
#line 318 "src/parse.yy"
                           {
        (yyval.expr) = new ConstExpr(AtomicType::UniformInt16->GetAsConstType(),
                           (int16_t)yylval.intVal, (yylsp[0]));
    }
#line 2969 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 8: /* primary_expression: TOKEN_UINT16_CONSTANT  */
#line 322 "src/parse.yy"
                            {
        (yyval.expr) = new ConstExpr(AtomicType::UniformUInt16->GetAsConstType(),
                           (uint16_t)yylval.intVal, (yylsp[0]));
    }
#line 2978 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 9: /* primary_expression: TOKEN_INT32_CONSTANT  */
#line 326 "src/parse.yy"
                           {
        (yyval.expr) = new ConstExpr(AtomicType::UniformInt32->GetAsConstType(),
                           (int32_t)yylval.intVal, (yylsp[0]));
    }
#line 2987 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 10: /* primary_expression: TOKEN_UINT32_CONSTANT  */
#line 330 "src/parse.yy"
                            {
        (yyval.expr) = new ConstExpr(AtomicType::UniformUInt32->GetAsConstType(),
                           (uint32_t)yylval.intVal, (yylsp[0]));
    }
#line 2996 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 11: /* primary_expression: TOKEN_INT64_CONSTANT  */
#line 334 "src/parse.yy"
                           {
        (yyval.expr) = new ConstExpr(AtomicType::UniformInt64->GetAsConstType(),
                           (int64_t)yylval.intVal, (yylsp[0]));
    }
#line 3005 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 12: /* primary_expression: TOKEN_UINT64_CONSTANT  */
#line 338 "src/parse.yy"
                            {
        (yyval.expr) = new ConstExpr(AtomicType::UniformUInt64->GetAsConstType(),
                           (uint64_t)yylval.intVal, (yylsp[0]));
    }
#line 3014 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 13: /* primary_expression: TOKEN_FLOAT16_CONSTANT  */
#line 342 "src/parse.yy"
                             {
         std::string sval = *(yylval.stringVal);
         llvm::Type *hType = llvm::Type::getHalfTy(*g->ctx);
         const llvm::fltSemantics &FS = hType->getFltSemantics();
         llvm::APFloat f16(FS, sval);
         (yyval.expr) = new ConstExpr(AtomicType::UniformFloat16->GetAsConstType(),
                           f16, (yylsp[0]));
    }
#line 3027 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 14: /* primary_expression: TOKEN_FLOAT_CONSTANT  */
#line 350 "src/parse.yy"
                           {
        llvm::APFloat f(yylval.floatVal);
        (yyval.expr) = new ConstExpr(AtomicType::UniformFloat->GetAsConstType(),
                           f, (yylsp[0]));
    }
#line 3037 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 15: /* primary_expression: TOKEN_DOUBLE_CONSTANT  */
#line 355 "src/parse.yy"
                            {
        llvm::APFloat d(yylval.doubleVal);
        (yyval.expr) = new ConstExpr(AtomicType::UniformDouble->GetAsConstType(),
                           d, (yylsp[0]));
    }
#line 3047 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 16: /* primary_expression: TOKEN_TRUE  */
#line 360 "src/parse.yy"
                 {
        (yyval.expr) = new ConstExpr(AtomicType::UniformBool->GetAsConstType(), true, (yylsp[0]));
    }
#line 3055 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 17: /* primary_expression: TOKEN_FALSE  */
#line 363 "src/parse.yy"
                  {
        (yyval.expr) = new ConstExpr(AtomicType::UniformBool->GetAsConstType(), false, (yylsp[0]));
    }
#line 3063 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 18: /* primary_expression: TOKEN_NULL  */
#line 366 "src/parse.yy"
                 {
        (yyval.expr) = new NullPointerExpr((yylsp[0]));
    }
#line 3071 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 19: /* primary_expression: '(' expression ')'  */
#line 371 "src/parse.yy"
                         { (yyval.expr) = (yyvsp[-1].expr); }
#line 3077 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 20: /* primary_expression: '(' error ')'  */
#line 372 "src/parse.yy"
                    { (yyval.expr) = NULL; }
#line 3083 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 21: /* launch_expression: TOKEN_LAUNCH postfix_expression '(' argument_expression_list ')'  */
#line 377 "src/parse.yy"
      {
          ConstExpr *oneExpr = new ConstExpr(AtomicType::UniformInt32, (int32_t)1, (yylsp[-3]));
          Expr *launchCount[3] = {oneExpr, oneExpr, oneExpr};
          (yyval.expr) = new FunctionCallExpr((yyvsp[-3].expr), (yyvsp[-1].exprList), Union((yylsp[-3]), (yylsp[0])), true, launchCount);
      }
#line 3093 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 22: /* launch_expression: TOKEN_LAUNCH postfix_expression '(' ')'  */
#line 383 "src/parse.yy"
      {
          ConstExpr *oneExpr = new ConstExpr(AtomicType::UniformInt32, (int32_t)1, (yylsp[-2]));
          Expr *launchCount[3] = {oneExpr, oneExpr, oneExpr};
          (yyval.expr) = new FunctionCallExpr((yyvsp[-2].expr), new ExprList(Union((yylsp[-1]),(yylsp[0]))), Union((yylsp[-2]), (yylsp[0])), true, launchCount);
       }
#line 3103 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 23: /* launch_expression: TOKEN_LAUNCH '[' assignment_expression ']' postfix_expression '(' argument_expression_list ')'  */
#line 390 "src/parse.yy"
      { 
          ConstExpr *oneExpr = new ConstExpr(AtomicType::UniformInt32, (int32_t)1, (yylsp[-3]));
          Expr *launchCount[3] = {(yyvsp[-5].expr), oneExpr, oneExpr};
          (yyval.expr) = new FunctionCallExpr((yyvsp[-3].expr), (yyvsp[-1].exprList), Union((yylsp[-3]),(yylsp[0])), true, launchCount);
      }
#line 3113 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 24: /* launch_expression: TOKEN_LAUNCH '[' assignment_expression ']' postfix_expression '(' ')'  */
#line 396 "src/parse.yy"
      { 
          ConstExpr *oneExpr = new ConstExpr(AtomicType::UniformInt32, (int32_t)1, (yylsp[-2]));
          Expr *launchCount[3] = {(yyvsp[-4].expr), oneExpr, oneExpr};
          (yyval.expr) = new FunctionCallExpr((yyvsp[-2].expr), new ExprList(Union((yylsp[-2]),(yylsp[-1]))), Union((yylsp[-2]),(yylsp[0])), true, launchCount);
      }
#line 3123 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 25: /* launch_expression: TOKEN_LAUNCH '[' assignment_expression ',' assignment_expression ']' postfix_expression '(' argument_expression_list ')'  */
#line 403 "src/parse.yy"
      { 
          ConstExpr *oneExpr = new ConstExpr(AtomicType::UniformInt32, (int32_t)1, (yylsp[-3]));
          Expr *launchCount[3] = {(yyvsp[-7].expr), (yyvsp[-5].expr), oneExpr};
          (yyval.expr) = new FunctionCallExpr((yyvsp[-3].expr), (yyvsp[-1].exprList), Union((yylsp[-3]),(yylsp[0])), true, launchCount);
      }
#line 3133 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 26: /* launch_expression: TOKEN_LAUNCH '[' assignment_expression ',' assignment_expression ']' postfix_expression '(' ')'  */
#line 409 "src/parse.yy"
      { 
          ConstExpr *oneExpr = new ConstExpr(AtomicType::UniformInt32, (int32_t)1, (yylsp[-2]));
          Expr *launchCount[3] = {(yyvsp[-6].expr), (yyvsp[-4].expr), oneExpr};
          (yyval.expr) = new FunctionCallExpr((yyvsp[-2].expr), new ExprList(Union((yylsp[-2]),(yylsp[-1]))), Union((yylsp[-2]),(yylsp[0])), true, launchCount);
      }
#line 3143 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 27: /* launch_expression: TOKEN_LAUNCH '[' assignment_expression ']' '[' assignment_expression ']' postfix_expression '(' argument_expression_list ')'  */
#line 415 "src/parse.yy"
      { 
          ConstExpr *oneExpr = new ConstExpr(AtomicType::UniformInt32, (int32_t)1, (yylsp[-3]));
          Expr *launchCount[3] = {(yyvsp[-5].expr), (yyvsp[-8].expr), oneExpr};
          (yyval.expr) = new FunctionCallExpr((yyvsp[-3].expr), (yyvsp[-1].exprList), Union((yylsp[-3]),(yylsp[0])), true, launchCount);
      }
#line 3153 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 28: /* launch_expression: TOKEN_LAUNCH '[' assignment_expression ']' '[' assignment_expression ']' postfix_expression '(' ')'  */
#line 421 "src/parse.yy"
      { 
          ConstExpr *oneExpr = new ConstExpr(AtomicType::UniformInt32, (int32_t)1, (yylsp[-2]));
          Expr *launchCount[3] = {(yyvsp[-4].expr), (yyvsp[-7].expr), oneExpr};
          (yyval.expr) = new FunctionCallExpr((yyvsp[-2].expr), new ExprList(Union((yylsp[-2]),(yylsp[-1]))), Union((yylsp[-2]),(yylsp[0])), true, launchCount);
      }
#line 3163 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 29: /* launch_expression: TOKEN_LAUNCH '[' assignment_expression ',' assignment_expression ',' assignment_expression ']' postfix_expression '(' argument_expression_list ')'  */
#line 428 "src/parse.yy"
      { 
          Expr *launchCount[3] = {(yyvsp[-9].expr), (yyvsp[-7].expr), (yyvsp[-5].expr)};
          (yyval.expr) = new FunctionCallExpr((yyvsp[-3].expr), (yyvsp[-1].exprList), Union((yylsp[-3]),(yylsp[0])), true, launchCount);
      }
#line 3172 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 30: /* launch_expression: TOKEN_LAUNCH '[' assignment_expression ',' assignment_expression ',' assignment_expression ']' postfix_expression '(' ')'  */
#line 433 "src/parse.yy"
      { 
          Expr *launchCount[3] = {(yyvsp[-8].expr), (yyvsp[-6].expr), (yyvsp[-4].expr)};
          (yyval.expr) = new FunctionCallExpr((yyvsp[-2].expr), new ExprList(Union((yylsp[-2]),(yylsp[-1]))), Union((yylsp[-2]),(yylsp[0])), true, launchCount);
      }
#line 3181 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 31: /* launch_expression: TOKEN_LAUNCH '[' assignment_expression ']' '[' assignment_expression ']' '[' assignment_expression ']' postfix_expression '(' argument_expression_list ')'  */
#line 438 "src/parse.yy"
      { 
          Expr *launchCount[3] = {(yyvsp[-5].expr), (yyvsp[-8].expr), (yyvsp[-11].expr)};
          (yyval.expr) = new FunctionCallExpr((yyvsp[-3].expr), (yyvsp[-1].exprList), Union((yylsp[-3]),(yylsp[0])), true, launchCount);
      }
#line 3190 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 32: /* launch_expression: TOKEN_LAUNCH '[' assignment_expression ']' '[' assignment_expression ']' '[' assignment_expression ']' postfix_expression '(' ')'  */
#line 443 "src/parse.yy"
      { 
          Expr *launchCount[3] = {(yyvsp[-4].expr), (yyvsp[-7].expr), (yyvsp[-10].expr)};
          (yyval.expr) = new FunctionCallExpr((yyvsp[-2].expr), new ExprList(Union((yylsp[-2]),(yylsp[-1]))), Union((yylsp[-2]),(yylsp[0])), true, launchCount);
      }
#line 3199 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 33: /* launch_expression: TOKEN_LAUNCH '<' postfix_expression '(' argument_expression_list ')' '>'  */
#line 450 "src/parse.yy"
       {
          Error(Union((yylsp[-5]), (yylsp[0])), "\"launch\" expressions no longer take '<' '>' "
                "around function call expression.");
          (yyval.expr) = NULL;
       }
#line 3209 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 34: /* launch_expression: TOKEN_LAUNCH '<' postfix_expression '(' ')' '>'  */
#line 456 "src/parse.yy"
       {
          Error(Union((yylsp[-4]), (yylsp[0])), "\"launch\" expressions no longer take '<' '>' "
                "around function call expression.");
          (yyval.expr) = NULL;
       }
#line 3219 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 35: /* launch_expression: TOKEN_LAUNCH '[' assignment_expression ']' '<' postfix_expression '(' argument_expression_list ')' '>'  */
#line 462 "src/parse.yy"
       {
          Error(Union((yylsp[-5]), (yylsp[0])), "\"launch\" expressions no longer take '<' '>' "
                "around function call expression.");
          (yyval.expr) = NULL;
       }
#line 3229 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 36: /* launch_expression: TOKEN_LAUNCH '[' assignment_expression ']' '<' postfix_expression '(' ')' '>'  */
#line 468 "src/parse.yy"
       {
          Error(Union((yylsp[-4]), (yylsp[0])), "\"launch\" expressions no longer take '<' '>' "
                "around function call expression.");
          (yyval.expr) = NULL;
       }
#line 3239 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 38: /* postfix_expression: postfix_expression '[' expression ']'  */
#line 478 "src/parse.yy"
      { (yyval.expr) = new IndexExpr((yyvsp[-3].expr), (yyvsp[-1].expr), Union((yylsp[-3]),(yylsp[0]))); }
#line 3245 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 39: /* postfix_expression: postfix_expression '[' error ']'  */
#line 480 "src/parse.yy"
      { (yyval.expr) = NULL; }
#line 3251 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 41: /* postfix_expression: postfix_expression '.' TOKEN_IDENTIFIER  */
#line 483 "src/parse.yy"
      { (yyval.expr) = MemberExpr::create((yyvsp[-2].expr), yytext, Union((yylsp[-2]),(yylsp[0])), (yylsp[0]), false); }
#line 3257 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 42: /* postfix_expression: postfix_expression TOKEN_PTR_OP TOKEN_IDENTIFIER  */
#line 485 "src/parse.yy"
      { (yyval.expr) = MemberExpr::create((yyvsp[-2].expr), yytext, Union((yylsp[-2]),(yylsp[0])), (yylsp[0]), true); }
#line 3263 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 43: /* postfix_expression: postfix_expression TOKEN_INC_OP  */
#line 487 "src/parse.yy"
      { (yyval.expr) = new UnaryExpr(UnaryExpr::PostInc, (yyvsp[-1].expr), Union((yylsp[-1]),(yylsp[0]))); }
#line 3269 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 44: /* postfix_expression: postfix_expression TOKEN_DEC_OP  */
#line 489 "src/parse.yy"
      { (yyval.expr) = new UnaryExpr(UnaryExpr::PostDec, (yyvsp[-1].expr), Union((yylsp[-1]),(yylsp[0]))); }
#line 3275 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 45: /* intrinsic_name: TOKEN_INTRINSIC_CALL  */
#line 494 "src/parse.yy"
      {
          (yyval.stringVal) = yylval.stringVal;
      }
#line 3283 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 46: /* intrincall_expression: intrinsic_name '(' argument_expression_list ')'  */
#line 501 "src/parse.yy"
      {
          std::string *name = (yyvsp[-3].stringVal);
          name->erase(0, 1);
          Symbol* sym = m->AddLLVMIntrinsicDecl(*name, (yyvsp[-1].exprList), Union((yylsp[-3]),(yylsp[0])));
          const char *fname = name->c_str();
          const std::vector<Symbol *> funcs{sym};
          FunctionSymbolExpr *fSym = NULL;
          if (sym != NULL)
              fSym = new FunctionSymbolExpr(fname, funcs, (yylsp[-3]));
          (yyval.expr) = new FunctionCallExpr(fSym, (yyvsp[-1].exprList), Union((yylsp[-3]),(yylsp[0])));

      }
#line 3300 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 48: /* funcall_expression: postfix_expression '(' ')'  */
#line 518 "src/parse.yy"
      { (yyval.expr) = new FunctionCallExpr((yyvsp[-2].expr), new ExprList(Union((yylsp[-2]),(yylsp[-1]))), Union((yylsp[-2]),(yylsp[0]))); }
#line 3306 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 49: /* funcall_expression: postfix_expression '(' argument_expression_list ')'  */
#line 520 "src/parse.yy"
      { (yyval.expr) = new FunctionCallExpr((yyvsp[-3].expr), (yyvsp[-1].exprList), Union((yylsp[-3]),(yylsp[0]))); }
#line 3312 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 50: /* funcall_expression: postfix_expression '(' error ')'  */
#line 522 "src/parse.yy"
      { (yyval.expr) = NULL; }
#line 3318 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 51: /* argument_expression_list: assignment_expression  */
#line 526 "src/parse.yy"
                                 { (yyval.exprList) = new ExprList((yyvsp[0].expr), (yylsp[0])); }
#line 3324 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 52: /* argument_expression_list: argument_expression_list ',' assignment_expression  */
#line 528 "src/parse.yy"
      {
          ExprList *argList = llvm::dyn_cast<ExprList>((yyvsp[-2].exprList));
          if (argList == NULL) {
              AssertPos((yylsp[-2]), m->errorCount > 0);
              argList = new ExprList((yylsp[0]));
          }
          argList->exprs.push_back((yyvsp[0].expr));
          argList->pos = Union(argList->pos, (yylsp[0]));
          (yyval.exprList) = argList;
      }
#line 3339 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 55: /* unary_expression: TOKEN_INC_OP unary_expression  */
#line 544 "src/parse.yy"
      { (yyval.expr) = new UnaryExpr(UnaryExpr::PreInc, (yyvsp[0].expr), Union((yylsp[-1]), (yylsp[0]))); }
#line 3345 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 56: /* unary_expression: TOKEN_DEC_OP unary_expression  */
#line 546 "src/parse.yy"
      { (yyval.expr) = new UnaryExpr(UnaryExpr::PreDec, (yyvsp[0].expr), Union((yylsp[-1]), (yylsp[0]))); }
#line 3351 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 57: /* unary_expression: '&' unary_expression  */
#line 548 "src/parse.yy"
      { (yyval.expr) = new AddressOfExpr((yyvsp[0].expr), Union((yylsp[-1]), (yylsp[0]))); }
#line 3357 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 58: /* unary_expression: '*' unary_expression  */
#line 550 "src/parse.yy"
      { (yyval.expr) = new PtrDerefExpr((yyvsp[0].expr), Union((yylsp[-1]), (yylsp[0]))); }
#line 3363 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 59: /* unary_expression: '+' cast_expression  */
#line 552 "src/parse.yy"
      { (yyval.expr) = (yyvsp[0].expr); }
#line 3369 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 60: /* unary_expression: '-' cast_expression  */
#line 554 "src/parse.yy"
      { (yyval.expr) = new UnaryExpr(UnaryExpr::Negate, (yyvsp[0].expr), Union((yylsp[-1]), (yylsp[0]))); }
#line 3375 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 61: /* unary_expression: '~' cast_expression  */
#line 556 "src/parse.yy"
      { (yyval.expr) = new UnaryExpr(UnaryExpr::BitNot, (yyvsp[0].expr), Union((yylsp[-1]), (yylsp[0]))); }
#line 3381 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 62: /* unary_expression: '!' cast_expression  */
#line 558 "src/parse.yy"
      { (yyval.expr) = new UnaryExpr(UnaryExpr::LogicalNot, (yyvsp[0].expr), Union((yylsp[-1]), (yylsp[0]))); }
#line 3387 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 63: /* unary_expression: TOKEN_SIZEOF unary_expression  */
#line 560 "src/parse.yy"
      { (yyval.expr) = new SizeOfExpr((yyvsp[0].expr), Union((yylsp[-1]), (yylsp[0]))); }
#line 3393 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 64: /* unary_expression: TOKEN_SIZEOF '(' type_name ')'  */
#line 562 "src/parse.yy"
      { (yyval.expr) = new SizeOfExpr((yyvsp[-1].type), Union((yylsp[-3]), (yylsp[0]))); }
#line 3399 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 65: /* unary_expression: TOKEN_ALLOCA '(' assignment_expression ')'  */
#line 564 "src/parse.yy"
      {
          (yyval.expr) = new AllocaExpr((yyvsp[-1].expr), Union((yylsp[-3]), (yylsp[0])));
      }
#line 3407 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 67: /* cast_expression: '(' type_name ')' cast_expression  */
#line 572 "src/parse.yy"
      {
          (yyval.expr) = new TypeCastExpr((yyvsp[-2].type), (yyvsp[0].expr), Union((yylsp[-3]),(yylsp[0])));
      }
#line 3415 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 69: /* multiplicative_expression: multiplicative_expression '*' cast_expression  */
#line 580 "src/parse.yy"
      { (yyval.expr) = MakeBinaryExpr(BinaryExpr::Mul, (yyvsp[-2].expr), (yyvsp[0].expr), Union((yylsp[-2]), (yylsp[0]))); }
#line 3421 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 70: /* multiplicative_expression: multiplicative_expression '/' cast_expression  */
#line 582 "src/parse.yy"
      { (yyval.expr) = MakeBinaryExpr(BinaryExpr::Div, (yyvsp[-2].expr), (yyvsp[0].expr), Union((yylsp[-2]), (yylsp[0]))); }
#line 3427 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 71: /* multiplicative_expression: multiplicative_expression '%' cast_expression  */
#line 584 "src/parse.yy"
      { (yyval.expr) = MakeBinaryExpr(BinaryExpr::Mod, (yyvsp[-2].expr), (yyvsp[0].expr), Union((yylsp[-2]), (yylsp[0]))); }
#line 3433 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 73: /* additive_expression: additive_expression '+' multiplicative_expression  */
#line 590 "src/parse.yy"
      { (yyval.expr) = MakeBinaryExpr(BinaryExpr::Add, (yyvsp[-2].expr), (yyvsp[0].expr), Union((yylsp[-2]), (yylsp[0]))); }
#line 3439 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 74: /* additive_expression: additive_expression '-' multiplicative_expression  */
#line 592 "src/parse.yy"
      { (yyval.expr) = MakeBinaryExpr(BinaryExpr::Sub, (yyvsp[-2].expr), (yyvsp[0].expr), Union((yylsp[-2]), (yylsp[0]))); }
#line 3445 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 76: /* shift_expression: shift_expression TOKEN_LEFT_OP additive_expression  */
#line 598 "src/parse.yy"
      { (yyval.expr) = MakeBinaryExpr(BinaryExpr::Shl, (yyvsp[-2].expr), (yyvsp[0].expr), Union((yylsp[-2]), (yylsp[0]))); }
#line 3451 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 77: /* shift_expression: shift_expression TOKEN_RIGHT_OP additive_expression  */
#line 600 "src/parse.yy"
      { (yyval.expr) = MakeBinaryExpr(BinaryExpr::Shr, (yyvsp[-2].expr), (yyvsp[0].expr), Union((yylsp[-2]), (yylsp[0]))); }
#line 3457 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 79: /* relational_expression: relational_expression '<' shift_expression  */
#line 606 "src/parse.yy"
      { (yyval.expr) = new BinaryExpr(BinaryExpr::Lt, (yyvsp[-2].expr), (yyvsp[0].expr), Union((yylsp[-2]), (yylsp[0]))); }
#line 3463 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 80: /* relational_expression: relational_expression '>' shift_expression  */
#line 608 "src/parse.yy"
      { (yyval.expr) = new BinaryExpr(BinaryExpr::Gt, (yyvsp[-2].expr), (yyvsp[0].expr), Union((yylsp[-2]), (yylsp[0]))); }
#line 3469 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 81: /* relational_expression: relational_expression TOKEN_LE_OP shift_expression  */
#line 610 "src/parse.yy"
      { (yyval.expr) = new BinaryExpr(BinaryExpr::Le, (yyvsp[-2].expr), (yyvsp[0].expr), Union((yylsp[-2]), (yylsp[0]))); }
#line 3475 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 82: /* relational_expression: relational_expression TOKEN_GE_OP shift_expression  */
#line 612 "src/parse.yy"
      { (yyval.expr) = new BinaryExpr(BinaryExpr::Ge, (yyvsp[-2].expr), (yyvsp[0].expr), Union((yylsp[-2]), (yylsp[0]))); }
#line 3481 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 84: /* equality_expression: equality_expression TOKEN_EQ_OP relational_expression  */
#line 618 "src/parse.yy"
      { (yyval.expr) = new BinaryExpr(BinaryExpr::Equal, (yyvsp[-2].expr), (yyvsp[0].expr), Union((yylsp[-2]),(yylsp[0]))); }
#line 3487 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 85: /* equality_expression: equality_expression TOKEN_NE_OP relational_expression  */
#line 620 "src/parse.yy"
      { (yyval.expr) = new BinaryExpr(BinaryExpr::NotEqual, (yyvsp[-2].expr), (yyvsp[0].expr), Union((yylsp[-2]),(yylsp[0]))); }
#line 3493 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 87: /* and_expression: and_expression '&' equality_expression  */
#line 626 "src/parse.yy"
      { (yyval.expr) = new BinaryExpr(BinaryExpr::BitAnd, (yyvsp[-2].expr), (yyvsp[0].expr), Union((yylsp[-2]), (yylsp[0]))); }
#line 3499 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 89: /* exclusive_or_expression: exclusive_or_expression '^' and_expression  */
#line 632 "src/parse.yy"
      { (yyval.expr) = new BinaryExpr(BinaryExpr::BitXor, (yyvsp[-2].expr), (yyvsp[0].expr), Union((yylsp[-2]), (yylsp[0]))); }
#line 3505 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 91: /* inclusive_or_expression: inclusive_or_expression '|' exclusive_or_expression  */
#line 638 "src/parse.yy"
      { (yyval.expr) = new BinaryExpr(BinaryExpr::BitOr, (yyvsp[-2].expr), (yyvsp[0].expr), Union((yylsp[-2]), (yylsp[0]))); }
#line 3511 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 93: /* logical_and_expression: logical_and_expression TOKEN_AND_OP inclusive_or_expression  */
#line 644 "src/parse.yy"
      { (yyval.expr) = new BinaryExpr(BinaryExpr::LogicalAnd, (yyvsp[-2].expr), (yyvsp[0].expr), Union((yylsp[-2]), (yylsp[0]))); }
#line 3517 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 95: /* logical_or_expression: logical_or_expression TOKEN_OR_OP logical_and_expression  */
#line 650 "src/parse.yy"
      { (yyval.expr) = new BinaryExpr(BinaryExpr::LogicalOr, (yyvsp[-2].expr), (yyvsp[0].expr), Union((yylsp[-2]), (yylsp[0]))); }
#line 3523 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 97: /* conditional_expression: logical_or_expression '?' expression ':' conditional_expression  */
#line 656 "src/parse.yy"
      { (yyval.expr) = new SelectExpr((yyvsp[-4].expr), (yyvsp[-2].expr), (yyvsp[0].expr), Union((yylsp[-4]),(yylsp[0]))); }
#line 3529 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 98: /* rate_qualified_new: TOKEN_NEW  */
#line 660 "src/parse.yy"
                { (yyval.intVal) = 0; }
#line 3535 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 99: /* rate_qualified_new: TOKEN_UNIFORM TOKEN_NEW  */
#line 661 "src/parse.yy"
                              { (yyval.intVal) = TYPEQUAL_UNIFORM; }
#line 3541 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 100: /* rate_qualified_new: TOKEN_VARYING TOKEN_NEW  */
#line 662 "src/parse.yy"
                              { (yyval.intVal) = TYPEQUAL_VARYING; }
#line 3547 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 101: /* rate_qualified_type_specifier: type_specifier  */
#line 666 "src/parse.yy"
                     { (yyval.type) = (yyvsp[0].type); }
#line 3553 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 102: /* rate_qualified_type_specifier: TOKEN_UNIFORM type_specifier  */
#line 668 "src/parse.yy"
    {
        if ((yyvsp[0].type) == NULL)
            (yyval.type) = NULL;
        else if ((yyvsp[0].type)->IsVoidType()) {
            Error((yylsp[-1]), "\"uniform\" qualifier is illegal with \"void\" type.");
            (yyval.type) = NULL;
        }
        else
            (yyval.type) = (yyvsp[0].type)->GetAsUniformType();
    }
#line 3568 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 103: /* rate_qualified_type_specifier: TOKEN_VARYING type_specifier  */
#line 679 "src/parse.yy"
    {
        if ((yyvsp[0].type) == NULL)
            (yyval.type) = NULL;
        else if ((yyvsp[0].type)->IsVoidType()) {
            Error((yylsp[-1]), "\"varying\" qualifier is illegal with \"void\" type.");
            (yyval.type) = NULL;
        }
        else
            (yyval.type) = (yyvsp[0].type)->GetAsVaryingType();
    }
#line 3583 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 104: /* rate_qualified_type_specifier: soa_width_specifier type_specifier  */
#line 690 "src/parse.yy"
    {
        if ((yyvsp[0].type) == NULL)
            (yyval.type) = NULL;
        else {
            int soaWidth = (int)(yyvsp[-1].intVal);
            const StructType *st = CastType<StructType>((yyvsp[0].type));
            if (st == NULL) {
                Error((yylsp[-1]), "\"soa\" qualifier is illegal with non-struct type \"%s\".",
                      (yyvsp[0].type)->GetString().c_str());
                (yyval.type) = NULL;
            }
            else if (soaWidth <= 0 || (soaWidth & (soaWidth - 1)) != 0) {
                Error((yylsp[-1]), "soa<%d> width illegal. Value must be positive power "
                      "of two.", soaWidth);
                (yyval.type) = NULL;
            }
            else
                (yyval.type) = st->GetAsSOAType(soaWidth);
        }
    }
#line 3608 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 106: /* new_expression: rate_qualified_new rate_qualified_type_specifier  */
#line 715 "src/parse.yy"
    {
        (yyval.expr) = new NewExpr((int32_t)(yyvsp[-1].intVal), (yyvsp[0].type), NULL, NULL, (yylsp[-1]), Union((yylsp[-1]), (yylsp[0])));
    }
#line 3616 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 107: /* new_expression: rate_qualified_new rate_qualified_type_specifier '(' initializer_list ')'  */
#line 719 "src/parse.yy"
    {
        (yyval.expr) = new NewExpr((int32_t)(yyvsp[-4].intVal), (yyvsp[-3].type), (yyvsp[-1].exprList), NULL, (yylsp[-4]), Union((yylsp[-4]), (yylsp[-3])));
    }
#line 3624 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 108: /* new_expression: rate_qualified_new rate_qualified_type_specifier '[' expression ']'  */
#line 723 "src/parse.yy"
    {
        (yyval.expr) = new NewExpr((int32_t)(yyvsp[-4].intVal), (yyvsp[-3].type), NULL, (yyvsp[-1].expr), (yylsp[-4]), Union((yylsp[-4]), (yylsp[-1])));
    }
#line 3632 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 110: /* assignment_expression: unary_expression '=' assignment_expression  */
#line 731 "src/parse.yy"
      { (yyval.expr) = new AssignExpr(AssignExpr::Assign, (yyvsp[-2].expr), (yyvsp[0].expr), Union((yylsp[-2]), (yylsp[0]))); }
#line 3638 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 111: /* assignment_expression: unary_expression TOKEN_MUL_ASSIGN assignment_expression  */
#line 733 "src/parse.yy"
      { (yyval.expr) = new AssignExpr(AssignExpr::MulAssign, (yyvsp[-2].expr), (yyvsp[0].expr), Union((yylsp[-2]), (yylsp[0]))); }
#line 3644 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 112: /* assignment_expression: unary_expression TOKEN_DIV_ASSIGN assignment_expression  */
#line 735 "src/parse.yy"
      { (yyval.expr) = new AssignExpr(AssignExpr::DivAssign, (yyvsp[-2].expr), (yyvsp[0].expr), Union((yylsp[-2]), (yylsp[0]))); }
#line 3650 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 113: /* assignment_expression: unary_expression TOKEN_MOD_ASSIGN assignment_expression  */
#line 737 "src/parse.yy"
      { (yyval.expr) = new AssignExpr(AssignExpr::ModAssign, (yyvsp[-2].expr), (yyvsp[0].expr), Union((yylsp[-2]), (yylsp[0]))); }
#line 3656 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 114: /* assignment_expression: unary_expression TOKEN_ADD_ASSIGN assignment_expression  */
#line 739 "src/parse.yy"
      { (yyval.expr) = new AssignExpr(AssignExpr::AddAssign, (yyvsp[-2].expr), (yyvsp[0].expr), Union((yylsp[-2]), (yylsp[0]))); }
#line 3662 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 115: /* assignment_expression: unary_expression TOKEN_SUB_ASSIGN assignment_expression  */
#line 741 "src/parse.yy"
      { (yyval.expr) = new AssignExpr(AssignExpr::SubAssign, (yyvsp[-2].expr), (yyvsp[0].expr), Union((yylsp[-2]), (yylsp[0]))); }
#line 3668 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 116: /* assignment_expression: unary_expression TOKEN_LEFT_ASSIGN assignment_expression  */
#line 743 "src/parse.yy"
      { (yyval.expr) = new AssignExpr(AssignExpr::ShlAssign, (yyvsp[-2].expr), (yyvsp[0].expr), Union((yylsp[-2]), (yylsp[0]))); }
#line 3674 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 117: /* assignment_expression: unary_expression TOKEN_RIGHT_ASSIGN assignment_expression  */
#line 745 "src/parse.yy"
      { (yyval.expr) = new AssignExpr(AssignExpr::ShrAssign, (yyvsp[-2].expr), (yyvsp[0].expr), Union((yylsp[-2]), (yylsp[0]))); }
#line 3680 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 118: /* assignment_expression: unary_expression TOKEN_AND_ASSIGN assignment_expression  */
#line 747 "src/parse.yy"
      { (yyval.expr) = new AssignExpr(AssignExpr::AndAssign, (yyvsp[-2].expr), (yyvsp[0].expr), Union((yylsp[-2]), (yylsp[0]))); }
#line 3686 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 119: /* assignment_expression: unary_expression TOKEN_XOR_ASSIGN assignment_expression  */
#line 749 "src/parse.yy"
      { (yyval.expr) = new AssignExpr(AssignExpr::XorAssign, (yyvsp[-2].expr), (yyvsp[0].expr), Union((yylsp[-2]), (yylsp[0]))); }
#line 3692 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 120: /* assignment_expression: unary_expression TOKEN_OR_ASSIGN assignment_expression  */
#line 751 "src/parse.yy"
      { (yyval.expr) = new AssignExpr(AssignExpr::OrAssign, (yyvsp[-2].expr), (yyvsp[0].expr), Union((yylsp[-2]), (yylsp[0]))); }
#line 3698 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 122: /* expression: expression ',' assignment_expression  */
#line 757 "src/parse.yy"
      { (yyval.expr) = new BinaryExpr(BinaryExpr::Comma, (yyvsp[-2].expr), (yyvsp[0].expr), Union((yylsp[-2]), (yylsp[0]))); }
#line 3704 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 124: /* declaration_statement: declaration  */
#line 766 "src/parse.yy"
    {
        if ((yyvsp[0].declaration) == NULL) {
            AssertPos((yylsp[0]), m->errorCount > 0);
            (yyval.stmt) = NULL;
        }
        else if ((yyvsp[0].declaration)->declSpecs->storageClass == SC_TYPEDEF) {
            for (unsigned int i = 0; i < (yyvsp[0].declaration)->declarators.size(); ++i) {
                if ((yyvsp[0].declaration)->declarators[i] == NULL)
                    AssertPos((yylsp[0]), m->errorCount > 0);
                else
                    m->AddTypeDef((yyvsp[0].declaration)->declarators[i]->name,
                                  (yyvsp[0].declaration)->declarators[i]->type,
                                  (yyvsp[0].declaration)->declarators[i]->pos);
            }
            (yyval.stmt) = NULL;
        }
        else {
            (yyvsp[0].declaration)->DeclareFunctions();
            std::vector<VariableDeclaration> vars = (yyvsp[0].declaration)->GetVariableDeclarations();
            (yyval.stmt) = new DeclStmt(vars, (yylsp[0]));
        }
    }
#line 3731 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 125: /* declaration: declaration_specifiers ';'  */
#line 792 "src/parse.yy"
      {
          (yyval.declaration) = new Declaration((yyvsp[-1].declSpecs));
      }
#line 3739 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 126: /* declaration: declaration_specifiers init_declarator_list ';'  */
#line 796 "src/parse.yy"
      {
          (yyval.declaration) = new Declaration((yyvsp[-2].declSpecs), (yyvsp[-1].declarators));
      }
#line 3747 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 127: /* soa_width_specifier: TOKEN_SOA '<' int_constant '>'  */
#line 803 "src/parse.yy"
      { (yyval.intVal) = (yyvsp[-1].intVal); }
#line 3753 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 128: /* declspec_item: TOKEN_IDENTIFIER  */
#line 808 "src/parse.yy"
    {
        std::pair<std::string, SourcePos> *p = new std::pair<std::string, SourcePos>;
        p->first = *(yylval.stringVal);
        p->second = (yylsp[0]);
        (yyval.declspecPair) = p;
    }
#line 3764 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 129: /* declspec_list: declspec_item  */
#line 818 "src/parse.yy"
    {
        (yyval.declspecList) = new std::vector<std::pair<std::string, SourcePos> >;
        (yyval.declspecList)->push_back(*(yyvsp[0].declspecPair));
    }
#line 3773 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 130: /* declspec_list: declspec_list ',' declspec_item  */
#line 823 "src/parse.yy"
    {
        if ((yyvsp[-2].declspecList) != NULL)
            (yyvsp[-2].declspecList)->push_back(*(yyvsp[0].declspecPair));
        (yyval.declspecList) = (yyvsp[-2].declspecList);
    }
#line 3783 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 131: /* declspec_specifier: TOKEN_DECLSPEC '(' declspec_list ')'  */
#line 832 "src/parse.yy"
    {
        (yyval.declspecList) = (yyvsp[-1].declspecList);
    }
#line 3791 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 132: /* declaration_specifiers: storage_class_specifier  */
#line 839 "src/parse.yy"
      {
          (yyval.declSpecs) = new DeclSpecs(NULL, (yyvsp[0].storageClass));
      }
#line 3799 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 133: /* declaration_specifiers: storage_class_specifier declaration_specifiers  */
#line 843 "src/parse.yy"
      {
          DeclSpecs *ds = (DeclSpecs *)(yyvsp[0].declSpecs);
          if (ds != NULL) {
              if (ds->storageClass != SC_NONE)
                  Error((yylsp[-1]), "Multiple storage class specifiers in a declaration are illegal. "
                        "(Have provided both \"%s\" and \"%s\".)",
                        lGetStorageClassString(ds->storageClass),
                        lGetStorageClassString((yyvsp[-1].storageClass)));
              else
                  ds->storageClass = (yyvsp[-1].storageClass);
          }
          (yyval.declSpecs) = ds;
      }
#line 3817 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 134: /* declaration_specifiers: declspec_specifier  */
#line 857 "src/parse.yy"
      {
          (yyval.declSpecs) = new DeclSpecs;
          if ((yyvsp[0].declspecList) != NULL)
              (yyval.declSpecs)->declSpecList = *(yyvsp[0].declspecList);
      }
#line 3827 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 135: /* declaration_specifiers: declspec_specifier declaration_specifiers  */
#line 863 "src/parse.yy"
      {
          DeclSpecs *ds = (DeclSpecs *)(yyvsp[0].declSpecs);
          std::vector<std::pair<std::string, SourcePos> > *declSpecList = (yyvsp[-1].declspecList);
          if (ds != NULL && declSpecList != NULL) {
              for (int i = 0; i < (int)declSpecList->size(); ++i)
                  ds->declSpecList.push_back((*declSpecList)[i]);
          }
          (yyval.declSpecs) = ds;
      }
#line 3841 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 136: /* declaration_specifiers: soa_width_specifier  */
#line 873 "src/parse.yy"
      {
          DeclSpecs *ds = new DeclSpecs;
          ds->soaWidth = (int32_t)(yyvsp[0].intVal);
          (yyval.declSpecs) = ds;
      }
#line 3851 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 137: /* declaration_specifiers: soa_width_specifier declaration_specifiers  */
#line 879 "src/parse.yy"
      {
          DeclSpecs *ds = (DeclSpecs *)(yyvsp[0].declSpecs);
          if (ds != NULL) {
              if (ds->soaWidth != 0)
                  Error((yylsp[-1]), "soa<> qualifier supplied multiple times in declaration.");
              else
                  ds->soaWidth = (int32_t)(yyvsp[-1].intVal);
          }
          (yyval.declSpecs) = ds;
      }
#line 3866 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 138: /* declaration_specifiers: type_specifier  */
#line 890 "src/parse.yy"
      {
          (yyval.declSpecs) = new DeclSpecs((yyvsp[0].type));
      }
#line 3874 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 139: /* declaration_specifiers: type_specifier '<' int_constant '>'  */
#line 894 "src/parse.yy"
    {
          DeclSpecs *ds = new DeclSpecs((yyvsp[-3].type));
          ds->vectorSize = (int32_t)(yyvsp[-1].intVal);
          (yyval.declSpecs) = ds;
    }
#line 3884 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 140: /* declaration_specifiers: type_specifier declaration_specifiers  */
#line 900 "src/parse.yy"
      {
          DeclSpecs *ds = (DeclSpecs *)(yyvsp[0].declSpecs);
          if (ds != NULL) {
              if (ds->baseType != NULL) {
                  if( ds->baseType->IsUnsignedType()) {
                      Error((yylsp[-1]), "Redefining uint8/uint16/uint32/uint64 type "
                      "which is part of ISPC language since version 1.13. "
                      "Remove this typedef or use ISPC_UINT_IS_DEFINED to "
                      "detect that these types are defined.");
                  }
                  else
                      Error((yylsp[-1]), "Multiple types provided for declaration.");
              }
              ds->baseType = (yyvsp[-1].type);
          }
          (yyval.declSpecs) = ds;
      }
#line 3906 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 141: /* declaration_specifiers: type_qualifier  */
#line 918 "src/parse.yy"
      {
          (yyval.declSpecs) = new DeclSpecs(NULL, SC_NONE, (yyvsp[0].typeQualifier));
      }
#line 3914 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 142: /* declaration_specifiers: type_qualifier declaration_specifiers  */
#line 922 "src/parse.yy"
      {
          DeclSpecs *ds = (DeclSpecs *)(yyvsp[0].declSpecs);
          if (ds != NULL)
              ds->typeQualifiers |= (yyvsp[-1].typeQualifier);
          (yyval.declSpecs) = ds;
      }
#line 3925 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 143: /* init_declarator_list: init_declarator  */
#line 932 "src/parse.yy"
      {
          std::vector<Declarator *> *dl = new std::vector<Declarator *>;
          if ((yyvsp[0].declarator) != NULL)
              dl->push_back((yyvsp[0].declarator));
          (yyval.declarators) = dl;
      }
#line 3936 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 144: /* init_declarator_list: init_declarator_list ',' init_declarator  */
#line 939 "src/parse.yy"
      {
          std::vector<Declarator *> *dl = (std::vector<Declarator *> *)(yyvsp[-2].declarators);
          if (dl == NULL) {
              AssertPos((yylsp[-2]), m->errorCount > 0);
              dl = new std::vector<Declarator *>;
          }
          if ((yyvsp[0].declarator) != NULL)
              dl->push_back((yyvsp[0].declarator));
          (yyval.declarators) = dl;
      }
#line 3951 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 146: /* init_declarator: declarator '=' initializer  */
#line 954 "src/parse.yy"
      {
          if ((yyvsp[-2].declarator) != NULL)
              (yyvsp[-2].declarator)->initExpr = (yyvsp[0].expr);
          (yyval.declarator) = (yyvsp[-2].declarator);
      }
#line 3961 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 147: /* storage_class_specifier: TOKEN_TYPEDEF  */
#line 962 "src/parse.yy"
                    { (yyval.storageClass) = SC_TYPEDEF; }
#line 3967 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 148: /* storage_class_specifier: TOKEN_EXTERN  */
#line 963 "src/parse.yy"
                   { (yyval.storageClass) = SC_EXTERN; }
#line 3973 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 149: /* storage_class_specifier: TOKEN_EXTERN TOKEN_STRING_C_LITERAL  */
#line 964 "src/parse.yy"
                                           { (yyval.storageClass) = SC_EXTERN_C; }
#line 3979 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 150: /* storage_class_specifier: TOKEN_STATIC  */
#line 965 "src/parse.yy"
                   { (yyval.storageClass) = SC_STATIC; }
#line 3985 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 151: /* type_specifier: atomic_var_type_specifier  */
#line 969 "src/parse.yy"
                                { (yyval.type) = (yyvsp[0].atomicType); }
#line 3991 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 152: /* type_specifier: TOKEN_TYPE_NAME  */
#line 971 "src/parse.yy"
    {
        const Type *t = m->symbolTable->LookupType(yytext);
        (yyval.type) = t;
    }
#line 4000 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 153: /* type_specifier: struct_or_union_specifier  */
#line 975 "src/parse.yy"
                                { (yyval.type) = (yyvsp[0].type); }
#line 4006 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 154: /* type_specifier: enum_specifier  */
#line 976 "src/parse.yy"
                     { (yyval.type) = (yyvsp[0].enumType); }
#line 4012 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 155: /* type_specifier_list: type_specifier  */
#line 981 "src/parse.yy"
    {
        if ((yyvsp[0].type) == NULL)
            (yyval.typeList) = NULL;
        else {
            std::vector<std::pair<const Type *, SourcePos> > *vec =
                new std::vector<std::pair<const Type *, SourcePos> >;
            vec->push_back(std::make_pair((yyvsp[0].type), (yylsp[0])));
            (yyval.typeList) = vec;
        }
    }
#line 4027 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 156: /* type_specifier_list: type_specifier_list ',' type_specifier  */
#line 992 "src/parse.yy"
    {
        (yyval.typeList) = (yyvsp[-2].typeList);
        if ((yyvsp[-2].typeList) == NULL)
            Assert(m->errorCount > 0);
        else
            (yyval.typeList)->push_back(std::make_pair((yyvsp[0].type), (yylsp[0])));
    }
#line 4039 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 157: /* atomic_var_type_specifier: TOKEN_VOID  */
#line 1002 "src/parse.yy"
                 { (yyval.atomicType) = AtomicType::Void; }
#line 4045 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 158: /* atomic_var_type_specifier: TOKEN_BOOL  */
#line 1003 "src/parse.yy"
                 { (yyval.atomicType) = AtomicType::UniformBool->GetAsUnboundVariabilityType(); }
#line 4051 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 159: /* atomic_var_type_specifier: TOKEN_INT8  */
#line 1004 "src/parse.yy"
                 { (yyval.atomicType) = AtomicType::UniformInt8->GetAsUnboundVariabilityType(); }
#line 4057 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 160: /* atomic_var_type_specifier: TOKEN_UINT8  */
#line 1005 "src/parse.yy"
                  { (yyval.atomicType) = AtomicType::UniformUInt8->GetAsUnboundVariabilityType(); }
#line 4063 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 161: /* atomic_var_type_specifier: TOKEN_INT16  */
#line 1006 "src/parse.yy"
                  { (yyval.atomicType) = AtomicType::UniformInt16->GetAsUnboundVariabilityType(); }
#line 4069 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 162: /* atomic_var_type_specifier: TOKEN_UINT16  */
#line 1007 "src/parse.yy"
                   { (yyval.atomicType) = AtomicType::UniformUInt16->GetAsUnboundVariabilityType(); }
#line 4075 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 163: /* atomic_var_type_specifier: TOKEN_INT  */
#line 1008 "src/parse.yy"
                { (yyval.atomicType) = AtomicType::UniformInt32->GetAsUnboundVariabilityType(); }
#line 4081 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 164: /* atomic_var_type_specifier: TOKEN_UINT  */
#line 1009 "src/parse.yy"
                 { (yyval.atomicType) = AtomicType::UniformUInt32->GetAsUnboundVariabilityType(); }
#line 4087 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 165: /* atomic_var_type_specifier: TOKEN_FLOAT16  */
#line 1010 "src/parse.yy"
                    { (yyval.atomicType) = AtomicType::UniformFloat16->GetAsUnboundVariabilityType(); }
#line 4093 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 166: /* atomic_var_type_specifier: TOKEN_FLOAT  */
#line 1011 "src/parse.yy"
                  { (yyval.atomicType) = AtomicType::UniformFloat->GetAsUnboundVariabilityType(); }
#line 4099 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 167: /* atomic_var_type_specifier: TOKEN_DOUBLE  */
#line 1012 "src/parse.yy"
                   { (yyval.atomicType) = AtomicType::UniformDouble->GetAsUnboundVariabilityType(); }
#line 4105 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 168: /* atomic_var_type_specifier: TOKEN_INT64  */
#line 1013 "src/parse.yy"
                  { (yyval.atomicType) = AtomicType::UniformInt64->GetAsUnboundVariabilityType(); }
#line 4111 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 169: /* atomic_var_type_specifier: TOKEN_UINT64  */
#line 1014 "src/parse.yy"
                   { (yyval.atomicType) = AtomicType::UniformUInt64->GetAsUnboundVariabilityType(); }
#line 4117 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 170: /* short_vec_specifier: atomic_var_type_specifier '<' int_constant '>'  */
#line 1019 "src/parse.yy"
    {
        (yyval.type) = (yyvsp[-3].atomicType) ? new VectorType((yyvsp[-3].atomicType), (int32_t)(yyvsp[-1].intVal)) : NULL;
    }
#line 4125 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 171: /* struct_or_union_name: TOKEN_IDENTIFIER  */
#line 1025 "src/parse.yy"
                       { (yyval.constCharPtr) = strdup(yytext); }
#line 4131 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 172: /* struct_or_union_name: TOKEN_TYPE_NAME  */
#line 1026 "src/parse.yy"
                       { (yyval.constCharPtr) = strdup(yytext); }
#line 4137 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 173: /* struct_or_union_and_name: struct_or_union struct_or_union_name  */
#line 1031 "src/parse.yy"
      {
          const Type *st = m->symbolTable->LookupType((yyvsp[0].constCharPtr));
          if (st == NULL) {
              st = new UndefinedStructType((yyvsp[0].constCharPtr), Variability::Unbound, false, (yylsp[0]));
              m->symbolTable->AddType((yyvsp[0].constCharPtr), st, (yylsp[0]));
              (yyval.type) = st;
          }
          else {
              if (CastType<StructType>(st) == NULL &&
                  CastType<UndefinedStructType>(st) == NULL) {
                  Error((yylsp[0]), "Type \"%s\" is not a struct type! (%s)", (yyvsp[0].constCharPtr),
                        st->GetString().c_str());
                  (yyval.type) = NULL;
              }
              else
                  (yyval.type) = st;
         }
      }
#line 4160 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 175: /* struct_or_union_specifier: struct_or_union_and_name '{' struct_declaration_list '}'  */
#line 1054 "src/parse.yy"
      {
          if ((yyvsp[-1].structDeclarationList) != NULL) {
              llvm::SmallVector<const Type *, 8> elementTypes;
              llvm::SmallVector<std::string, 8> elementNames;
              llvm::SmallVector<SourcePos, 8> elementPositions;
              GetStructTypesNamesPositions(*(yyvsp[-1].structDeclarationList), &elementTypes, &elementNames,
                                           &elementPositions);
              const std::string &name = CastType<StructType>((yyvsp[-3].type)) ?
                  CastType<StructType>((yyvsp[-3].type))->GetStructName() :
                  CastType<UndefinedStructType>((yyvsp[-3].type))->GetStructName();
              StructType *st = new StructType(name, elementTypes, elementNames,
                                              elementPositions, false,
                                              Variability::Unbound, false, (yylsp[-3]));
              m->symbolTable->AddType(name.c_str(), st, (yylsp[-3]));
              (yyval.type) = st;
          }
          else
              (yyval.type) = NULL;
      }
#line 4184 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 176: /* struct_or_union_specifier: struct_or_union '{' struct_declaration_list '}'  */
#line 1074 "src/parse.yy"
      {
          if ((yyvsp[-1].structDeclarationList) != NULL) {
              llvm::SmallVector<const Type *, 8> elementTypes;
              llvm::SmallVector<std::string, 8> elementNames;
              llvm::SmallVector<SourcePos, 8> elementPositions;
              GetStructTypesNamesPositions(*(yyvsp[-1].structDeclarationList), &elementTypes, &elementNames,
                                           &elementPositions);
              (yyval.type) = new StructType("", elementTypes, elementNames, elementPositions,
                                  false, Variability::Unbound, true, (yylsp[-3]));
          }
          else
              (yyval.type) = NULL;
      }
#line 4202 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 177: /* struct_or_union_specifier: struct_or_union '{' '}'  */
#line 1088 "src/parse.yy"
      {
          llvm::SmallVector<const Type *, 8> elementTypes;
          llvm::SmallVector<std::string, 8> elementNames;
          llvm::SmallVector<SourcePos, 8> elementPositions;
          (yyval.type) = new StructType("", elementTypes, elementNames, elementPositions,
                              false, Variability::Unbound, true, (yylsp[-2]));
      }
#line 4214 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 178: /* struct_or_union_specifier: struct_or_union_and_name '{' '}'  */
#line 1096 "src/parse.yy"
      {
          llvm::SmallVector<const Type *, 8> elementTypes;
          llvm::SmallVector<std::string, 8> elementNames;
          llvm::SmallVector<SourcePos, 8> elementPositions;
          const std::string &name = CastType<StructType>((yyvsp[-2].type)) ?
              CastType<StructType>((yyvsp[-2].type))->GetStructName() :
              CastType<UndefinedStructType>((yyvsp[-2].type))->GetStructName();
          StructType *st = new StructType(name, elementTypes,
                                          elementNames, elementPositions,
                                          false, Variability::Unbound, false, (yylsp[-2]));
          m->symbolTable->AddType(name.c_str(), st, (yylsp[-1]));
          (yyval.type) = st;
      }
#line 4232 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 180: /* struct_declaration_list: struct_declaration  */
#line 1117 "src/parse.yy"
      {
          std::vector<StructDeclaration *> *sdl = new std::vector<StructDeclaration *>;
          if ((yyvsp[0].structDeclaration) != NULL)
              sdl->push_back((yyvsp[0].structDeclaration));
          (yyval.structDeclarationList) = sdl;
      }
#line 4243 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 181: /* struct_declaration_list: struct_declaration_list struct_declaration  */
#line 1124 "src/parse.yy"
      {
          std::vector<StructDeclaration *> *sdl = (std::vector<StructDeclaration *> *)(yyvsp[-1].structDeclarationList);
          if (sdl == NULL) {
              AssertPos((yylsp[-1]), m->errorCount > 0);
              sdl = new std::vector<StructDeclaration *>;
          }
          if ((yyvsp[0].structDeclaration) != NULL)
              sdl->push_back((yyvsp[0].structDeclaration));
          (yyval.structDeclarationList) = sdl;
      }
#line 4258 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 182: /* struct_declaration: specifier_qualifier_list struct_declarator_list ';'  */
#line 1138 "src/parse.yy"
      { (yyval.structDeclaration) = ((yyvsp[-2].type) != NULL && (yyvsp[-1].structDeclaratorList) != NULL) ? new StructDeclaration((yyvsp[-2].type), (yyvsp[-1].structDeclaratorList)) : NULL; }
#line 4264 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 186: /* specifier_qualifier_list: type_qualifier specifier_qualifier_list  */
#line 1146 "src/parse.yy"
    {
        if ((yyvsp[0].type) != NULL) {
            if ((yyvsp[-1].typeQualifier) == TYPEQUAL_UNIFORM) {
                if ((yyvsp[0].type)->IsVoidType()) {
                    Error((yylsp[-1]), "\"uniform\" qualifier is illegal with \"void\" type.");
                    (yyval.type) = NULL;
                }
                else
                    (yyval.type) = (yyvsp[0].type)->GetAsUniformType();
            }
            else if ((yyvsp[-1].typeQualifier) == TYPEQUAL_VARYING) {
                if ((yyvsp[0].type)->IsVoidType()) {
                    Error((yylsp[-1]), "\"varying\" qualifier is illegal with \"void\" type.");
                    (yyval.type) = NULL;
                }
                else
                    (yyval.type) = (yyvsp[0].type)->GetAsVaryingType();
            }
            else if ((yyvsp[-1].typeQualifier) == TYPEQUAL_CONST)
                (yyval.type) = (yyvsp[0].type)->GetAsConstType();
            else if ((yyvsp[-1].typeQualifier) == TYPEQUAL_SIGNED) {
                if ((yyvsp[0].type)->IsIntType() == false) {
                    Error((yylsp[-1]), "Can't apply \"signed\" qualifier to \"%s\" type.",
                          (yyvsp[0].type)->ResolveUnboundVariability(Variability::Varying)->GetString().c_str());
                    (yyval.type) = (yyvsp[0].type);
                }
            }
            else if ((yyvsp[-1].typeQualifier) == TYPEQUAL_UNSIGNED) {
                const Type *t = (yyvsp[0].type)->GetAsUnsignedType();
                if (t)
                    (yyval.type) = t;
                else {
                    Error((yylsp[-1]), "Can't apply \"unsigned\" qualifier to \"%s\" type. Ignoring.",
                          (yyvsp[0].type)->ResolveUnboundVariability(Variability::Varying)->GetString().c_str());
                    (yyval.type) = (yyvsp[0].type);
                }
            }
            else if ((yyvsp[-1].typeQualifier) == TYPEQUAL_INLINE) {
                Error((yylsp[-1]), "\"inline\" qualifier is illegal outside of "
                      "function declarations.");
                (yyval.type) = (yyvsp[0].type);
            }
            else if ((yyvsp[-1].typeQualifier) == TYPEQUAL_NOINLINE) {
                Error((yylsp[-1]), "\"noinline\" qualifier is illegal outside of "
                      "function declarations.");
                (yyval.type) = (yyvsp[0].type);
            }
            else if ((yyvsp[-1].typeQualifier) == TYPEQUAL_VECTORCALL) {
                Error((yylsp[-1]), "\"__vectorcall\" qualifier is illegal outside of "
                      "function declarations.");
                (yyval.type) = (yyvsp[0].type);
            }
            else if ((yyvsp[-1].typeQualifier) == TYPEQUAL_TASK) {
                Error((yylsp[-1]), "\"task\" qualifier is illegal outside of "
                      "function declarations.");
                (yyval.type) = (yyvsp[0].type);
            }
            else if ((yyvsp[-1].typeQualifier) == TYPEQUAL_UNMASKED) {
                Error((yylsp[-1]), "\"unmasked\" qualifier is illegal outside of "
                      "function declarations.");
                (yyval.type) = (yyvsp[0].type);
            }
            else if ((yyvsp[-1].typeQualifier) == TYPEQUAL_EXPORT) {
                Error((yylsp[-1]), "\"export\" qualifier is illegal outside of "
                      "function declarations.");
                (yyval.type) = (yyvsp[0].type);
            }
            else
                FATAL("Unhandled type qualifier in parser.");
        }
        else {
            if (m->errorCount == 0)
                Error((yylsp[-1]), "Lost type qualifier in parser.");
            (yyval.type) = NULL;
        }
    }
#line 4345 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 187: /* struct_declarator_list: struct_declarator  */
#line 1227 "src/parse.yy"
      {
          std::vector<Declarator *> *sdl = new std::vector<Declarator *>;
          if ((yyvsp[0].declarator) != NULL)
              sdl->push_back((yyvsp[0].declarator));
          (yyval.structDeclaratorList) = sdl;
      }
#line 4356 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 188: /* struct_declarator_list: struct_declarator_list ',' struct_declarator  */
#line 1234 "src/parse.yy"
      {
          std::vector<Declarator *> *sdl = (std::vector<Declarator *> *)(yyvsp[-2].structDeclaratorList);
          if (sdl == NULL) {
              AssertPos((yylsp[-2]), m->errorCount > 0);
              sdl = new std::vector<Declarator *>;
          }
          if ((yyvsp[0].declarator) != NULL)
              sdl->push_back((yyvsp[0].declarator));
          (yyval.structDeclaratorList) = sdl;
      }
#line 4371 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 189: /* struct_declarator: declarator  */
#line 1247 "src/parse.yy"
                 { (yyval.declarator) = (yyvsp[0].declarator); }
#line 4377 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 190: /* enum_identifier: TOKEN_IDENTIFIER  */
#line 1255 "src/parse.yy"
                       { (yyval.constCharPtr) = strdup(yytext); }
#line 4383 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 191: /* enum_specifier: TOKEN_ENUM '{' enumerator_list '}'  */
#line 1259 "src/parse.yy"
      {
          (yyval.enumType) = lCreateEnumType(NULL, (yyvsp[-1].symbolList), (yylsp[-3]));
      }
#line 4391 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 192: /* enum_specifier: TOKEN_ENUM enum_identifier '{' enumerator_list '}'  */
#line 1263 "src/parse.yy"
      {
          (yyval.enumType) = lCreateEnumType((yyvsp[-3].constCharPtr), (yyvsp[-1].symbolList), (yylsp[-3]));
      }
#line 4399 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 193: /* enum_specifier: TOKEN_ENUM '{' enumerator_list ',' '}'  */
#line 1267 "src/parse.yy"
      {
          (yyval.enumType) = lCreateEnumType(NULL, (yyvsp[-2].symbolList), (yylsp[-4]));
      }
#line 4407 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 194: /* enum_specifier: TOKEN_ENUM enum_identifier '{' enumerator_list ',' '}'  */
#line 1271 "src/parse.yy"
      {
          (yyval.enumType) = lCreateEnumType((yyvsp[-4].constCharPtr), (yyvsp[-2].symbolList), (yylsp[-4]));
      }
#line 4415 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 195: /* enum_specifier: TOKEN_ENUM enum_identifier  */
#line 1275 "src/parse.yy"
      {
          const Type *type = m->symbolTable->LookupType((yyvsp[0].constCharPtr));
          if (type == NULL) {
              std::vector<std::string> alternates = m->symbolTable->ClosestEnumTypeMatch((yyvsp[0].constCharPtr));
              std::string alts = lGetAlternates(alternates);
              Error((yylsp[0]), "Enum type \"%s\" unknown.%s", (yyvsp[0].constCharPtr), alts.c_str());
              (yyval.enumType) = NULL;
          }
          else {
              const EnumType *enumType = CastType<EnumType>(type);
              if (enumType == NULL) {
                  Error((yylsp[0]), "Type \"%s\" is not an enum type (%s).", (yyvsp[0].constCharPtr),
                        type->GetString().c_str());
                  (yyval.enumType) = NULL;
              }
              else
                  (yyval.enumType) = enumType;
          }
      }
#line 4439 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 196: /* enumerator_list: enumerator  */
#line 1298 "src/parse.yy"
      {
          if ((yyvsp[0].symbol) == NULL)
              (yyval.symbolList) = NULL;
          else {
              std::vector<Symbol *> *el = new std::vector<Symbol *>;
              el->push_back((yyvsp[0].symbol));
              (yyval.symbolList) = el;
          }
      }
#line 4453 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 197: /* enumerator_list: enumerator_list ',' enumerator  */
#line 1308 "src/parse.yy"
      {
          std::vector<Symbol *> *symList = (yyvsp[-2].symbolList);
          if (symList == NULL) {
              AssertPos((yylsp[-2]), m->errorCount > 0);
              symList = new std::vector<Symbol *>;
          }
          if ((yyvsp[0].symbol) != NULL)
              symList->push_back((yyvsp[0].symbol));
          (yyval.symbolList) = symList;
      }
#line 4468 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 198: /* enumerator: enum_identifier  */
#line 1322 "src/parse.yy"
      {
          (yyval.symbol) = new Symbol((yyvsp[0].constCharPtr), (yylsp[0]));
      }
#line 4476 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 199: /* enumerator: enum_identifier '=' constant_expression  */
#line 1326 "src/parse.yy"
      {
          int value;
          if ((yyvsp[-2].constCharPtr) != NULL && (yyvsp[0].expr) != NULL &&
              lGetConstantInt((yyvsp[0].expr), &value, (yylsp[0]), "Enumerator value")) {
              Symbol *sym = new Symbol((yyvsp[-2].constCharPtr), (yylsp[-2]));
              sym->constValue = new ConstExpr(AtomicType::UniformUInt32->GetAsConstType(),
                                              (uint32_t)value, (yylsp[0]));
              (yyval.symbol) = sym;
          }
          else
              (yyval.symbol) = NULL;
      }
#line 4493 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 200: /* type_qualifier: TOKEN_CONST  */
#line 1341 "src/parse.yy"
                          { (yyval.typeQualifier) = TYPEQUAL_CONST; }
#line 4499 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 201: /* type_qualifier: TOKEN_UNIFORM  */
#line 1342 "src/parse.yy"
                          { (yyval.typeQualifier) = TYPEQUAL_UNIFORM; }
#line 4505 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 202: /* type_qualifier: TOKEN_VARYING  */
#line 1343 "src/parse.yy"
                          { (yyval.typeQualifier) = TYPEQUAL_VARYING; }
#line 4511 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 203: /* type_qualifier: TOKEN_TASK  */
#line 1344 "src/parse.yy"
                          { (yyval.typeQualifier) = TYPEQUAL_TASK; }
#line 4517 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 204: /* type_qualifier: TOKEN_UNMASKED  */
#line 1345 "src/parse.yy"
                          { (yyval.typeQualifier) = TYPEQUAL_UNMASKED; }
#line 4523 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 205: /* type_qualifier: TOKEN_EXPORT  */
#line 1346 "src/parse.yy"
                          { (yyval.typeQualifier) = TYPEQUAL_EXPORT; }
#line 4529 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 206: /* type_qualifier: TOKEN_INLINE  */
#line 1347 "src/parse.yy"
                          { (yyval.typeQualifier) = TYPEQUAL_INLINE; }
#line 4535 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 207: /* type_qualifier: TOKEN_NOINLINE  */
#line 1348 "src/parse.yy"
                          { (yyval.typeQualifier) = TYPEQUAL_NOINLINE; }
#line 4541 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 208: /* type_qualifier: TOKEN_VECTORCALL  */
#line 1349 "src/parse.yy"
                          { (yyval.typeQualifier) = TYPEQUAL_VECTORCALL; }
#line 4547 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 209: /* type_qualifier: TOKEN_SIGNED  */
#line 1350 "src/parse.yy"
                          { (yyval.typeQualifier) = TYPEQUAL_SIGNED; }
#line 4553 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 210: /* type_qualifier: TOKEN_UNSIGNED  */
#line 1351 "src/parse.yy"
                          { (yyval.typeQualifier) = TYPEQUAL_UNSIGNED; }
#line 4559 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 211: /* type_qualifier_list: type_qualifier  */
#line 1356 "src/parse.yy"
    {
        (yyval.typeQualifier) = (yyvsp[0].typeQualifier);
    }
#line 4567 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 212: /* type_qualifier_list: type_qualifier_list type_qualifier  */
#line 1360 "src/parse.yy"
    {
        (yyval.typeQualifier) = (yyvsp[-1].typeQualifier) | (yyvsp[0].typeQualifier);
    }
#line 4575 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 213: /* declarator: pointer direct_declarator  */
#line 1367 "src/parse.yy"
    {
        if ((yyvsp[-1].declarator) != NULL) {
            Declarator *tail = (yyvsp[-1].declarator);
            while (tail->child != NULL)
               tail = tail->child;
            tail->child = (yyvsp[0].declarator);
            (yyval.declarator) = (yyvsp[-1].declarator);
        }
        else
            (yyval.declarator) = NULL;
    }
#line 4591 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 214: /* declarator: reference direct_declarator  */
#line 1379 "src/parse.yy"
    {
        if ((yyvsp[-1].declarator) != NULL) {
            Declarator *tail = (yyvsp[-1].declarator);
            while (tail->child != NULL)
               tail = tail->child;
            tail->child = (yyvsp[0].declarator);
            (yyval.declarator) = (yyvsp[-1].declarator);
        }
        else
            (yyval.declarator) = NULL;
    }
#line 4607 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 216: /* int_constant: TOKEN_INT8_CONSTANT  */
#line 1394 "src/parse.yy"
                          { (yyval.intVal) = yylval.intVal; }
#line 4613 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 217: /* int_constant: TOKEN_INT16_CONSTANT  */
#line 1395 "src/parse.yy"
                           { (yyval.intVal) = yylval.intVal; }
#line 4619 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 218: /* int_constant: TOKEN_INT32_CONSTANT  */
#line 1396 "src/parse.yy"
                           { (yyval.intVal) = yylval.intVal; }
#line 4625 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 219: /* int_constant: TOKEN_INT64_CONSTANT  */
#line 1397 "src/parse.yy"
                           { (yyval.intVal) = yylval.intVal; }
#line 4631 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 220: /* direct_declarator: TOKEN_IDENTIFIER  */
#line 1402 "src/parse.yy"
      {
          Declarator *d = new Declarator(DK_BASE, (yylsp[0]));
          d->name = yytext;
          (yyval.declarator) = d;
      }
#line 4641 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 221: /* direct_declarator: '(' declarator ')'  */
#line 1408 "src/parse.yy"
    {
        (yyval.declarator) = (yyvsp[-1].declarator);
    }
#line 4649 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 222: /* direct_declarator: direct_declarator '[' constant_expression ']'  */
#line 1412 "src/parse.yy"
    {
        int size;
        if ((yyvsp[-3].declarator) != NULL && lGetConstantInt((yyvsp[-1].expr), &size, (yylsp[-1]), "Array dimension")) {
            if (size < 0) {
                Error((yylsp[-1]), "Array dimension must be non-negative.");
                (yyval.declarator) = NULL;
            }
            else {
                Declarator *d = new Declarator(DK_ARRAY, Union((yylsp[-3]), (yylsp[0])));
                d->arraySize = size;
                d->child = (yyvsp[-3].declarator);
                (yyval.declarator) = d;
            }
        }
        else
            (yyval.declarator) = NULL;
    }
#line 4671 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 223: /* direct_declarator: direct_declarator '[' ']'  */
#line 1430 "src/parse.yy"
    {
        if ((yyvsp[-2].declarator) != NULL) {
            Declarator *d = new Declarator(DK_ARRAY, Union((yylsp[-2]), (yylsp[0])));
            d->arraySize = 0; // unsize
            d->child = (yyvsp[-2].declarator);
            (yyval.declarator) = d;
        }
        else
            (yyval.declarator) = NULL;
    }
#line 4686 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 224: /* direct_declarator: direct_declarator '[' error ']'  */
#line 1441 "src/parse.yy"
    {
         (yyval.declarator) = NULL;
    }
#line 4694 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 225: /* direct_declarator: direct_declarator '(' parameter_type_list ')'  */
#line 1445 "src/parse.yy"
      {
          if ((yyvsp[-3].declarator) != NULL) {
              Declarator *d = new Declarator(DK_FUNCTION, Union((yylsp[-3]), (yylsp[0])));
              d->child = (yyvsp[-3].declarator);
              if ((yyvsp[-1].declarationList) != NULL)
                  d->functionParams = *(yyvsp[-1].declarationList);
              (yyval.declarator) = d;
          }
          else
              (yyval.declarator) = NULL;
      }
#line 4710 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 226: /* direct_declarator: direct_declarator '(' ')'  */
#line 1457 "src/parse.yy"
      {
          if ((yyvsp[-2].declarator) != NULL) {
              Declarator *d = new Declarator(DK_FUNCTION, Union((yylsp[-2]), (yylsp[0])));
              d->child = (yyvsp[-2].declarator);
              (yyval.declarator) = d;
          }
          else
              (yyval.declarator) = NULL;
      }
#line 4724 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 227: /* direct_declarator: direct_declarator '(' error ')'  */
#line 1467 "src/parse.yy"
    {
        (yyval.declarator) = NULL;
    }
#line 4732 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 228: /* pointer: '*'  */
#line 1475 "src/parse.yy"
    {
        (yyval.declarator) = new Declarator(DK_POINTER, (yylsp[0]));
    }
#line 4740 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 229: /* pointer: '*' type_qualifier_list  */
#line 1479 "src/parse.yy"
      {
          Declarator *d = new Declarator(DK_POINTER, Union((yylsp[-1]), (yylsp[0])));
          d->typeQualifiers = (yyvsp[0].typeQualifier);
          (yyval.declarator) = d;
      }
#line 4750 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 230: /* pointer: '*' pointer  */
#line 1485 "src/parse.yy"
      {
          Declarator *d = new Declarator(DK_POINTER, Union((yylsp[-1]), (yylsp[0])));
          d->child = (yyvsp[0].declarator);
          (yyval.declarator) = d;
      }
#line 4760 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 231: /* pointer: '*' type_qualifier_list pointer  */
#line 1491 "src/parse.yy"
      {
          Declarator *d = new Declarator(DK_POINTER, Union((yylsp[-2]), (yylsp[0])));
          d->typeQualifiers = (yyvsp[-1].typeQualifier);
          d->child = (yyvsp[0].declarator);
          (yyval.declarator) = d;
      }
#line 4771 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 232: /* reference: '&'  */
#line 1502 "src/parse.yy"
    {
        (yyval.declarator) = new Declarator(DK_REFERENCE, (yylsp[0]));
    }
#line 4779 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 233: /* parameter_type_list: parameter_list  */
#line 1509 "src/parse.yy"
                     { (yyval.declarationList) = (yyvsp[0].declarationList); }
#line 4785 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 234: /* parameter_list: parameter_declaration  */
#line 1514 "src/parse.yy"
    {
        std::vector<Declaration *> *dl = new std::vector<Declaration *>;
        if ((yyvsp[0].declaration) != NULL)
            dl->push_back((yyvsp[0].declaration));
        (yyval.declarationList) = dl;
    }
#line 4796 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 235: /* parameter_list: parameter_list ',' parameter_declaration  */
#line 1521 "src/parse.yy"
    {
        std::vector<Declaration *> *dl = (std::vector<Declaration *> *)(yyvsp[-2].declarationList);
        if (dl == NULL)
            dl = new std::vector<Declaration *>;
        if ((yyvsp[0].declaration) != NULL)
            dl->push_back((yyvsp[0].declaration));
        (yyval.declarationList) = dl;
    }
#line 4809 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 236: /* parameter_list: error ','  */
#line 1530 "src/parse.yy"
    {
        lSuggestParamListAlternates();
        (yyval.declarationList) = NULL;
    }
#line 4818 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 237: /* parameter_declaration: declaration_specifiers declarator  */
#line 1538 "src/parse.yy"
    {
        (yyval.declaration) = new Declaration((yyvsp[-1].declSpecs), (yyvsp[0].declarator));
    }
#line 4826 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 238: /* parameter_declaration: declaration_specifiers declarator '=' initializer  */
#line 1542 "src/parse.yy"
    {
        if ((yyvsp[-3].declSpecs) != NULL && (yyvsp[-2].declarator) != NULL) {
            (yyvsp[-2].declarator)->initExpr = (yyvsp[0].expr);
            (yyval.declaration) = new Declaration((yyvsp[-3].declSpecs), (yyvsp[-2].declarator));
        }
        else
            (yyval.declaration) = NULL;
    }
#line 4839 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 239: /* parameter_declaration: declaration_specifiers abstract_declarator  */
#line 1551 "src/parse.yy"
    {
        if ((yyvsp[-1].declSpecs) != NULL && (yyvsp[0].declarator) != NULL)
            (yyval.declaration) = new Declaration((yyvsp[-1].declSpecs), (yyvsp[0].declarator));
        else
            (yyval.declaration) = NULL;
    }
#line 4850 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 240: /* parameter_declaration: declaration_specifiers  */
#line 1558 "src/parse.yy"
    {
        if ((yyvsp[0].declSpecs) == NULL)
            (yyval.declaration) = NULL;
        else
            (yyval.declaration) = new Declaration((yyvsp[0].declSpecs));
    }
#line 4861 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 242: /* type_name: specifier_qualifier_list abstract_declarator  */
#line 1576 "src/parse.yy"
    {
        if ((yyvsp[-1].type) == NULL || (yyvsp[0].declarator) == NULL)
            (yyval.type) = NULL;
        else {
            (yyvsp[0].declarator)->InitFromType((yyvsp[-1].type), NULL);
            (yyval.type) = (yyvsp[0].declarator)->type;
        }
    }
#line 4874 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 243: /* abstract_declarator: pointer  */
#line 1588 "src/parse.yy"
      {
          (yyval.declarator) = (yyvsp[0].declarator);
      }
#line 4882 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 245: /* abstract_declarator: pointer direct_abstract_declarator  */
#line 1593 "src/parse.yy"
      {
          if ((yyvsp[0].declarator) == NULL)
              (yyval.declarator) = NULL;
          else {
              Declarator *d = new Declarator(DK_POINTER, Union((yylsp[-1]), (yylsp[0])));
              d->child = (yyvsp[0].declarator);
              (yyval.declarator) = d;
          }
      }
#line 4896 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 246: /* abstract_declarator: reference  */
#line 1603 "src/parse.yy"
      {
          (yyval.declarator) = new Declarator(DK_REFERENCE, (yylsp[0]));
      }
#line 4904 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 247: /* abstract_declarator: reference direct_abstract_declarator  */
#line 1607 "src/parse.yy"
      {
          if ((yyvsp[0].declarator) == NULL)
              (yyval.declarator) = NULL;
          else {
              Declarator *d = new Declarator(DK_REFERENCE, Union((yylsp[-1]), (yylsp[0])));
              d->child = (yyvsp[0].declarator);
              (yyval.declarator) = d;
          }
      }
#line 4918 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 248: /* direct_abstract_declarator: '(' abstract_declarator ')'  */
#line 1620 "src/parse.yy"
      { (yyval.declarator) = (yyvsp[-1].declarator); }
#line 4924 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 249: /* direct_abstract_declarator: '[' ']'  */
#line 1622 "src/parse.yy"
      {
          Declarator *d = new Declarator(DK_ARRAY, Union((yylsp[-1]), (yylsp[0])));
          d->arraySize = 0;
          (yyval.declarator) = d;
      }
#line 4934 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 250: /* direct_abstract_declarator: '[' constant_expression ']'  */
#line 1628 "src/parse.yy"
      {
        int size;
        if ((yyvsp[-1].expr) != NULL && lGetConstantInt((yyvsp[-1].expr), &size, (yylsp[-1]), "Array dimension")) {
            if (size < 0) {
                Error((yylsp[-1]), "Array dimension must be non-negative.");
                (yyval.declarator) = NULL;
            }
            else {
                Declarator *d = new Declarator(DK_ARRAY, Union((yylsp[-2]), (yylsp[0])));
                d->arraySize = size;
                (yyval.declarator) = d;
            }
        }
        else
            (yyval.declarator) = NULL;
      }
#line 4955 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 251: /* direct_abstract_declarator: direct_abstract_declarator '[' ']'  */
#line 1645 "src/parse.yy"
      {
          if ((yyvsp[-2].declarator) == NULL)
              (yyval.declarator) = NULL;
          else {
              Declarator *d = new Declarator(DK_ARRAY, Union((yylsp[-2]), (yylsp[0])));
              d->arraySize = 0;
              d->child = (yyvsp[-2].declarator);
              (yyval.declarator) = d;
          }
      }
#line 4970 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 252: /* direct_abstract_declarator: direct_abstract_declarator '[' constant_expression ']'  */
#line 1656 "src/parse.yy"
      {
          int size;
          if ((yyvsp[-3].declarator) != NULL && (yyvsp[-1].expr) != NULL && lGetConstantInt((yyvsp[-1].expr), &size, (yylsp[-1]), "Array dimension")) {
              if (size < 0) {
                  Error((yylsp[-1]), "Array dimension must be non-negative.");
                  (yyval.declarator) = NULL;
              }
              else {
                  Declarator *d = new Declarator(DK_ARRAY, Union((yylsp[-3]), (yylsp[0])));
                  d->arraySize = size;
                  d->child = (yyvsp[-3].declarator);
                  (yyval.declarator) = d;
              }
          }
          else
              (yyval.declarator) = NULL;
      }
#line 4992 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 253: /* direct_abstract_declarator: '(' ')'  */
#line 1674 "src/parse.yy"
      { (yyval.declarator) = new Declarator(DK_FUNCTION, Union((yylsp[-1]), (yylsp[0]))); }
#line 4998 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 254: /* direct_abstract_declarator: '(' parameter_type_list ')'  */
#line 1676 "src/parse.yy"
      {
          Declarator *d = new Declarator(DK_FUNCTION, Union((yylsp[-2]), (yylsp[0])));
          if ((yyvsp[-1].declarationList) != NULL) d->functionParams = *(yyvsp[-1].declarationList);
          (yyval.declarator) = d;
      }
#line 5008 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 255: /* direct_abstract_declarator: direct_abstract_declarator '(' ')'  */
#line 1682 "src/parse.yy"
      {
          if ((yyvsp[-2].declarator) == NULL)
              (yyval.declarator) = NULL;
          else {
              Declarator *d = new Declarator(DK_FUNCTION, Union((yylsp[-2]), (yylsp[0])));
              d->child = (yyvsp[-2].declarator);
              (yyval.declarator) = d;
          }
      }
#line 5022 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 256: /* direct_abstract_declarator: direct_abstract_declarator '(' parameter_type_list ')'  */
#line 1692 "src/parse.yy"
      {
          if ((yyvsp[-3].declarator) == NULL)
              (yyval.declarator) = NULL;
          else {
              Declarator *d = new Declarator(DK_FUNCTION, Union((yylsp[-3]), (yylsp[0])));
              d->child = (yyvsp[-3].declarator);
              if ((yyvsp[-1].declarationList) != NULL) d->functionParams = *(yyvsp[-1].declarationList);
              (yyval.declarator) = d;
          }
      }
#line 5037 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 258: /* initializer: '{' initializer_list '}'  */
#line 1706 "src/parse.yy"
                               { (yyval.expr) = (yyvsp[-1].exprList); }
#line 5043 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 259: /* initializer: '{' initializer_list ',' '}'  */
#line 1707 "src/parse.yy"
                                   { (yyval.expr) = (yyvsp[-2].exprList); }
#line 5049 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 260: /* initializer_list: initializer  */
#line 1712 "src/parse.yy"
      { (yyval.exprList) = new ExprList((yyvsp[0].expr), (yylsp[0])); }
#line 5055 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 261: /* initializer_list: initializer_list ',' initializer  */
#line 1714 "src/parse.yy"
      {
          ExprList *exprList = (yyvsp[-2].exprList);
          if (exprList == NULL) {
              AssertPos((yylsp[-2]), m->errorCount > 0);
              exprList = new ExprList((yylsp[0]));
          }
          exprList->exprs.push_back((yyvsp[0].expr));
          exprList->pos = Union(exprList->pos, (yylsp[0]));
          (yyval.exprList) = exprList;
      }
#line 5070 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 262: /* pragma: TOKEN_PRAGMA  */
#line 1728 "src/parse.yy"
    {
        (yyval.pragmaAttributes) = (yylval.pragmaAttributes);
    }
#line 5078 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 263: /* attributed_statement: pragma attributed_statement  */
#line 1735 "src/parse.yy"
    {
        if (((yyvsp[-1].pragmaAttributes)->aType == PragmaAttributes::AttributeType::pragmaloop) && ((yyvsp[0].stmt) != NULL)) {
            std::pair<Globals::pragmaUnrollType, int> unrollVal = std::pair<Globals::pragmaUnrollType, int>((yyvsp[-1].pragmaAttributes)->unrollType, (yyvsp[-1].pragmaAttributes)->count);
            (yyvsp[0].stmt)->SetLoopAttribute(unrollVal);
        }
        (yyval.stmt) = (yyvsp[0].stmt);
    }
#line 5090 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 277: /* statement: error ';'  */
#line 1759 "src/parse.yy"
    {
        lSuggestBuiltinAlternates();
        (yyval.stmt) = NULL;
    }
#line 5099 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 278: /* labeled_statement: goto_identifier ':' attributed_statement  */
#line 1767 "src/parse.yy"
    {
        (yyval.stmt) = new LabeledStmt((yyvsp[-2].constCharPtr), (yyvsp[0].stmt), (yylsp[-2]));
    }
#line 5107 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 279: /* labeled_statement: TOKEN_CASE constant_expression ':' attributed_statement  */
#line 1771 "src/parse.yy"
      {
          int value;
          if ((yyvsp[-2].expr) != NULL &&
              lGetConstantInt((yyvsp[-2].expr), &value, (yylsp[-2]), "Case statement value")) {
              (yyval.stmt) = new CaseStmt(value, (yyvsp[0].stmt), Union((yylsp[-3]), (yylsp[-2])));
          }
          else
              (yyval.stmt) = NULL;
      }
#line 5121 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 280: /* labeled_statement: TOKEN_DEFAULT ':' attributed_statement  */
#line 1781 "src/parse.yy"
      { (yyval.stmt) = new DefaultStmt((yyvsp[0].stmt), (yylsp[-2])); }
#line 5127 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 281: /* start_scope: '{'  */
#line 1785 "src/parse.yy"
          { m->symbolTable->PushScope(); }
#line 5133 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 282: /* end_scope: '}'  */
#line 1789 "src/parse.yy"
          { m->symbolTable->PopScope(); }
#line 5139 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 283: /* compound_statement: '{' '}'  */
#line 1793 "src/parse.yy"
              { (yyval.stmt) = NULL; }
#line 5145 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 284: /* compound_statement: start_scope statement_list end_scope  */
#line 1794 "src/parse.yy"
                                           { (yyval.stmt) = (yyvsp[-1].stmt); }
#line 5151 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 285: /* statement_list: attributed_statement  */
#line 1799 "src/parse.yy"
      {
          StmtList *sl = new StmtList((yylsp[0]));
          sl->Add((yyvsp[0].stmt));
          (yyval.stmt) = sl;
      }
#line 5161 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 286: /* statement_list: statement_list attributed_statement  */
#line 1805 "src/parse.yy"
      {
          StmtList *sl = (StmtList *)(yyvsp[-1].stmt);
          if (sl == NULL) {
              AssertPos((yylsp[-1]), m->errorCount > 0);
              sl = new StmtList((yylsp[0]));
          }
          sl->Add((yyvsp[0].stmt));
          (yyval.stmt) = sl;
      }
#line 5175 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 287: /* expression_statement: ';'  */
#line 1817 "src/parse.yy"
          { (yyval.stmt) = NULL; }
#line 5181 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 288: /* expression_statement: expression ';'  */
#line 1818 "src/parse.yy"
                     { (yyval.stmt) = (yyvsp[-1].expr) ? new ExprStmt((yyvsp[-1].expr), (yylsp[-1])) : NULL; }
#line 5187 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 289: /* selection_statement: TOKEN_IF '(' expression ')' attributed_statement  */
#line 1823 "src/parse.yy"
      { (yyval.stmt) = new IfStmt((yyvsp[-2].expr), (yyvsp[0].stmt), NULL, false, (yylsp[-4])); }
#line 5193 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 290: /* selection_statement: TOKEN_IF '(' expression ')' attributed_statement TOKEN_ELSE attributed_statement  */
#line 1825 "src/parse.yy"
      { (yyval.stmt) = new IfStmt((yyvsp[-4].expr), (yyvsp[-2].stmt), (yyvsp[0].stmt), false, (yylsp[-6])); }
#line 5199 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 291: /* selection_statement: TOKEN_CIF '(' expression ')' attributed_statement  */
#line 1827 "src/parse.yy"
      { (yyval.stmt) = new IfStmt((yyvsp[-2].expr), (yyvsp[0].stmt), NULL, true, (yylsp[-4])); }
#line 5205 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 292: /* selection_statement: TOKEN_CIF '(' expression ')' attributed_statement TOKEN_ELSE attributed_statement  */
#line 1829 "src/parse.yy"
      { (yyval.stmt) = new IfStmt((yyvsp[-4].expr), (yyvsp[-2].stmt), (yyvsp[0].stmt), true, (yylsp[-6])); }
#line 5211 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 293: /* selection_statement: TOKEN_SWITCH '(' expression ')' attributed_statement  */
#line 1831 "src/parse.yy"
      { (yyval.stmt) = new SwitchStmt((yyvsp[-2].expr), (yyvsp[0].stmt), (yylsp[-4])); }
#line 5217 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 294: /* for_test: ';'  */
#line 1836 "src/parse.yy"
      { (yyval.expr) = NULL; }
#line 5223 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 295: /* for_test: expression ';'  */
#line 1838 "src/parse.yy"
      { (yyval.expr) = (yyvsp[-1].expr); }
#line 5229 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 298: /* for_scope: TOKEN_FOR  */
#line 1847 "src/parse.yy"
                { m->symbolTable->PushScope(); }
#line 5235 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 299: /* cfor_scope: TOKEN_CFOR  */
#line 1851 "src/parse.yy"
                 { m->symbolTable->PushScope(); }
#line 5241 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 300: /* foreach_scope: TOKEN_FOREACH  */
#line 1855 "src/parse.yy"
                    { m->symbolTable->PushScope(); }
#line 5247 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 301: /* foreach_tiled_scope: TOKEN_FOREACH_TILED  */
#line 1859 "src/parse.yy"
                          { m->symbolTable->PushScope(); }
#line 5253 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 302: /* foreach_identifier: TOKEN_IDENTIFIER  */
#line 1864 "src/parse.yy"
    {
        (yyval.symbol) = new Symbol(yytext, (yylsp[0]), AtomicType::VaryingInt32->GetAsConstType());
    }
#line 5261 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 303: /* foreach_active_scope: TOKEN_FOREACH_ACTIVE  */
#line 1870 "src/parse.yy"
                           { m->symbolTable->PushScope(); }
#line 5267 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 304: /* foreach_active_identifier: TOKEN_IDENTIFIER  */
#line 1875 "src/parse.yy"
    {
        (yyval.symbol) = new Symbol(yytext, (yylsp[0]), AtomicType::UniformInt64->GetAsConstType());
    }
#line 5275 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 305: /* integer_dotdotdot: TOKEN_INT32DOTDOTDOT_CONSTANT  */
#line 1881 "src/parse.yy"
                                    {
        (yyval.expr) = new ConstExpr(AtomicType::UniformInt32->GetAsConstType(),
                           (int32_t)yylval.intVal, (yylsp[0]));
    }
#line 5284 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 306: /* integer_dotdotdot: TOKEN_UINT32DOTDOTDOT_CONSTANT  */
#line 1885 "src/parse.yy"
                                     {
        (yyval.expr) = new ConstExpr(AtomicType::UniformUInt32->GetAsConstType(),
                           (uint32_t)yylval.intVal, (yylsp[0]));
    }
#line 5293 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 307: /* integer_dotdotdot: TOKEN_INT64DOTDOTDOT_CONSTANT  */
#line 1889 "src/parse.yy"
                                    {
        (yyval.expr) = new ConstExpr(AtomicType::UniformInt64->GetAsConstType(),
                           (int64_t)yylval.intVal, (yylsp[0]));
    }
#line 5302 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 308: /* integer_dotdotdot: TOKEN_UINT64DOTDOTDOT_CONSTANT  */
#line 1893 "src/parse.yy"
                                     {
        (yyval.expr) = new ConstExpr(AtomicType::UniformUInt64->GetAsConstType(),
                           (uint64_t)yylval.intVal, (yylsp[0]));
    }
#line 5311 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 309: /* foreach_dimension_specifier: foreach_identifier '=' assignment_expression TOKEN_DOTDOTDOT assignment_expression  */
#line 1901 "src/parse.yy"
    {
        (yyval.foreachDimension) = new ForeachDimension((yyvsp[-4].symbol), (yyvsp[-2].expr), (yyvsp[0].expr));
    }
#line 5319 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 310: /* foreach_dimension_specifier: foreach_identifier '=' integer_dotdotdot assignment_expression  */
#line 1905 "src/parse.yy"
    {
        (yyval.foreachDimension) = new ForeachDimension((yyvsp[-3].symbol), (yyvsp[-1].expr), (yyvsp[0].expr));
    }
#line 5327 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 311: /* foreach_dimension_list: foreach_dimension_specifier  */
#line 1912 "src/parse.yy"
    {
        (yyval.foreachDimensionList) = new std::vector<ForeachDimension *>;
        (yyval.foreachDimensionList)->push_back((yyvsp[0].foreachDimension));
    }
#line 5336 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 312: /* foreach_dimension_list: foreach_dimension_list ',' foreach_dimension_specifier  */
#line 1917 "src/parse.yy"
    {
        std::vector<ForeachDimension *> *dv = (yyvsp[-2].foreachDimensionList);
        if (dv == NULL) {
            AssertPos((yylsp[-2]), m->errorCount > 0);
            dv = new std::vector<ForeachDimension *>;
        }
        if ((yyvsp[0].foreachDimension) != NULL)
            dv->push_back((yyvsp[0].foreachDimension));
        (yyval.foreachDimensionList) = dv;
    }
#line 5351 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 313: /* foreach_unique_scope: TOKEN_FOREACH_UNIQUE  */
#line 1930 "src/parse.yy"
                           { m->symbolTable->PushScope(); }
#line 5357 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 314: /* foreach_unique_identifier: TOKEN_IDENTIFIER  */
#line 1934 "src/parse.yy"
                       { (yyval.constCharPtr) = yylval.stringVal->c_str(); }
#line 5363 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 315: /* iteration_statement: TOKEN_WHILE '(' expression ')' attributed_statement  */
#line 1939 "src/parse.yy"
      { (yyval.stmt) = new ForStmt(NULL, (yyvsp[-2].expr), NULL, (yyvsp[0].stmt), false, (yylsp[-4])); }
#line 5369 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 316: /* iteration_statement: TOKEN_CWHILE '(' expression ')' attributed_statement  */
#line 1941 "src/parse.yy"
      { (yyval.stmt) = new ForStmt(NULL, (yyvsp[-2].expr), NULL, (yyvsp[0].stmt), true, (yylsp[-4])); }
#line 5375 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 317: /* iteration_statement: TOKEN_DO attributed_statement TOKEN_WHILE '(' expression ')' ';'  */
#line 1943 "src/parse.yy"
      { (yyval.stmt) = new DoStmt((yyvsp[-2].expr), (yyvsp[-5].stmt), false, (yylsp[-6])); }
#line 5381 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 318: /* iteration_statement: TOKEN_CDO attributed_statement TOKEN_WHILE '(' expression ')' ';'  */
#line 1945 "src/parse.yy"
      { (yyval.stmt) = new DoStmt((yyvsp[-2].expr), (yyvsp[-5].stmt), true, (yylsp[-6])); }
#line 5387 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 319: /* iteration_statement: for_scope '(' for_init_statement for_test ')' attributed_statement  */
#line 1947 "src/parse.yy"
      { (yyval.stmt) = new ForStmt((yyvsp[-3].stmt), (yyvsp[-2].expr), NULL, (yyvsp[0].stmt), false, (yylsp[-5]));
        m->symbolTable->PopScope();
      }
#line 5395 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 320: /* iteration_statement: for_scope '(' for_init_statement for_test expression ')' attributed_statement  */
#line 1951 "src/parse.yy"
      { (yyval.stmt) = new ForStmt((yyvsp[-4].stmt), (yyvsp[-3].expr), new ExprStmt((yyvsp[-2].expr), (yylsp[-2])), (yyvsp[0].stmt), false, (yylsp[-6]));
        m->symbolTable->PopScope();
      }
#line 5403 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 321: /* iteration_statement: cfor_scope '(' for_init_statement for_test ')' attributed_statement  */
#line 1955 "src/parse.yy"
      { (yyval.stmt) = new ForStmt((yyvsp[-3].stmt), (yyvsp[-2].expr), NULL, (yyvsp[0].stmt), true, (yylsp[-5]));
        m->symbolTable->PopScope();
      }
#line 5411 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 322: /* iteration_statement: cfor_scope '(' for_init_statement for_test expression ')' attributed_statement  */
#line 1959 "src/parse.yy"
      { (yyval.stmt) = new ForStmt((yyvsp[-4].stmt), (yyvsp[-3].expr), new ExprStmt((yyvsp[-2].expr), (yylsp[-2])), (yyvsp[0].stmt), true, (yylsp[-6]));
        m->symbolTable->PopScope();
      }
#line 5419 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 323: /* $@1: %empty  */
#line 1963 "src/parse.yy"
     {
         std::vector<ForeachDimension *> *dims = (yyvsp[-1].foreachDimensionList);
         if (dims == NULL) {
             AssertPos((yylsp[-1]), m->errorCount > 0);
             dims = new std::vector<ForeachDimension *>;
         }
         for (unsigned int i = 0; i < dims->size(); ++i)
             m->symbolTable->AddVariable((*dims)[i]->sym);
     }
#line 5433 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 324: /* iteration_statement: foreach_scope '(' foreach_dimension_list ')' $@1 attributed_statement  */
#line 1973 "src/parse.yy"
     {
         std::vector<ForeachDimension *> *dims = (yyvsp[-3].foreachDimensionList);
         if (dims == NULL) {
             AssertPos((yylsp[-3]), m->errorCount > 0);
             dims = new std::vector<ForeachDimension *>;
         }

         std::vector<Symbol *> syms;
         std::vector<Expr *> begins, ends;
         for (unsigned int i = 0; i < dims->size(); ++i) {
             syms.push_back((*dims)[i]->sym);
             begins.push_back((*dims)[i]->beginExpr);
             ends.push_back((*dims)[i]->endExpr);
         }
         (yyval.stmt) = new ForeachStmt(syms, begins, ends, (yyvsp[0].stmt), false, (yylsp[-5]));
         m->symbolTable->PopScope();
     }
#line 5455 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 325: /* $@2: %empty  */
#line 1991 "src/parse.yy"
     {
         std::vector<ForeachDimension *> *dims = (yyvsp[-1].foreachDimensionList);
         if (dims == NULL) {
             AssertPos((yylsp[-1]), m->errorCount > 0);
             dims = new std::vector<ForeachDimension *>;
         }

         for (unsigned int i = 0; i < dims->size(); ++i)
             m->symbolTable->AddVariable((*dims)[i]->sym);
     }
#line 5470 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 326: /* iteration_statement: foreach_tiled_scope '(' foreach_dimension_list ')' $@2 attributed_statement  */
#line 2002 "src/parse.yy"
     {
         std::vector<ForeachDimension *> *dims = (yyvsp[-3].foreachDimensionList);
         if (dims == NULL) {
             AssertPos((yylsp[-5]), m->errorCount > 0);
             dims = new std::vector<ForeachDimension *>;
         }

         std::vector<Symbol *> syms;
         std::vector<Expr *> begins, ends;
         for (unsigned int i = 0; i < dims->size(); ++i) {
             syms.push_back((*dims)[i]->sym);
             begins.push_back((*dims)[i]->beginExpr);
             ends.push_back((*dims)[i]->endExpr);
         }
         (yyval.stmt) = new ForeachStmt(syms, begins, ends, (yyvsp[0].stmt), true, (yylsp[-5]));
         m->symbolTable->PopScope();
     }
#line 5492 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 327: /* $@3: %empty  */
#line 2020 "src/parse.yy"
     {
         if ((yyvsp[-1].symbol) != NULL)
             m->symbolTable->AddVariable((yyvsp[-1].symbol));
     }
#line 5501 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 328: /* iteration_statement: foreach_active_scope '(' foreach_active_identifier ')' $@3 attributed_statement  */
#line 2025 "src/parse.yy"
     {
         (yyval.stmt) = new ForeachActiveStmt((yyvsp[-3].symbol), (yyvsp[0].stmt), Union((yylsp[-5]), (yylsp[-2])));
         m->symbolTable->PopScope();
     }
#line 5510 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 329: /* $@4: %empty  */
#line 2031 "src/parse.yy"
     {
         Expr *expr = (yyvsp[-1].expr);
         const Type *type;
         if (expr != NULL &&
             (expr = TypeCheck(expr)) != NULL &&
             (type = expr->GetType()) != NULL) {
             const Type *iterType = type->GetAsUniformType()->GetAsConstType();
             Symbol *sym = new Symbol((yyvsp[-3].constCharPtr), (yylsp[-3]), iterType);
             m->symbolTable->AddVariable(sym);
         }
     }
#line 5526 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 330: /* iteration_statement: foreach_unique_scope '(' foreach_unique_identifier TOKEN_IN expression ')' $@4 attributed_statement  */
#line 2043 "src/parse.yy"
     {
         (yyval.stmt) = new ForeachUniqueStmt((yyvsp[-5].constCharPtr), (yyvsp[-3].expr), (yyvsp[0].stmt), (yylsp[-7]));
         m->symbolTable->PopScope();
     }
#line 5535 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 331: /* goto_identifier: TOKEN_IDENTIFIER  */
#line 2050 "src/parse.yy"
                       { (yyval.constCharPtr) = yylval.stringVal->c_str(); }
#line 5541 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 332: /* jump_statement: TOKEN_GOTO goto_identifier ';'  */
#line 2055 "src/parse.yy"
      { (yyval.stmt) = new GotoStmt((yyvsp[-1].constCharPtr), (yylsp[-2]), (yylsp[-1])); }
#line 5547 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 333: /* jump_statement: TOKEN_CONTINUE ';'  */
#line 2057 "src/parse.yy"
      { (yyval.stmt) = new ContinueStmt((yylsp[-1])); }
#line 5553 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 334: /* jump_statement: TOKEN_BREAK ';'  */
#line 2059 "src/parse.yy"
      { (yyval.stmt) = new BreakStmt((yylsp[-1])); }
#line 5559 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 335: /* jump_statement: TOKEN_RETURN ';'  */
#line 2061 "src/parse.yy"
      { (yyval.stmt) = new ReturnStmt(NULL, (yylsp[-1])); }
#line 5565 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 336: /* jump_statement: TOKEN_RETURN expression ';'  */
#line 2063 "src/parse.yy"
      { (yyval.stmt) = new ReturnStmt((yyvsp[-1].expr), (yylsp[-2])); }
#line 5571 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 337: /* sync_statement: TOKEN_SYNC ';'  */
#line 2068 "src/parse.yy"
      { (yyval.stmt) = new ExprStmt(new SyncExpr((yylsp[-1])), (yylsp[-1])); }
#line 5577 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 338: /* delete_statement: TOKEN_DELETE expression ';'  */
#line 2073 "src/parse.yy"
    {
        (yyval.stmt) = new DeleteStmt((yyvsp[-1].expr), Union((yylsp[-2]), (yylsp[-1])));
    }
#line 5585 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 339: /* unmasked_statement: TOKEN_UNMASKED '{' statement_list '}'  */
#line 2080 "src/parse.yy"
    {
        (yyval.stmt) = new UnmaskedStmt((yyvsp[-1].stmt), (yylsp[-3]));
    }
#line 5593 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 340: /* print_statement: TOKEN_PRINT '(' string_constant ')' ';'  */
#line 2087 "src/parse.yy"
      {
           (yyval.stmt) = new PrintStmt(*(yyvsp[-2].stringVal), NULL, (yylsp[-4]));
      }
#line 5601 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 341: /* print_statement: TOKEN_PRINT '(' string_constant ',' argument_expression_list ')' ';'  */
#line 2091 "src/parse.yy"
      {
           (yyval.stmt) = new PrintStmt(*(yyvsp[-4].stringVal), (yyvsp[-2].exprList), (yylsp[-6]));
      }
#line 5609 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 342: /* assert_statement: TOKEN_ASSERT '(' string_constant ',' expression ')' ';'  */
#line 2098 "src/parse.yy"
      {
          (yyval.stmt) = new AssertStmt(*(yyvsp[-4].stringVal), (yyvsp[-2].expr), (yylsp[-6]));
      }
#line 5617 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 348: /* external_declaration: TOKEN_EXPORT '{' type_specifier_list '}' ';'  */
#line 2113 "src/parse.yy"
    {
        if ((yyvsp[-2].typeList) != NULL)
            m->AddExportedTypes(*(yyvsp[-2].typeList));
    }
#line 5626 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 349: /* external_declaration: declaration  */
#line 2118 "src/parse.yy"
    {
        if ((yyvsp[0].declaration) != NULL)
            for (unsigned int i = 0; i < (yyvsp[0].declaration)->declarators.size(); ++i)
                lAddDeclaration((yyvsp[0].declaration)->declSpecs, (yyvsp[0].declaration)->declarators[i]);
    }
#line 5636 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 351: /* $@5: %empty  */
#line 2128 "src/parse.yy"
    {
        lAddDeclaration((yyvsp[-1].declSpecs), (yyvsp[0].declarator));
        lAddFunctionParams((yyvsp[0].declarator));
        lAddMaskToSymbolTable((yylsp[0]));
        if ((yyvsp[-1].declSpecs)->typeQualifiers & TYPEQUAL_TASK)
            lAddThreadIndexCountToSymbolTable((yylsp[0]));
    }
#line 5648 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;

  case 352: /* function_definition: declaration_specifiers declarator $@5 compound_statement  */
#line 2136 "src/parse.yy"
    {
        if ((yyvsp[-2].declarator) != NULL) {
            (yyvsp[-2].declarator)->InitFromDeclSpecs((yyvsp[-3].declSpecs));
            const FunctionType *funcType = CastType<FunctionType>((yyvsp[-2].declarator)->type);
            if (funcType == NULL)
                AssertPos((yylsp[-3]), m->errorCount > 0);
            else if ((yyvsp[-3].declSpecs)->storageClass == SC_TYPEDEF)
                Error((yylsp[-3]), "Illegal \"typedef\" provided with function definition.");
            else {
                Stmt *code = (yyvsp[0].stmt);
                if (code == NULL) code = new StmtList((yylsp[0]));
                m->AddFunctionDefinition((yyvsp[-2].declarator)->name, funcType, code);
            }
        }
        m->symbolTable->PopScope(); // push in lAddFunctionParams();
    }
#line 5669 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"
    break;


#line 5673 "/builddir/build/BUILD/ispc-1.18.0/redhat-linux-build/./parse.cc"

      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", YY_CAST (yysymbol_kind_t, yyr1[yyn]), &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */
  {
    const int yylhs = yyr1[yyn] - YYNTOKENS;
    const int yyi = yypgoto[yylhs] + *yyssp;
    yystate = (0 <= yyi && yyi <= YYLAST && yycheck[yyi] == *yyssp
               ? yytable[yyi]
               : yydefgoto[yylhs]);
  }

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYSYMBOL_YYEMPTY : YYTRANSLATE (yychar);
  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
      {
        yypcontext_t yyctx
          = {yyssp, yytoken, &yylloc};
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = yysyntax_error (&yymsg_alloc, &yymsg, &yyctx);
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == -1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = YY_CAST (char *,
                             YYSTACK_ALLOC (YY_CAST (YYSIZE_T, yymsg_alloc)));
            if (yymsg)
              {
                yysyntax_error_status
                  = yysyntax_error (&yymsg_alloc, &yymsg, &yyctx);
                yymsgp = yymsg;
              }
            else
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = YYENOMEM;
              }
          }
        yyerror (yymsgp);
        if (yysyntax_error_status == YYENOMEM)
          goto yyexhaustedlab;
      }
    }

  yyerror_range[1] = yylloc;
  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval, &yylloc);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:
  /* Pacify compilers when the user code never invokes YYERROR and the
     label yyerrorlab therefore never appears in user code.  */
  if (0)
    YYERROR;

  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  /* Pop stack until we find a state that shifts the error token.  */
  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYSYMBOL_YYerror;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYSYMBOL_YYerror)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;

      yyerror_range[1] = *yylsp;
      yydestruct ("Error: popping",
                  YY_ACCESSING_SYMBOL (yystate), yyvsp, yylsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  yyerror_range[2] = yylloc;
  ++yylsp;
  YYLLOC_DEFAULT (*yylsp, yyerror_range, 2);

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", YY_ACCESSING_SYMBOL (yyn), yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;


/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;


#if 1
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  goto yyreturn;
#endif


/*-------------------------------------------------------.
| yyreturn -- parsing is finished, clean up and return.  |
`-------------------------------------------------------*/
yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval, &yylloc);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  YY_ACCESSING_SYMBOL (+*yyssp), yyvsp, yylsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
  return yyresult;
}

#line 2162 "src/parse.yy"



void yyerror(const char *s) {
    if (strlen(yytext) == 0)
        Error(yylloc, "Premature end of file: %s.", s);
    else
        Error(yylloc, "%s.", s);
}


static int
lYYTNameErr (char *yyres, const char *yystr)
{
  extern std::map<std::string, std::string> tokenNameRemap;
  Assert(tokenNameRemap.size() > 0);
  if (tokenNameRemap.find(yystr) != tokenNameRemap.end()) {
      std::string n = tokenNameRemap[yystr];
      if (yyres == NULL)
          return n.size();
      else
          return yystpcpy(yyres, n.c_str()) - yyres;
  }

  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            /* Fall through.  */
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}

static void
lSuggestBuiltinAlternates() {
    std::vector<std::string> builtinTokens;
    const char **token = lBuiltinTokens;
    while (*token) {
        builtinTokens.push_back(*token);
        ++token;
    }
    std::vector<std::string> alternates = MatchStrings(yytext, builtinTokens);
    std::string alts = lGetAlternates(alternates);
    if (alts.size() > 0)
         Error(yylloc, "%s", alts.c_str());
}


static void
lSuggestParamListAlternates() {
    std::vector<std::string> builtinTokens;
    const char **token = lParamListTokens;
    while (*token) {
        builtinTokens.push_back(*token);
        ++token;
    }
    std::vector<std::string> alternates = MatchStrings(yytext, builtinTokens);
    std::string alts = lGetAlternates(alternates);
    if (alts.size() > 0)
        Error(yylloc, "%s", alts.c_str());
}


static void
lAddDeclaration(DeclSpecs *ds, Declarator *decl) {
    if (ds == NULL || decl == NULL)
        // Error happened earlier during parsing
        return;

    decl->InitFromDeclSpecs(ds);
    if (ds->storageClass == SC_TYPEDEF)
        m->AddTypeDef(decl->name, decl->type, decl->pos);
    else {
        if (decl->type == NULL) {
            Assert(m->errorCount > 0);
            return;
        }

        decl->type = decl->type->ResolveUnboundVariability(Variability::Varying);

        const FunctionType *ft = CastType<FunctionType>(decl->type);
        if (ft != NULL) {
            bool isInline = (ds->typeQualifiers & TYPEQUAL_INLINE);
            bool isNoInline = (ds->typeQualifiers & TYPEQUAL_NOINLINE);
            bool isVectorCall = (ds->typeQualifiers & TYPEQUAL_VECTORCALL);
            m->AddFunctionDeclaration(decl->name, ft, ds->storageClass,
                                      isInline, isNoInline, isVectorCall, decl->pos);
        }
        else {
            bool isConst = (ds->typeQualifiers & TYPEQUAL_CONST) != 0;
            m->AddGlobalVariable(decl->name, decl->type, decl->initExpr,
                                 isConst, decl->storageClass, decl->pos);
        }
    }
}


/** We're about to start parsing the body of a function; add all of the
    parameters to the symbol table so that they're available.
*/
static void
lAddFunctionParams(Declarator *decl) {
    m->symbolTable->PushScope();

    if (decl == NULL) {
        return;
    }

    // walk down to the declarator for the function itself
    while (decl->kind != DK_FUNCTION && decl->child != NULL)
        decl = decl->child;
    if (decl->kind != DK_FUNCTION) {
        AssertPos(decl->pos, m->errorCount > 0);
        return;
    }

    // now loop over its parameters and add them to the symbol table
    for (unsigned int i = 0; i < decl->functionParams.size(); ++i) {
        Declaration *pdecl = decl->functionParams[i];
        Assert(pdecl != NULL && pdecl->declarators.size() == 1);
        Declarator *declarator = pdecl->declarators[0];
        if (declarator == NULL)
            AssertPos(decl->pos, m->errorCount > 0);
        else {
            Symbol *sym = new Symbol(declarator->name, declarator->pos,
                                     declarator->type, declarator->storageClass);
#ifndef NDEBUG
            bool ok = m->symbolTable->AddVariable(sym);
            if (ok == false)
                AssertPos(decl->pos, m->errorCount > 0);
#else
            m->symbolTable->AddVariable(sym);
#endif
        }
    }

    // The corresponding pop scope happens in function_definition rules
    // above...
}


/** Add a symbol for the built-in mask variable to the symbol table */
static void lAddMaskToSymbolTable(SourcePos pos) {
    const Type *t = NULL;
    switch (g->target->getMaskBitCount()) {
    case 1:
        t = AtomicType::VaryingBool;
        break;
    case 8:
        t = AtomicType::VaryingUInt8;
        break;
    case 16:
        t = AtomicType::VaryingUInt16;
        break;
    case 32:
        t = AtomicType::VaryingUInt32;
        break;
    case 64:
        t = AtomicType::VaryingUInt64;
        break;
    default:
        FATAL("Unhandled mask bitsize in lAddMaskToSymbolTable");
    }

    t = t->GetAsConstType();
    Symbol *maskSymbol = new Symbol("__mask", pos, t);
    m->symbolTable->AddVariable(maskSymbol);
}


/** Add the thread index and thread count variables to the symbol table
    (this should only be done for 'task'-qualified functions. */
static void lAddThreadIndexCountToSymbolTable(SourcePos pos) {
    const Type *type = AtomicType::UniformUInt32->GetAsConstType();

    Symbol *threadIndexSym = new Symbol("threadIndex", pos, type);
    m->symbolTable->AddVariable(threadIndexSym);

    Symbol *threadCountSym = new Symbol("threadCount", pos, type);
    m->symbolTable->AddVariable(threadCountSym);

    Symbol *taskIndexSym = new Symbol("taskIndex", pos, type);
    m->symbolTable->AddVariable(taskIndexSym);
    
    Symbol *taskCountSym = new Symbol("taskCount", pos, type);
    m->symbolTable->AddVariable(taskCountSym);
    
    Symbol *taskIndexSym0 = new Symbol("taskIndex0", pos, type);
    m->symbolTable->AddVariable(taskIndexSym0);
    Symbol *taskIndexSym1 = new Symbol("taskIndex1", pos, type);
    m->symbolTable->AddVariable(taskIndexSym1);
    Symbol *taskIndexSym2 = new Symbol("taskIndex2", pos, type);
    m->symbolTable->AddVariable(taskIndexSym2);

    
    Symbol *taskCountSym0 = new Symbol("taskCount0", pos, type);
    m->symbolTable->AddVariable(taskCountSym0);
    Symbol *taskCountSym1 = new Symbol("taskCount1", pos, type);
    m->symbolTable->AddVariable(taskCountSym1);
    Symbol *taskCountSym2 = new Symbol("taskCount2", pos, type);
    m->symbolTable->AddVariable(taskCountSym2);
}


/** Small utility routine to construct a string for error messages that
    suggests alternate tokens for possibly-misspelled ones... */
static std::string lGetAlternates(std::vector<std::string> &alternates) {
    std::string alts;
    if (alternates.size()) {
        alts += " Did you mean ";
        for (unsigned int i = 0; i < alternates.size(); ++i) {
            alts += std::string("\"") + alternates[i] + std::string("\"");
            if (i < alternates.size() - 1) alts += ", or ";
        }
        alts += "?";
    }
    return alts;
}

static const char *
lGetStorageClassString(StorageClass sc) {
    switch (sc) {
    case SC_NONE:
        return "";
    case SC_EXTERN:
        return "extern";
    case SC_STATIC:
        return "static";
    case SC_TYPEDEF:
        return "typedef";
    case SC_EXTERN_C:
        return "extern \"C\"";
    default:
        Assert(!"logic error in lGetStorageClassString()");
        return "";
    }
}


/** Given an expression, see if it is equal to a compile-time constant
    integer value.  If so, return true and return the value in *value.
    If the expression isn't a compile-time constant or isn't an integer
    type, return false.
*/
static bool
lGetConstantInt(Expr *expr, int *value, SourcePos pos, const char *usage) {
    if (expr == NULL)
        return false;
    expr = TypeCheck(expr);
    if (expr == NULL)
        return false;
    expr = Optimize(expr);
    if (expr == NULL)
        return false;

    std::pair<llvm::Constant *, bool> cValPair = expr->GetConstant(expr->GetType());
    llvm::Constant *cval = cValPair.first;
    if (cval == NULL) {
        Error(pos, "%s must be a compile-time constant.", usage);
        return false;
    }
    else {
        llvm::ConstantInt *ci = llvm::dyn_cast<llvm::ConstantInt>(cval);
        if (ci == NULL) {
            Error(pos, "%s must be a compile-time integer constant.", usage);
            return false;
        }
        if ((int64_t)((int32_t)ci->getSExtValue()) != ci->getSExtValue()) {
            Error(pos, "%s must be representable with a 32-bit integer.", usage);
            return false;
        }
        const Type *type = expr->GetType();
        if (type->IsUnsignedType())
            *value = (int)ci->getZExtValue();
        else
            *value = (int)ci->getSExtValue();
        return true;
    }
}


static EnumType *
lCreateEnumType(const char *name, std::vector<Symbol *> *enums, SourcePos pos) {
    if (enums == NULL)
        return NULL;

    EnumType *enumType = name ? new EnumType(name, pos) : new EnumType(pos);
    if (name != NULL)
        m->symbolTable->AddType(name, enumType, pos);

    lFinalizeEnumeratorSymbols(*enums, enumType);
    for (unsigned int i = 0; i < enums->size(); ++i)
        m->symbolTable->AddVariable((*enums)[i]);
    enumType->SetEnumerators(*enums);
    return enumType;
}


/** Given an array of enumerator symbols, make sure each of them has a
    ConstExpr * in their Symbol::constValue member that stores their
    unsigned integer value.  Symbols that had values explicitly provided
    in the source file will already have ConstExpr * set; we just need
    to set the values for the others here.
*/
static void
lFinalizeEnumeratorSymbols(std::vector<Symbol *> &enums,
                           const EnumType *enumType) {
    enumType = enumType->GetAsConstType();
    enumType = enumType->GetAsUniformType();

    /* nextVal tracks the value for the next enumerant.  It starts from
       zero and goes up with each successive enumerant.  If any of them
       has a value specified, then nextVal is ignored for that one and is
       set to one plus that one's value for the default value for the next
       one. */
    uint32_t nextVal = 0;

    for (unsigned int i = 0; i < enums.size(); ++i) {
        enums[i]->type = enumType;
        if (enums[i]->constValue != NULL) {
            /* Already has a value, so first update nextVal with it. */
            int count = enums[i]->constValue->GetValues(&nextVal);
            AssertPos(enums[i]->pos, count == 1);
            ++nextVal;

            /* When the source file as being parsed, the ConstExpr for any
               enumerant with a specified value was set to have unsigned
               int32 type, since we haven't created the parent EnumType
               by then.  Therefore, add a little type cast from uint32 to
               the actual enum type here and optimize it, which will have
               us end up with a ConstExpr with the desired EnumType... */
            Expr *castExpr = new TypeCastExpr(enumType, enums[i]->constValue,
                                              enums[i]->pos);
            castExpr = Optimize(castExpr);
            enums[i]->constValue = llvm::dyn_cast<ConstExpr>(castExpr);
            AssertPos(enums[i]->pos, enums[i]->constValue != NULL);
        }
        else {
            enums[i]->constValue = new ConstExpr(enumType, nextVal++,
                                                 enums[i]->pos);
        }
    }
}
